<%@ Page Language="vb" AutoEventWireup="false" Codebehind="CustomReports.aspx.vb" Inherits="EasyProjects.Web.GUI.CustomReports"%>
<%@ Register TagPrefix="cc1" Namespace="EasyProjects.Web.DatePicker" Assembly="EasyProjects.Web.DatePicker" %>
<%@ Register TagPrefix="cc2" Namespace="SharedControls" Assembly="SharedControls" %>
<%@ Register TagPrefix="uc1" TagName="Footer" Src="Footer.ascx" %>
<%@ Register TagPrefix="uc1" TagName="Banner" Src="Banner.ascx" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<title>Custom Reports | Easy Projects .NET</title>
		<meta name="GENERATOR" content="Microsoft Visual Studio .NET 7.1">
		<meta name="CODE_LANGUAGE" content="Visual Basic .NET 7.1">
		<meta name="vs_defaultClientScript" content="JavaScript">
		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<LINK href="style.css" type="text/css" rel="stylesheet">
		<script type="text/javascript" language="javascript" src="script.js"></script>
	</HEAD>
	<body id="pageBody" runat="server">
		<FORM id="Form1" method="post" runat="server">
			<TABLE id="Table1" height="100%" cellSpacing="0" cellPadding="0" width="100%" border="0">
				<TR height="1%">
					<TD vAlign="top">
						<uc1:Banner id="Banner1" runat="server"></uc1:Banner></TD>
				</TR>
				<TR vAlign="top" height="80%">
					<TD style="padding-bottom:10px;">
						<div id="center" class="panel" style="HEIGHT: 100%">
							<!-- table after DIV - tableDiv -->
							<TABLE id="TableDiv" height="100%" cellSpacing="0" cellPadding="0" width="100%" border="0">
								<TR>
									<TD width="8"><IMG height="8" src="images/spacer.gif" width="8"></TD>
									<TD vAlign="top">
										<!-- Table Report -->
										<TABLE id="TableReport" height="100%" cellSpacing="20" cellPadding="0" width="100%" border="0">
											<TBODY>
												<tr height="1%">
													<td class="title">{TITLE_PAGE}</td>
												</tr>
												<TR vAlign="top" height="*">
													<TD>
														<cc2:myimagebutton ID="buttonCreateNewReport" Runat="server" ImageUrl="images/create_new_report.png"
															DisabledImageUrl="images/create_new_report_disabled.png"></cc2:myimagebutton>
														<br>
														<TABLE id="tableNoData" width="100%" border="0" runat="server">
															<tr>
																<td><br>
																	<hr color="black">
																</td>
															</tr>
															<TR>
																<TD>
																	<table runat="server" id="nodataTable">
																		<tr>
																			<td>{NODATAMSG}</td>
																		</tr>
																	</table>
																</TD>
															</TR>
														</TABLE>
														<!-- Table ListReports -->
														<TABLE id="tableListReports" cellSpacing="0" cellPadding="0" width="100%" border="0" runat="server">
															<tr>
																<td>
																	<br>
																	<asp:datagrid id="gridReports" runat="server" AllowSorting="True" CssClass="report-report" AutoGenerateColumns="False"
																		Width="100%">
																		<AlternatingItemStyle VerticalAlign="Top" CssClass="report-altitem"></AlternatingItemStyle>
																		<ItemStyle VerticalAlign="Top" CssClass="report-item"></ItemStyle>
																		<HeaderStyle CssClass="object-list-header"></HeaderStyle>
																		<Columns>
																			<asp:HyperLinkColumn DataNavigateUrlField="ID" SortExpression="Name" DataNavigateUrlFormatString="CustomReportRun.aspx?id={0}"
																				DataTextField="Name" HeaderText="{COL_NAME}">
																				<HeaderStyle Font-Size="11px" Font-Underline="True" Font-Names="verdana" Font-Bold="True" HorizontalAlign="Left" VerticalAlign="Middle" CssClass="object-list-header"></HeaderStyle>
																				<ItemStyle CssClass="list-item"></ItemStyle>
																			</asp:HyperLinkColumn>
																			<asp:TemplateColumn HeaderText="{COL_ACTION}">
																				<HeaderStyle Width="100px" Font-Size="11px" Font-Names="verdana" Font-Bold="True" HorizontalAlign="Left" VerticalAlign="Middle" CssClass="object-list-header"></HeaderStyle>
																				<ItemStyle CssClass="report-item"></ItemStyle>
																				<ItemTemplate>
																					<TABLE id="tblButtons" height="16" cellSpacing="1" cellPadding="1" width="50" border="0">
																						<TR>
																							<TD width="50" align="center">
																								<A class=blacklineheight title="Run" style="border:0px" href='CustomReportRun.aspx?id=<%# DataBinder.Eval(Container, "DataItem.ID") %>'>
																									<IMG alt="Run report" src="images/run.gif" border="0"></A>
																							</TD>
																							<TD width="50" align="center">
																								<A class=blacklineheight title="Edit" style="border:0px" href='CustomReportEdit.aspx?id=<%# DataBinder.Eval(Container, "DataItem.ID") %>'>
																									<IMG alt="Edit report" src="images/edit.gif" border="0"></A>
																							</TD>
																						</TR>
																					</TABLE>
																				</ItemTemplate>
																			</asp:TemplateColumn>
																		</Columns>
																	</asp:datagrid>
																</td>
															</tr>
														</TABLE>
														<!-- End Table ListReports -->
													</TD>
												</TR>
											</TBODY>
										</TABLE>
										<!-- End TableReport -->
									</TD>
								</TR>
							</TABLE>
							<!-- End table after DIV - tableDiv -->
						</div>						
					</TD>
				</TR>
				<tr>
					<TD width="8"><IMG height="8" src="images/spacer.gif" width="8"></TD>
				</tr>
				<TR height="*">
					<TD vAlign="bottom">
						<uc1:Footer id="Footer1" runat="server"></uc1:Footer>
					</TD>
				</TR>
			</TABLE>
		</FORM>
	</body>
</HTML>
