<%@ Page Language="vb" AutoEventWireup="false" Codebehind="Reports.aspx.vb" Inherits="EasyProjects.Web.GUI.Reports"%>
<%@ Register TagPrefix="uc1" TagName="Banner" Src="Banner.ascx" %>
<%@ Register TagPrefix="uc1" TagName="Footer" Src="Footer.ascx" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<title>Summary Reports | Easy Projects .NET</title>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="Visual Basic .NET 7.1" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<LINK href="style.css" type="text/css" rel="stylesheet">
		<script language="javascript" src="script.js" type="text/javascript"></script>
	</HEAD>
	<body id="pageBody" runat="server">
		<FORM id="Form1" method="post" runat="server">
			<TABLE id="Table1" height="100%" cellSpacing="0" cellPadding="0" width="100%" border="0">
				<TR height="1%">
					<TD class="rep_tab_bg" vAlign="top"><uc1:banner id="Banner1" runat="server"></uc1:banner></TD>
				</TR>
				<TR vAlign="top" height="80%">
					<TD>
						<div class="panel" id="center">
							<TABLE id="Table2" height="100%" cellSpacing="0" cellPadding="0" width="100%" border="0">
								<TR>
									<TD width="8"><IMG height="8" src="images/spacer.gif" width="8"></TD>
									<TD vAlign="top">
										<table height="100%" width="100%">
											<tr>
												<td vAlign="top">
													<table cellSpacing="0" cellPadding="0" width="100%" border="0">
														<tr>
															<td>
																<TABLE id="Table3" style="HEIGHT:100%" cellSpacing="20" cellPadding="0" width="100%" border="0">
																	<tr height="1%">
																		<td class="title" colSpan="2">{REPORTSUMMARY_TITLE}</td>
																	</tr>
																	<TR vAlign="top">
																		<TD width="100%" colSpan="2">
																			<table cellpadding="0" cellspacing="0" border="0" width="300" height="50" class="filter-table">
																				<tr>
																					<td align="right" valign="middle">{FILTERTEXT}</td>
																					<td align="center">
																						<asp:dropdownlist id="Month" runat="server" Width="107px" AutoPostBack="True" CssClass="input"></asp:dropdownlist>
																						<asp:dropdownlist id="ddlYear" runat="server" Width="80px" AutoPostBack="True" CssClass="input"></asp:dropdownlist>
																					</td>
																				</tr>
																			</table>
																			<br>
																			<table cellSpacing="0" cellPadding="0" border="0">
																				<tr>
																					<td><asp:image id="PrinterIcon" runat="server" ImageUrl="images/Printer-Icon.jpg"></asp:image>&nbsp;
																					</td>
																					<td><asp:hyperlink id="hlPrintReport" EnableViewState="false" runat="server" Width="210px" NavigateUrl=""
																							cssclass="printerlink" Target="_blank">{PRINTER}</asp:hyperlink></td>
																					<TD align="right" width="50">
																						<asp:image id="ExportIcon" runat="server" ImageUrl="images/excel2.gif"></asp:image>&nbsp;
																					</TD>
																					<td>
																						<asp:hyperlink id="hlExport" EnableViewState="false" Visible="false" runat="server" Width="200px"
																							NavigateUrl="" cssclass="printerlink" Target="_blank">{EXCEL}</asp:hyperlink>
																					</td>
																				</tr>
																			</table>
																			<TABLE id="noDataTable" width="100%" border="0" runat="server">
																				<TR>
																					<TD>{NODATAMSG}</TD>
																				</TR>
																			</TABLE>
																		</TD>
																	</TR>
																	<TR>
																		<TD style="HEIGHT: 128px" width="50%" vAlign="top"><strong><asp:label id="labelPersonGridTitle" EnableViewState="false" runat="server" Visible="False">{PERSON_TITLE}</asp:label><asp:datagrid id="summaryPersonGrid" runat="server" CssClass="object-list" AllowSorting="false"
																					AutoGenerateColumns="false" BorderStyle="Solid"></asp:datagrid></strong></TD>
																		<TD style="HEIGHT: 128px" width="50%" vAlign="top"><strong><asp:label id="labelProjectGridTitle" EnableViewState="false" runat="server" Visible="False">{PROJECT_TITLE}</asp:label><asp:datagrid id="summaryProjectGrid" runat="server" CssClass="object-list" AllowSorting="false"
																					AutoGenerateColumns="false" BorderStyle="Solid"></asp:datagrid></strong></TD>
																	</TR>
																	<TR height="*">
																		<TD vAlign="top"><strong><asp:label id="labelCategoryGridTitle" EnableViewState="false" runat="server" Visible="False">{CATEGORY_TITLE}</asp:label><asp:datagrid id="summaryCategoryGrid" runat="server" CssClass="object-list" AllowSorting="false"
																					AutoGenerateColumns="false" BorderStyle="Solid"></asp:datagrid></strong></TD>
																		<TD vAlign="top"><strong><asp:label id="labelCustomerGridTitle" EnableViewState="false" runat="server" Visible="False">{CUSTOMER_TITLE}</asp:label><asp:datagrid id="summaryCustomerGrid" runat="server" CssClass="object-list" AllowSorting="false"
																					AutoGenerateColumns="false" BorderStyle="Solid"></asp:datagrid></strong></TD>
																	</TR>
																</TABLE>
															</td>
														</tr>
													</table>
												</td>
											</tr>
										</table>
									</TD>
								</TR>
							</TABLE>
						</div>
					</TD>
				</TR>
				<TR height="*">
					<TD vAlign="bottom"><uc1:footer id="Footer1" runat="server"></uc1:footer></TD>
				</TR>
			</TABLE>
		</FORM>
	</body>
</HTML>
