<%@ Import Namespace="EasyProjects" %>
<%@ Register TagPrefix="editor" Namespace="DescriptionEditor" Assembly="DescriptionEditor" %>
<%@ Register TagPrefix="uc1" TagName="PermissionEditor" Src="PermissionEditor.ascx" %>
<%@ Page Language="vb" AutoEventWireup="false" Codebehind="RoleDetails.aspx.vb" Inherits="EasyProjects.Web.GUI.RoleDetails" ValidateRequest="False" %>
<%@ Register TagPrefix="uc1" TagName="ObjectCardMenu" Src="ObjectCardMenu.ascx" %>
<%@ Register TagPrefix="uc1" TagName="Footer" Src="Footer.ascx" %>
<%@ Register TagPrefix="uc1" TagName="Banner" Src="Banner.ascx" %>
<%@ Register TagPrefix="cc2" Namespace="SharedControls" Assembly="SharedControls" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<title>Role Details - Easy Projects .NET</title>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="Visual Basic .NET 7.1" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<LINK href="style.css" type="text/css" rel="stylesheet">
		<script language="javascript" src="script.js" type="text/javascript"></script>
	</HEAD>
	<body id="pageBody" runat="server">
		<FORM id="Form1" method="post" runat="server">
			<TABLE id="Table11" height="100%" cellSpacing="0" cellPadding="0" width="100%" border="0">
				<TR height="1%">
					<TD vAlign="top"><uc1:banner id="Banner1" runat="server"></uc1:banner><INPUT id="doSaveStatus" type="hidden" name="doSaveStatus" runat="server">
						<cc2:popuppanel style="DISPLAY:none" id="permissionPane" runat="server" Width="800px" Height="368px"
							X="110" Y="200" ShowBorder="False" TopBorderVisible="False" BottomBorderVisible="False">
							<TABLE class="panel" height="100%" cellSpacing="0" cellPadding="0" width="100%" border="0">
								<TR height="1">
									<TD class="title" align="left" width="100%">{CPT_PERMISSIONS}
									</TD>
									<TD align="right" width="1">
										<asp:HyperLink id="hlClosePane" ImageUrl="images/cancel.gif" NavigateUrl="javascript: hidePanel('permissionPane')"
											Runat="server"></asp:HyperLink></TD>
								<TR height="*">
									<TD width="100%" colSpan="2" height="100%"><IFRAME id="perm" name="perm" src="helper_permView.aspx?type=1&amp;id=1" frameBorder="0"
											width="100%" scrolling="auto" height="100%" runat="server"></IFRAME>
									</TD>
								</TR>
							</TABLE>
						</cc2:popuppanel>
					</TD>
				</TR>
				<TR vAlign="top" height="80%">
					<TD>
						<table height="100%" cellSpacing="5" cellPadding="5" width="100%">
							<tr>
							</tr>
							<tr>
								<td id="left" vAlign="top" width="*">
									<!-- LEFT PANEL BEGIN -->
									<table class="panel" cellSpacing="10" cellPadding="0" width="100%">
										<tr>
											<td class="title" colSpan="2">{ROLEDETAILS_TITLE}</td>
										</tr>
										<tr>
											<td style="HEIGHT: 3px" align="left">
												<TABLE id="Table1" cellSpacing="2" cellPadding="2" border="0">
												</TABLE>
												<!--<asp:hyperlink id="viewMsgBoard" runat="server" ImageUrl="images/View_Message_Board.png">View Message Board</asp:hyperlink>--></td>
											<td style="HEIGHT: 3px" align="right"><uc1:objectcardmenu id="topButtons" runat="server"></uc1:objectcardmenu></td>
										</tr>
										<TR>
											<TD colSpan="2">
												<TABLE class="ex" id="Table2" width="100%" border="0">
													<TR>
														<TD vAlign="top"><IMG height="21" src="images/ex.gif" width="21" align="absMiddle">&nbsp;{INFO_MSG}</TD>
													</TR>
												</TABLE>
												<asp:validationsummary id="ValidationSummary1" runat="server" HeaderText="{VALID_SUMM_TEXT}" Width="672px"></asp:validationsummary></TD>
										</TR>
										<tr>
											<td colSpan="2">
												<TABLE id="Table3" cellSpacing="5" cellPadding="5" width="100%" border="0">
													<TR>
														<TD vAlign="top" width="10%">
															<TABLE id="Table4" cellSpacing="2" cellPadding="2" width="100%" border="0">
																<TR>
																	<TD class="filter-title" colSpan="1">{CPT_ENTITYSELECT}
																		<asp:requiredfieldvalidator id="RequiredFieldValidator1" runat="server" ErrorMessage="{TITLE_REQD}" ControlToValidate="roleName">*</asp:requiredfieldvalidator><asp:customvalidator id="validateRoleName" runat="server" ErrorMessage="{ROLE_EXISTS}">*</asp:customvalidator></TD>
																</TR>
																<TR>
																	<TD>
																		<% Try %>
																		<% If DataBinder.Eval(entryRec, "Tables[TT_Roles].DefaultView.[0].Name").ToUpper() = BusinessLogic.Entities.User.Viewer.ToUpper() Then %>
																		<%# DataBinder.Eval(entryRec, "Tables[TT_Roles].DefaultView.[0].Name") %>
																		<%roleName.Visible = false
																				Table5.Visible = True%>
																		<% Else%>
																		<%roleName.Visible =  true
																				Table5.Visible = False%>
																		<% End If%>
																		<%Catch%>
																		<%End Try%>
																		<asp:textbox id=roleName runat="server" MaxLength="50" Width="100%" Text='<%# DataBinder.Eval(entryRec, "Tables[TT_Roles].DefaultView.[0].Name") %>' CssClass="input">
																		</asp:textbox>
																	</TD>
																</TR>
																<TR id="trCopyPerm" runat="server">
																	<TD><strong>{CPT_COPYPERM}</strong>
																		<BR>
																		<asp:dropdownlist id="ddlCopyPerm" runat="server" Width="160px"></asp:dropdownlist>
																		<asp:hyperlink id="hlViewPermissions" runat="server" NavigateUrl="javascript: showHidePanel('permissionPane')">{CPT_VIEWPERM}</asp:hyperlink>
																	</TD>
																</TR>
																<TR>
																	<TD><strong>{CPT_DESCR}</strong>
																		<asp:customvalidator id="customValidator_Description" runat="server" ErrorMessage="{DESCR_REQD}">*</asp:customvalidator></TD>
																</TR>
																<TR>
																	<TD>
																		<EDITOR:EDITOR id=description   runat="server" Text='<%# DataBinder.Eval(entryRec, "Tables[TT_Roles].DefaultView.[0].Description") %>' height="200px">
																		</EDITOR:EDITOR>
																	</TD>
																</TR>
																<TR>
																	<TD><STRONG>{CPT_DEFAULTHOURLYRATE}
																			<asp:rangevalidator id="rvfRate" runat="server" ErrorMessage="{RATE_FORMAT}" ControlToValidate="HourlyRate"
																				MinimumValue="0" MaximumValue="99999999" Type="Currency">*</asp:rangevalidator><asp:requiredfieldvalidator id="rqfRate" runat="server" ErrorMessage="{RATE_REQD}" ControlToValidate="HourlyRate"
																				Display="Dynamic" Visible="true">*</asp:requiredfieldvalidator></STRONG></TD>
																</TR>
																<TR>
																	<TD><asp:textbox id=HourlyRate runat="server" Width="64px" Text='<%# DataBinder.Eval(entryRec, "Tables[TT_Roles].DefaultView.[0].HourlyRate") %>' CssClass="standard-text" MaxLength="8">
																		</asp:textbox></TD>
																</TR>
															</TABLE>
														</TD>
													</TR>
												</TABLE>
											</td>
										</tr>
										<tr>
											<td align="right" colSpan="2"><uc1:objectcardmenu id="bottomButtons" runat="server"></uc1:objectcardmenu></td>
										</tr>
									</table>
									<!-- LEFT PANEL END --></td>
								<td id="tdRight" vAlign="top" runat="server"><!-- RIGHT PANEL BEGIN -->
									<TABLE class="panel" id="assigneeTable" cellSpacing="2" cellPadding="2" width="300" border="0"
										runat="server">
										<TR id="trCantRemoveBuiltin" runat="server">
											<TD><IMG height="21" src="images/ex.gif" width="21" align="absMiddle">{CPT_CANTREMOVE_BUILTIN}</TD>
										</TR>
										<TR id="trCantRemoveHasUsers" runat="server">
											<TD><IMG height="21" src="images/ex.gif" width="21" align="absMiddle">{CPT_CANTREMOVE_HASUSERS}</TD>
										</TR>
										<TR id="trNewRoleInfo" runat="server">
											<TD><IMG height="21" src="images/ex.gif" width="21" align="absMiddle">{CPT_NEWROLEINFO}</TD>
										</TR>
									</TABLE>
									<br>
									<TABLE class="panel" id="Table5" cellSpacing="2" cellPadding="2" width="200" border="0"
										runat="server">
										<TR>
											<TD vAlign="top"><IMG height="21" src="images/ex.gif" width="21" align="absMiddle"></TD>
											<TD colSpan="2">{USER_LACCESS}</TD>
										</TR>
										<TR>
											<TD vAlign="top">&nbsp;
											</TD>
											<TD align="left">
												<table border="0" cellpadding="0" cellspacing="0">
													<tr>
														<td valign="top">&#151;</td>
														<td>{USER_LIMITEDACCESS_ADD}</td>
													</tr>
													<tr>
														<td valign="top">&#151;</td>
														<td>{USER_LIMITEDACCESS_VIEW}</td>
													</tr>
													<tr>
														<td valign="top">&#151;</td>
														<td>{USER_LIMITEDACCESS_VIEWREPORT}</td>
													</tr>
													<tr>
														<td valign="top">&#151;</td>
														<td>{USER_LIMITEDACCESS_MIDIFY}</td>
													</tr>
													<tr>
														<td valign="top">&#151;</td>
														<td>{USER_LIMITEDACCESS_VIEWPROJECT}</td>
													</tr>
													<tr>
														<td valign="top">&#151;</td>
														<td>{USER_LIMITEDACCESS_UPLOAD}</td>
													</tr>
													<tr>
														<td valign="top">&#151;</td>
														<td>{USER_LIMITEDACCESS_USE}</td>
													</tr>
												</table>
												<br>
												<div>{USER_LIMITEDACCESS_NOTPOSSIBLE}</div>
											</TD>
										</TR>
									</TABLE>
								</td> <!-- RIGHT PANEL END --></tr>
						</table>
					</TD>
				</TR>
				<TR height="*">
					<TD vAlign="bottom"><uc1:footer id="Footer1" runat="server"></uc1:footer></TD>
				</TR>
			</TABLE>
		</FORM>
	</body>
</HTML>
