<%@ Register TagPrefix="cc2" Namespace="SharedControls" Assembly="SharedControls" %>
<%@ Register TagPrefix="uc2" TagName="RichGridPagers" Src="./Controls/RichGridPagers.ascx" %>
<%@ Register TagPrefix="uc1" TagName="Footer" Src="Footer.ascx" %>
<%@ Register TagPrefix="uc1" TagName="Banner" Src="Banner.ascx" %>
<%@ Page Language="vb" AutoEventWireup="false" Codebehind="RoleList.aspx.vb" Inherits="EasyProjects.Web.GUI.RoleList"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<title>Role List | Easy Projects .NET</title>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="Visual Basic .NET 7.1" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<LINK href="style.css" type="text/css" rel="stylesheet">
		<script language="javascript" src="script.js" type="text/javascript"></script>
	</HEAD>
	<body id="pageBody" runat="server">
		<FORM id="Form1" method="post" runat="server">
			<TABLE id="Table1" height="100%" cellSpacing="0" cellPadding="0" width="100%" border="0">
				<TR height="1%">
					<TD vAlign="top"><uc1:banner id="Banner1" runat="server"></uc1:banner></TD>
				</TR>
				<TR vAlign="top" height="80%">
					<TD style="PADDING-RIGHT: 10px; PADDING-LEFT: 10px; PADDING-BOTTOM: 10px; PADDING-TOP: 10px">
						<TABLE id="Table3" height="1%" cellSpacing="10" cellPadding="10" width="100%" border="0"
							class="panel">
							<TR height="1%">
								<TD class="title">{ROLELISTPAGE_TITLE}</TD>
							</TR>
							<TR>
								<TD id="tdNewRole" height="20" runat="server">
									<TABLE id="Table4" cellSpacing="2" cellPadding="2" border="0">
										<TR>
											<TD>
												<cc2:myimagebutton id="buttonNewRole" runat="server" ImageUrl="images/create_new_role.png" DisabledImageUrl="images/create_new_role_disabled.png"></cc2:myimagebutton></TD>
										</TR>
									</TABLE>
									<BR>
									<asp:label id="lblErr" runat="server" ForeColor="Red"></asp:label></TD>
							</TR>
							<TR vAlign="top" height="*">
								<TD id="tdRoleList" runat="server">
									<TABLE id="nodataTable" width="100%" border="0" runat="server">
										<TR>
											<TD>{NODATAMSG}</TD>
										</TR>
									</TABLE>
									<asp:datagrid id="RolesGrid" runat="server" CssClass="object-list" AllowSorting="True" 
										AllowPaging="True" PageSize="30" AutoGenerateColumns="False" BorderStyle="Solid">
										<AlternatingItemStyle CssClass="list-alt-item" VerticalAlign="Middle"></AlternatingItemStyle>
										<ItemStyle VerticalAlign="Middle"></ItemStyle>
										<HeaderStyle CssClass="object-list-header"></HeaderStyle>
										<Columns>
											<asp:HyperLinkColumn DataNavigateUrlField="RoleID" DataNavigateUrlFormatString="RoleDetails.aspx?id={0}"
												DataTextField="Name" SortExpression="Name" HeaderText="{RCOL_NAME}">
												<HeaderStyle CssClass="object-list-header" Width="30%"></HeaderStyle>
												<ItemStyle CssClass="list-item-inst"></ItemStyle>
											</asp:HyperLinkColumn>
											<asp:BoundColumn DataField="Description" SortExpression="Description" HeaderText="{RCOL_DESCRIPTION}">
												<HeaderStyle CssClass="object-list-header" Width="25%"></HeaderStyle>
												<ItemStyle CssClass="list-item-inst"></ItemStyle>
											</asp:BoundColumn>
											<asp:TemplateColumn HeaderText="Permissions">
												<HeaderStyle CssClass="object-list-header" Width="10%"></HeaderStyle>
												<ItemStyle CssClass="list-action-item" HorizontalAlign="Center" VerticalAlign="Top"></ItemStyle>
												<ItemTemplate>
													<TABLE id="tblButtons" height="16" cellSpacing="1" cellPadding="1" width="95" border="0">
														<TR>
															<TD width="95" align="center">
																<A class=blacklineheight style="border:0px;" title="Edit User" href='EditSecurity.aspx?type=1&amp;UserID=<%# DataBinder.Eval(Container, "DataItem.RoleID") %>'>
																	<IMG alt="Edit permissions" src="images/edit.gif" border="0"></A>
															</TD>
														</TR>
													</TABLE>
												</ItemTemplate>
											</asp:TemplateColumn>
										</Columns>
										<PagerStyle HorizontalAlign="Center" Visible="False" Position="Bottom" Mode="NumericPages"></PagerStyle>
									</asp:datagrid>
									<uc2:RichGridPagers id="RichGridPagers2" runat="server"></uc2:RichGridPagers>
								</TD>
							</TR>
						</TABLE>
					</TD>
				</TR>
				<TR height="*">
					<TD vAlign="bottom"><uc1:footer id="Footer1" runat="server"></uc1:footer></TD>
				</TR>
			</TABLE>
		</FORM>
	</body>
</HTML>
