<%@ Register TagPrefix="uc1" TagName="ObjectCardMenu" Src="ObjectCardMenu.ascx" %>
<%@ Page Language="vb" AutoEventWireup="false" Codebehind="CustDetails.aspx.vb" Inherits="EasyProjects.Web.GUI.CustDetails"%>
<%@ Register TagPrefix="uc1" TagName="Banner" Src="Banner.ascx" %>
<%@ Register TagPrefix="uc1" TagName="Footer" Src="Footer.ascx" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<title>Customer Details | Easy Projects .NET</title>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="Visual Basic .NET 7.1" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<link rel="stylesheet" type="text/css" href="style.css">
		<script language="javascript" src="script.js" type="text/javascript"></script>
	</HEAD>
	<body>
		<FORM id="Form1" method="post" runat="server">
			<TABLE id="Table1" height="100%" cellSpacing="0" cellPadding="0" width="100%" border="0">
				<TR height="1%">
					<TD vAlign="top"><uc1:banner id="Banner1" runat="server"></uc1:banner></TD>
				</TR>
				<TR vAlign="top" height="80%">
					<TD style="PADDING-RIGHT: 10px; PADDING-LEFT: 10px; PADDING-BOTTOM: 10px; PADDING-TOP: 10px">
						<table cellSpacing="5" cellPadding="5" border="0">
							<tr>
								<td class="left" id="left" valign="top">
									<TABLE class="panel" id="Table2" cellSpacing="5" cellPadding="5" width="670" border="0">
										<TR>
											<TD class="title" align="left">{PG_TITLE}</TD>
											<TD align="right"><uc1:objectcardmenu id="topButtons" runat="server"></uc1:objectcardmenu></TD>
										</TR>
										<TR>
											<TD colSpan="2"><asp:validationsummary id="ValidationSummary1" runat="server" HeaderText="{VAL_SUMM_TEXT}"></asp:validationsummary></TD>
										</TR>
										<TR>
											<TD colSpan="2">
												<TABLE class="admin-tan-border" id="Table3" height="400" cellSpacing="2" cellPadding="2"
													width="600" bgColor="white" border="0">
													<TR>
														<TD class="filter-title" colSpan="2">{CPT_COMPANY}:
															<asp:requiredfieldvalidator id="RequiredFieldValidator1" runat="server" ErrorMessage="{VAL_COMPANY}" ControlToValidate="CompanyNameBox">*</asp:requiredfieldvalidator>
															<asp:CustomValidator ID="validateCompanyName" Runat="server" ErrorMessage="{VAL_COMPANY_NAME}" ControlToValidate="CompanyNameBox">*</asp:CustomValidator>
														</TD>
													</TR>
													<TR>
														<TD colSpan="2"><asp:textbox id=CompanyNameBox runat="server" MaxLength="100" Width="272px" CssClass="input" Text='<%# DataBinder.Eval(custEntity, "Tables[TT_CustomerDetails].DefaultView.[0].CompanyName") %>'>
															</asp:textbox></TD>
													</TR>
													<TR>
														<TD class="filter-title">{CPT_ADDR1}:</TD>
														<TD class="filter-title">{CPT_ADDR2}:</TD>
													</TR>
													<TR>
														<TD><asp:textbox id=Address1Box runat="server" MaxLength="100" Width="240px" CssClass="input" Text='<%# DataBinder.Eval(custEntity, "Tables[TT_CustomerDetails].DefaultView.[0].Address1") %>'>
															</asp:textbox></TD>
														<TD><asp:textbox id=Address2Box runat="server" MaxLength="100" Width="240px" CssClass="input" Text='<%# DataBinder.Eval(custEntity, "Tables[TT_CustomerDetails].DefaultView.[0].Address2") %>'>
															</asp:textbox></TD>
													</TR>
													<TR>
														<TD class="filter-title">{CPT_CITY}:</TD>
														<TD class="filter-title">{CPT_COUNTRY}:</TD>
													</TR>
													<TR>
														<TD><asp:textbox id=CityBox runat="server" MaxLength="50" CssClass="input" Text='<%# DataBinder.Eval(custEntity, "Tables[TT_CustomerDetails].DefaultView.[0].City") %>'>
															</asp:textbox></TD>
														<TD><asp:dropdownlist id="CountryBox" runat="server" Width="180px" CssClass="input"></asp:dropdownlist></TD>
													</TR>
													<TR>
														<TD class="filter-title">{CPT_ZIP}:</TD>
														<TD class="filter-title">{CPT_STATEPROVINCE}:</TD>
													</TR>
													<TR>
														<TD style="HEIGHT: 30px"><asp:textbox id=ZIPBox runat="server" MaxLength="25" Width="112px" CssClass="input" Text='<%# DataBinder.Eval(custEntity, "Tables[TT_CustomerDetails].DefaultView.[0].ZIP") %>'>
															</asp:textbox></TD>
														<TD style="HEIGHT: 30px"><asp:dropdownlist id="StateBox" runat="server" Width="180px" CssClass="input"></asp:dropdownlist></TD>
													</TR>
													<TR>
														<TD class="filter-title">{CPT_PHONE1}:</TD>
														<TD class="filter-title">{CPT_PHONE2}:</TD>
													</TR>
													<TR>
														<TD><asp:textbox id=Phone1Box runat="server" MaxLength="35" Width="112px" CssClass="input" Text='<%# DataBinder.Eval(custEntity, "Tables[TT_CustomerDetails].DefaultView.[0].Phone1") %>'>
															</asp:textbox></TD>
														<TD><asp:textbox id=Phone2Box runat="server" MaxLength="35" Width="112px" CssClass="input" Text='<%# DataBinder.Eval(custEntity, "Tables[TT_CustomerDetails].DefaultView.[0].Phone2") %>'>
															</asp:textbox></TD>
													</TR>
													<TR>
														<TD class="filter-title">{CPT_FAX}:</TD>
														<TD></TD>
													</TR>
													<TR>
														<TD><asp:textbox id=FaxBox runat="server" MaxLength="35" Width="112px" CssClass="input" Text='<%# DataBinder.Eval(custEntity, "Tables[TT_CustomerDetails].DefaultView.[0].Fax") %>'>
															</asp:textbox></TD>
														<TD></TD>
													</TR>
													<TR>
														<TD class="filter-title" vAlign="top" colSpan="2">{CPT_NOTES}:</TD>
													</TR>
													<TR>
														<TD vAlign="top" colSpan="2"><asp:textbox id=NotesBox runat="server" Width="608px" CssClass="input" Text='<%# DataBinder.Eval(custEntity, "Tables[TT_CustomerDetails].DefaultView.[0].Notes") %>' Height="55px" TextMode="MultiLine">
															</asp:textbox></TD>
													</TR>
													<TR>
														<TD class="filter-title" vAlign="top" colSpan="2">{CPT_STATUS}:</TD>
													</TR>
													<TR>
														<TD vAlign="top" colSpan="2"><asp:radiobutton id="rbtnStatEnable" runat="server" Text="{STAT_ENABLED}" GroupName="stat" Checked="True"></asp:radiobutton>&nbsp;
															<asp:radiobutton id="rbtnStatDisable" runat="server" Text="{STAT_DISABLED}" GroupName="stat"></asp:radiobutton></TD>
													</TR>
												</TABLE>
											</TD>
										</TR>
										<TR>
											<TD align="right" colSpan="2"><uc1:objectcardmenu id="bottomButtons" runat="server"></uc1:objectcardmenu></TD>
										</TR>
									</TABLE>
								</td>
								<td id="right" vAlign="top" runat="server">
									<table class="panel" cellSpacing="2" cellPadding="2" style="WIDTH:100%" border="0">
										<tr id="trCantDeleteMsg" runat="server">
											<td>
												<font size="1">
													<table cellSpacing="1" cellPadding="1" width="100%" border="0">
														<tr>
															<td vAlign="top" width="21"><img height="21" src="images/ex.gif" width="21" align="absMiddle"></td>
															<td>{CANTDELETE_MSG}</td>
														</tr>
													</table>
												</font>
											</td>
										</tr>
									</table>
								</td>
							</tr>
						</table>
					</TD>
				</TR>
				<TR height="*">
					<TD vAlign="bottom"><uc1:footer id="Footer1" runat="server"></uc1:footer></TD>
				</TR>
			</TABLE>
		</FORM>
	</body>
</HTML>
