-- BEGINNING TRANSACTION DATA
BEGIN TRANSACTION _DATA_
GO

SET NOCOUNT ON

Print 'Disabling all Constraints'
exec sp_MSforeachtable 'ALTER TABLE ? NOCHECK CONSTRAINT ALL'

Print 'Disabling all Triggers'
exec sp_MSforeachtable 'ALTER TABLE ? DISABLE TRIGGER ALL'

PRINT 'Deleting from table: [dbo].[TT_Workflow]'
DELETE FROM [dbo].[TT_Workflow]

PRINT 'Deleting from table: [dbo].[TT_Version]'
DELETE FROM [dbo].[TT_Version]

PRINT 'Deleting from table: [dbo].[TT_Users]'
DELETE FROM [dbo].[TT_Users]

PRINT 'Deleting from table: [dbo].[TT_UserOps]'
DELETE FROM [dbo].[TT_UserOps]

PRINT 'Deleting from table: [dbo].[TT_Tasks]'
DELETE FROM [dbo].[TT_Tasks]

PRINT 'Deleting from table: [dbo].[TT_TaskAssignee]'
DELETE FROM [dbo].[TT_TaskAssignee]

PRINT 'Deleting from table: [dbo].[TT_Roles]'
DELETE FROM [dbo].[TT_Roles]

PRINT 'Deleting from table: [dbo].[TT_Projects]'
DELETE FROM [dbo].[TT_Projects]

PRINT 'Deleting from table: [dbo].[TT_ProjectMembers]'
DELETE FROM [dbo].[TT_ProjectMembers]

PRINT 'Deleting from table: [dbo].[TT_Payments]'
DELETE FROM [dbo].[TT_Payments]

PRINT 'Deleting from table: [dbo].[TT_Options]'
DELETE FROM [dbo].[TT_Options]

PRINT 'Deleting from table: [dbo].[TT_MessageBoard]'
DELETE FROM [dbo].[TT_MessageBoard]

PRINT 'Deleting from table: [dbo].[TT_Files]'
DELETE FROM [dbo].[TT_Files]

PRINT 'Deleting from table: [dbo].[TT_Expenses]'
DELETE FROM [dbo].[TT_Expenses]

PRINT 'Deleting from table: [dbo].[TT_EntryLog]'
DELETE FROM [dbo].[TT_EntryLog]

PRINT 'Deleting from table: [dbo].[TT_CustomerDetails]'
DELETE FROM [dbo].[TT_CustomerDetails]

PRINT 'Deleting from table: [dbo].[TT_Categories]'
DELETE FROM [dbo].[TT_Categories]

PRINT 'Deleting from table: [dbo].[TT_Attach]'
DELETE FROM [dbo].[TT_Attach]

PRINT 'Deleting from table: [dbo].[RG_Template]'
DELETE FROM [dbo].[RG_Template]

PRINT 'Deleting from table: [dbo].[RG_TemplateField]'
DELETE FROM [dbo].[RG_TemplateField]

PRINT 'Deleting from table: [dbo].[RG_Group]'
DELETE FROM [dbo].[RG_Group]

PRINT 'Deleting from table: [dbo].[RG_GroupField]'
DELETE FROM [dbo].[RG_GroupField]

PRINT 'Deleting from table: [dbo].[RG_GroupFieldAgg]'
DELETE FROM [dbo].[RG_GroupFieldAgg]

PRINT 'Deleting from table: [dbo].[RG_Datasource]'
DELETE FROM [dbo].[RG_Datasource]

PRINT 'Deleting from table: [dbo].[RG_DatasourceParam]'
DELETE FROM [dbo].[RG_DatasourceParam]

PRINT 'Deleting from table: [dbo].[RG_DatasourceField]'
DELETE FROM [dbo].[RG_DatasourceField]

PRINT 'Deleting from table: [dbo].[NF_Notifications]'
DELETE FROM [dbo].[NF_Notifications]

PRINT 'Deleting from table: [dbo].[NF_NotificationUsers]'
DELETE FROM [dbo].[NF_NotificationUsers]

PRINT 'Deleting from table: [dbo].[NF_NotificationDetails]'
DELETE FROM [dbo].[NF_NotificationDetails]

PRINT 'Deleting from table: [dbo].[NF_Actions]'
DELETE FROM [dbo].[NF_Actions]

PRINT 'Deleting from table: [dbo].[MD_Fields]'
DELETE FROM [dbo].[MD_Fields]

PRINT 'Deleting from table: [dbo].[DD_TaskTypes]'
DELETE FROM [dbo].[DD_TaskTypes]

PRINT 'Deleting from table: [dbo].[DD_Statuses]'
DELETE FROM [dbo].[DD_Statuses]

PRINT 'Deleting from table: [dbo].[DD_Priorities]'
DELETE FROM [dbo].[DD_Priorities]

PRINT 'Deleting from table: [dbo].[DD_Categories]'
DELETE FROM [dbo].[DD_Categories]

PRINT 'Deleting from table: [dbo].[DD_BugTypes]'
DELETE FROM [dbo].[DD_BugTypes]

/* Insert scripts for table: [dbo].[DD_BugTypes] */
PRINT 'Inserting rows into table: [dbo].[DD_BugTypes]'

SET IDENTITY_INSERT [dbo].[DD_BugTypes] ON

INSERT INTO [dbo].[DD_BugTypes] ([ID], [Number], [Name]) VALUES (1, 1, N'Interface')
INSERT INTO [dbo].[DD_BugTypes] ([ID], [Number], [Name]) VALUES (2, 2, N'Misspelling')
INSERT INTO [dbo].[DD_BugTypes] ([ID], [Number], [Name]) VALUES (3, 3, N'Design')
INSERT INTO [dbo].[DD_BugTypes] ([ID], [Number], [Name]) VALUES (4, 4, N'Functionality')
INSERT INTO [dbo].[DD_BugTypes] ([ID], [Number], [Name]) VALUES (5, 5, N'Logic')
INSERT INTO [dbo].[DD_BugTypes] ([ID], [Number], [Name]) VALUES (6, 6, N'Calculation')

SET IDENTITY_INSERT [dbo].[DD_BugTypes] OFF


/* Insert scripts for table: [dbo].[DD_Categories] */
PRINT 'Inserting rows into table: [dbo].[DD_Categories]'

SET IDENTITY_INSERT [dbo].[DD_Categories] ON

INSERT INTO [dbo].[DD_Categories] ([ID], [Name], [Abbreviation], [EstDuration]) VALUES (1, N'Development', N'dev', 200.0)
INSERT INTO [dbo].[DD_Categories] ([ID], [Name], [Abbreviation], [EstDuration]) VALUES (2, N'QA', N'qa', 200.0)
INSERT INTO [dbo].[DD_Categories] ([ID], [Name], [Abbreviation], [EstDuration]) VALUES (3, N'Troubleshooting', N'trbs', 200.0)

SET IDENTITY_INSERT [dbo].[DD_Categories] OFF


/* Insert scripts for table: [dbo].[DD_Priorities] */
PRINT 'Inserting rows into table: [dbo].[DD_Priorities]'

SET IDENTITY_INSERT [dbo].[DD_Priorities] ON

INSERT INTO [dbo].[DD_Priorities] ([ID], [Number], [Name]) VALUES (1, 1, N'Urgent')
INSERT INTO [dbo].[DD_Priorities] ([ID], [Number], [Name]) VALUES (2, 2, N'High')
INSERT INTO [dbo].[DD_Priorities] ([ID], [Number], [Name]) VALUES (3, 3, N'Medium')
INSERT INTO [dbo].[DD_Priorities] ([ID], [Number], [Name]) VALUES (4, 4, N'Low')

SET IDENTITY_INSERT [dbo].[DD_Priorities] OFF


/* Insert scripts for table: [dbo].[DD_Statuses] */
PRINT 'Inserting rows into table: [dbo].[DD_Statuses]'

SET IDENTITY_INSERT [dbo].[DD_Statuses] ON

INSERT INTO [dbo].[DD_Statuses] ([ID], [StatusName], [Number], [StatusType], [TreatAsCompleted]) VALUES (1, N'Hold', 1, N'Task', 0)
INSERT INTO [dbo].[DD_Statuses] ([ID], [StatusName], [Number], [StatusType], [TreatAsCompleted]) VALUES (2, N'Development', 2, N'Task', 0)
INSERT INTO [dbo].[DD_Statuses] ([ID], [StatusName], [Number], [StatusType], [TreatAsCompleted]) VALUES (3, N'Testing', 3, N'Task', 0)
INSERT INTO [dbo].[DD_Statuses] ([ID], [StatusName], [Number], [StatusType], [TreatAsCompleted]) VALUES (4, N'Completed', 4, N'Task', 1)
INSERT INTO [dbo].[DD_Statuses] ([ID], [StatusName], [Number], [StatusType], [TreatAsCompleted]) VALUES (5, N'Assigned', 5, N'Task', 0)
INSERT INTO [dbo].[DD_Statuses] ([ID], [StatusName], [Number], [StatusType], [TreatAsCompleted]) VALUES (6, N'Open', 1, N'Bug', 0)
INSERT INTO [dbo].[DD_Statuses] ([ID], [StatusName], [Number], [StatusType], [TreatAsCompleted]) VALUES (7, N'Reviewed', 2, N'Bug', 0)
INSERT INTO [dbo].[DD_Statuses] ([ID], [StatusName], [Number], [StatusType], [TreatAsCompleted]) VALUES (8, N'Hold', 3, N'Bug', 0)
INSERT INTO [dbo].[DD_Statuses] ([ID], [StatusName], [Number], [StatusType], [TreatAsCompleted]) VALUES (9, N'Assigned', 4, N'Bug', 0)
INSERT INTO [dbo].[DD_Statuses] ([ID], [StatusName], [Number], [StatusType], [TreatAsCompleted]) VALUES (10, N'Fixed', 5, N'Bug', 1)
INSERT INTO [dbo].[DD_Statuses] ([ID], [StatusName], [Number], [StatusType], [TreatAsCompleted]) VALUES (11, N'Closed', 6, N'Bug', 1)
INSERT INTO [dbo].[DD_Statuses] ([ID], [StatusName], [Number], [StatusType], [TreatAsCompleted]) VALUES (12, N'Verified & Closed', 7, N'Bug', 1)
INSERT INTO [dbo].[DD_Statuses] ([ID], [StatusName], [Number], [StatusType], [TreatAsCompleted]) VALUES (13, N'Submitted', 1, N'Request', 0)
INSERT INTO [dbo].[DD_Statuses] ([ID], [StatusName], [Number], [StatusType], [TreatAsCompleted]) VALUES (14, N'Assigned', 2, N'Request', 0)
INSERT INTO [dbo].[DD_Statuses] ([ID], [StatusName], [Number], [StatusType], [TreatAsCompleted]) VALUES (15, N'On Hold', 3, N'Request', 0)
INSERT INTO [dbo].[DD_Statuses] ([ID], [StatusName], [Number], [StatusType], [TreatAsCompleted]) VALUES (16, N'Completed', 4, N'Request', 1)
INSERT INTO [dbo].[DD_Statuses] ([ID], [StatusName], [Number], [StatusType], [TreatAsCompleted]) VALUES (17, N'Cancelled', 5, N'Request', 1)
INSERT INTO [dbo].[DD_Statuses] ([ID], [StatusName], [Number], [StatusType], [TreatAsCompleted]) VALUES (18, N'Open', 1, N'Project', 0)
INSERT INTO [dbo].[DD_Statuses] ([ID], [StatusName], [Number], [StatusType], [TreatAsCompleted]) VALUES (19, N'Completed', 2, N'Project', 1)

SET IDENTITY_INSERT [dbo].[DD_Statuses] OFF


/* Insert scripts for table: [dbo].[DD_TaskTypes] */
PRINT 'Inserting rows into table: [dbo].[DD_TaskTypes]'

INSERT INTO [dbo].[DD_TaskTypes] ([TypeName], [ID]) VALUES (N'Task', 1)
INSERT INTO [dbo].[DD_TaskTypes] ([TypeName], [ID]) VALUES (N'Bug', 2)
INSERT INTO [dbo].[DD_TaskTypes] ([TypeName], [ID]) VALUES (N'Request', 3)

/* No records are in [dbo].[MD_Fields] */

/* Insert scripts for table: [dbo].[NF_Actions] */
PRINT 'Inserting rows into table: [dbo].[NF_Actions]'

SET IDENTITY_INSERT [dbo].[NF_Actions] ON

INSERT INTO [dbo].[NF_Actions] ([ActionID], [Operation], [Target]) VALUES (1, 'Add       ', 'Task')
INSERT INTO [dbo].[NF_Actions] ([ActionID], [Operation], [Target]) VALUES (2, 'Edit      ', 'Task')
INSERT INTO [dbo].[NF_Actions] ([ActionID], [Operation], [Target]) VALUES (3, 'Complete  ', 'Task')
INSERT INTO [dbo].[NF_Actions] ([ActionID], [Operation], [Target]) VALUES (4, 'Delete    ', 'Task')
INSERT INTO [dbo].[NF_Actions] ([ActionID], [Operation], [Target]) VALUES (5, 'Add       ', 'Bug')
INSERT INTO [dbo].[NF_Actions] ([ActionID], [Operation], [Target]) VALUES (6, 'Edit      ', 'Bug')
INSERT INTO [dbo].[NF_Actions] ([ActionID], [Operation], [Target]) VALUES (7, 'Complete  ', 'Bug')
INSERT INTO [dbo].[NF_Actions] ([ActionID], [Operation], [Target]) VALUES (8, 'Delete    ', 'Bug')
INSERT INTO [dbo].[NF_Actions] ([ActionID], [Operation], [Target]) VALUES (9, 'Add       ', 'Request')
INSERT INTO [dbo].[NF_Actions] ([ActionID], [Operation], [Target]) VALUES (10, 'Edit      ', 'Request')
INSERT INTO [dbo].[NF_Actions] ([ActionID], [Operation], [Target]) VALUES (11, 'Complete  ', 'Request')
INSERT INTO [dbo].[NF_Actions] ([ActionID], [Operation], [Target]) VALUES (12, 'Delete    ', 'Request')
INSERT INTO [dbo].[NF_Actions] ([ActionID], [Operation], [Target]) VALUES (13, 'Add       ', 'Attachment')
INSERT INTO [dbo].[NF_Actions] ([ActionID], [Operation], [Target]) VALUES (14, 'Delete    ', 'Attachment')
INSERT INTO [dbo].[NF_Actions] ([ActionID], [Operation], [Target]) VALUES (15, 'Add       ', 'Message')
INSERT INTO [dbo].[NF_Actions] ([ActionID], [Operation], [Target]) VALUES (16, 'Edit      ', 'Message')
INSERT INTO [dbo].[NF_Actions] ([ActionID], [Operation], [Target]) VALUES (17, 'Delete    ', 'Message')
INSERT INTO [dbo].[NF_Actions] ([ActionID], [Operation], [Target]) VALUES (18, 'Assign    ', 'Task')
INSERT INTO [dbo].[NF_Actions] ([ActionID], [Operation], [Target]) VALUES (19, 'Assign    ', 'Bug')
INSERT INTO [dbo].[NF_Actions] ([ActionID], [Operation], [Target]) VALUES (20, 'Assign    ', 'Request')

SET IDENTITY_INSERT [dbo].[NF_Actions] OFF


/* No records are in [dbo].[NF_NotificationDetails] */

/* No records are in [dbo].[NF_NotificationUsers] */

/* No records are in [dbo].[NF_Notifications] */

/* Insert scripts for table: [dbo].[RG_DatasourceField] */
PRINT 'Inserting rows into table: [dbo].[RG_DatasourceField]'

SET IDENTITY_INSERT [dbo].[RG_DatasourceField] ON

INSERT INTO [dbo].[RG_DatasourceField] ([DatasourceFieldID], [DatasourceID], [FieldName], [DisplayName], [Datatype], [DataFormat], [Width], [Aggregation]) VALUES (1, 1, 'ProjectID', 'ID', 0, '', 15, 0)
INSERT INTO [dbo].[RG_DatasourceField] ([DatasourceFieldID], [DatasourceID], [FieldName], [DisplayName], [Datatype], [DataFormat], [Width], [Aggregation]) VALUES (2, 1, 'Name', 'Project Name', 2, '', 30, 0)
INSERT INTO [dbo].[RG_DatasourceField] ([DatasourceFieldID], [DatasourceID], [FieldName], [DisplayName], [Datatype], [DataFormat], [Width], [Aggregation]) VALUES (3, 1, 'Description', 'Project Description', 2, '', 30, 0)
INSERT INTO [dbo].[RG_DatasourceField] ([DatasourceFieldID], [DatasourceID], [FieldName], [DisplayName], [Datatype], [DataFormat], [Width], [Aggregation]) VALUES (4, 1, 'EstCompletionDate', 'Estimated completion date', 3, '{0:d}', 15, 0)
INSERT INTO [dbo].[RG_DatasourceField] ([DatasourceFieldID], [DatasourceID], [FieldName], [DisplayName], [Datatype], [DataFormat], [Width], [Aggregation]) VALUES (8, 1, 'CreationDate', 'Creation date', 3, '', 20, 0)
INSERT INTO [dbo].[RG_DatasourceField] ([DatasourceFieldID], [DatasourceID], [FieldName], [DisplayName], [Datatype], [DataFormat], [Width], [Aggregation]) VALUES (9, 1, 'EstDuration', 'Estimated duration', 1, '', 10, 0)
INSERT INTO [dbo].[RG_DatasourceField] ([DatasourceFieldID], [DatasourceID], [FieldName], [DisplayName], [Datatype], [DataFormat], [Width], [Aggregation]) VALUES (10, 1, 'StatusName', 'Status', 2, '', 20, 0)
INSERT INTO [dbo].[RG_DatasourceField] ([DatasourceFieldID], [DatasourceID], [FieldName], [DisplayName], [Datatype], [DataFormat], [Width], [Aggregation]) VALUES (11, 1, 'PriorityName', 'Priority', 2, '', 20, 0)
INSERT INTO [dbo].[RG_DatasourceField] ([DatasourceFieldID], [DatasourceID], [FieldName], [DisplayName], [Datatype], [DataFormat], [Width], [Aggregation]) VALUES (153, 2, 'TaskID', 'ID', 0, '', 10, 0)
INSERT INTO [dbo].[RG_DatasourceField] ([DatasourceFieldID], [DatasourceID], [FieldName], [DisplayName], [Datatype], [DataFormat], [Width], [Aggregation]) VALUES (154, 2, 'Description', 'Description', 2, '', 30, 0)
INSERT INTO [dbo].[RG_DatasourceField] ([DatasourceFieldID], [DatasourceID], [FieldName], [DisplayName], [Datatype], [DataFormat], [Width], [Aggregation]) VALUES (158, 2, 'EstCompletionDate', 'Estimated completion date', 3, '{0:d}', 15, 0)
INSERT INTO [dbo].[RG_DatasourceField] ([DatasourceFieldID], [DatasourceID], [FieldName], [DisplayName], [Datatype], [DataFormat], [Width], [Aggregation]) VALUES (159, 2, 'EstDuration', 'Estimated duration', 1, '', 15, 0)
INSERT INTO [dbo].[RG_DatasourceField] ([DatasourceFieldID], [DatasourceID], [FieldName], [DisplayName], [Datatype], [DataFormat], [Width], [Aggregation]) VALUES (162, 2, 'Title', 'Title', 2, '', 30, 0)
INSERT INTO [dbo].[RG_DatasourceField] ([DatasourceFieldID], [DatasourceID], [FieldName], [DisplayName], [Datatype], [DataFormat], [Width], [Aggregation]) VALUES (167, 2, 'ProjectName', 'Project', 2, '', 20, 0)
INSERT INTO [dbo].[RG_DatasourceField] ([DatasourceFieldID], [DatasourceID], [FieldName], [DisplayName], [Datatype], [DataFormat], [Width], [Aggregation]) VALUES (168, 2, 'StatusName', 'Status', 2, '', 20, 0)
INSERT INTO [dbo].[RG_DatasourceField] ([DatasourceFieldID], [DatasourceID], [FieldName], [DisplayName], [Datatype], [DataFormat], [Width], [Aggregation]) VALUES (169, 2, 'CategoryName', 'Category', 2, '', 20, 0)
INSERT INTO [dbo].[RG_DatasourceField] ([DatasourceFieldID], [DatasourceID], [FieldName], [DisplayName], [Datatype], [DataFormat], [Width], [Aggregation]) VALUES (170, 4, 'TaskID', 'ID', 0, '', 10, 0)
INSERT INTO [dbo].[RG_DatasourceField] ([DatasourceFieldID], [DatasourceID], [FieldName], [DisplayName], [Datatype], [DataFormat], [Width], [Aggregation]) VALUES (172, 4, 'Description', 'Description', 2, '', 30, 0)
INSERT INTO [dbo].[RG_DatasourceField] ([DatasourceFieldID], [DatasourceID], [FieldName], [DisplayName], [Datatype], [DataFormat], [Width], [Aggregation]) VALUES (175, 4, 'PriorityName', 'Priority', 2, '', 10, 0)
INSERT INTO [dbo].[RG_DatasourceField] ([DatasourceFieldID], [DatasourceID], [FieldName], [DisplayName], [Datatype], [DataFormat], [Width], [Aggregation]) VALUES (176, 4, 'StartDate', 'Opened', 3, '', 15, 0)
INSERT INTO [dbo].[RG_DatasourceField] ([DatasourceFieldID], [DatasourceID], [FieldName], [DisplayName], [Datatype], [DataFormat], [Width], [Aggregation]) VALUES (182, 4, 'ProjectName', 'Project', 2, '', 20, 0)
INSERT INTO [dbo].[RG_DatasourceField] ([DatasourceFieldID], [DatasourceID], [FieldName], [DisplayName], [Datatype], [DataFormat], [Width], [Aggregation]) VALUES (184, 4, 'BugTypeName', 'Type', 2, '', 20, 0)
INSERT INTO [dbo].[RG_DatasourceField] ([DatasourceFieldID], [DatasourceID], [FieldName], [DisplayName], [Datatype], [DataFormat], [Width], [Aggregation]) VALUES (185, 4, 'StatusName', 'Status', 2, '', 20, 0)
INSERT INTO [dbo].[RG_DatasourceField] ([DatasourceFieldID], [DatasourceID], [FieldName], [DisplayName], [Datatype], [DataFormat], [Width], [Aggregation]) VALUES (186, 5, 'TaskID', 'ID', 0, '', 10, 0)
INSERT INTO [dbo].[RG_DatasourceField] ([DatasourceFieldID], [DatasourceID], [FieldName], [DisplayName], [Datatype], [DataFormat], [Width], [Aggregation]) VALUES (188, 5, 'Description', 'Description', 2, '', 30, 0)
INSERT INTO [dbo].[RG_DatasourceField] ([DatasourceFieldID], [DatasourceID], [FieldName], [DisplayName], [Datatype], [DataFormat], [Width], [Aggregation]) VALUES (191, 5, 'StartDate', 'Submitted', 3, '', 15, 0)
INSERT INTO [dbo].[RG_DatasourceField] ([DatasourceFieldID], [DatasourceID], [FieldName], [DisplayName], [Datatype], [DataFormat], [Width], [Aggregation]) VALUES (194, 5, 'ProjectName', 'Project', 2, '', 20, 0)
INSERT INTO [dbo].[RG_DatasourceField] ([DatasourceFieldID], [DatasourceID], [FieldName], [DisplayName], [Datatype], [DataFormat], [Width], [Aggregation]) VALUES (195, 5, 'StatusName', 'Status', 2, '', 20, 0)
INSERT INTO [dbo].[RG_DatasourceField] ([DatasourceFieldID], [DatasourceID], [FieldName], [DisplayName], [Datatype], [DataFormat], [Width], [Aggregation]) VALUES (196, 6, 'EntryLogID', 'EntryLogID', 0, '', 5, 0)
INSERT INTO [dbo].[RG_DatasourceField] ([DatasourceFieldID], [DatasourceID], [FieldName], [DisplayName], [Datatype], [DataFormat], [Width], [Aggregation]) VALUES (197, 6, 'Description', 'Description', 2, '', 20, 0)
INSERT INTO [dbo].[RG_DatasourceField] ([DatasourceFieldID], [DatasourceID], [FieldName], [DisplayName], [Datatype], [DataFormat], [Width], [Aggregation]) VALUES (198, 6, 'Duration', 'Duration', 1, '', 5, 0)
INSERT INTO [dbo].[RG_DatasourceField] ([DatasourceFieldID], [DatasourceID], [FieldName], [DisplayName], [Datatype], [DataFormat], [Width], [Aggregation]) VALUES (199, 6, 'EntryDate', 'Date', 3, '{0:d}', 10, 0)
INSERT INTO [dbo].[RG_DatasourceField] ([DatasourceFieldID], [DatasourceID], [FieldName], [DisplayName], [Datatype], [DataFormat], [Width], [Aggregation]) VALUES (204, 6, 'Billable', 'Billable', 4, '', 5, 0)
INSERT INTO [dbo].[RG_DatasourceField] ([DatasourceFieldID], [DatasourceID], [FieldName], [DisplayName], [Datatype], [DataFormat], [Width], [Aggregation]) VALUES (205, 6, 'ProjectName', 'Project', 2, '', 20, 0)
INSERT INTO [dbo].[RG_DatasourceField] ([DatasourceFieldID], [DatasourceID], [FieldName], [DisplayName], [Datatype], [DataFormat], [Width], [Aggregation]) VALUES (206, 6, 'UserDisplayName', 'Entered By', 2, '', 20, 0)
INSERT INTO [dbo].[RG_DatasourceField] ([DatasourceFieldID], [DatasourceID], [FieldName], [DisplayName], [Datatype], [DataFormat], [Width], [Aggregation]) VALUES (207, 6, 'TaskTitle', 'Task', 2, '', 20, 0)
INSERT INTO [dbo].[RG_DatasourceField] ([DatasourceFieldID], [DatasourceID], [FieldName], [DisplayName], [Datatype], [DataFormat], [Width], [Aggregation]) VALUES (208, 6, 'CategoryName', 'Category', 2, '', 20, 0)
INSERT INTO [dbo].[RG_DatasourceField] ([DatasourceFieldID], [DatasourceID], [FieldName], [DisplayName], [Datatype], [DataFormat], [Width], [Aggregation]) VALUES (211, 2, 'TaskTypeName', 'Task Type', 2, NULL, 10, 0)
INSERT INTO [dbo].[RG_DatasourceField] ([DatasourceFieldID], [DatasourceID], [FieldName], [DisplayName], [Datatype], [DataFormat], [Width], [Aggregation]) VALUES (212, 1, 'Customer', 'Customer', 2, NULL, 20, 0)
INSERT INTO [dbo].[RG_DatasourceField] ([DatasourceFieldID], [DatasourceID], [FieldName], [DisplayName], [Datatype], [DataFormat], [Width], [Aggregation]) VALUES (213, 2, 'Customer', 'Customer', 2, NULL, 20, 0)
INSERT INTO [dbo].[RG_DatasourceField] ([DatasourceFieldID], [DatasourceID], [FieldName], [DisplayName], [Datatype], [DataFormat], [Width], [Aggregation]) VALUES (214, 4, 'Customer', 'Customer', 2, NULL, 20, 0)
INSERT INTO [dbo].[RG_DatasourceField] ([DatasourceFieldID], [DatasourceID], [FieldName], [DisplayName], [Datatype], [DataFormat], [Width], [Aggregation]) VALUES (216, 6, 'Customer', 'Customer', 2, NULL, 20, 0)
INSERT INTO [dbo].[RG_DatasourceField] ([DatasourceFieldID], [DatasourceID], [FieldName], [DisplayName], [Datatype], [DataFormat], [Width], [Aggregation]) VALUES (217, 5, 'Customer', 'Customer', 2, NULL, 20, 0)

SET IDENTITY_INSERT [dbo].[RG_DatasourceField] OFF


/* Insert scripts for table: [dbo].[RG_DatasourceParam] */
PRINT 'Inserting rows into table: [dbo].[RG_DatasourceParam]'

SET IDENTITY_INSERT [dbo].[RG_DatasourceParam] ON

INSERT INTO [dbo].[RG_DatasourceParam] ([DatasourceParamID], [DatasourceID], [ParamName], [DisplayName], [Internal]) VALUES (1, 1, 'ProjectIDs', 'ProjectIDs', 1)
INSERT INTO [dbo].[RG_DatasourceParam] ([DatasourceParamID], [DatasourceID], [ParamName], [DisplayName], [Internal]) VALUES (2, 2, 'AllItemsProjectIDs', 'AllItemsProjectIDs', 1)
INSERT INTO [dbo].[RG_DatasourceParam] ([DatasourceParamID], [DatasourceID], [ParamName], [DisplayName], [Internal]) VALUES (3, 2, 'OwnItemsProjectIDs', 'OwnItemsProjectIDs', 1)
INSERT INTO [dbo].[RG_DatasourceParam] ([DatasourceParamID], [DatasourceID], [ParamName], [DisplayName], [Internal]) VALUES (4, 2, 'QueryUserID', 'AllItemsProjectIDs', 1)
INSERT INTO [dbo].[RG_DatasourceParam] ([DatasourceParamID], [DatasourceID], [ParamName], [DisplayName], [Internal]) VALUES (5, 4, 'AllItemsProjectIDs', 'AllItemsProjectIDs', 1)
INSERT INTO [dbo].[RG_DatasourceParam] ([DatasourceParamID], [DatasourceID], [ParamName], [DisplayName], [Internal]) VALUES (6, 4, 'OwnItemsProjectIDs', 'OwnItemsProjectIDs', 1)
INSERT INTO [dbo].[RG_DatasourceParam] ([DatasourceParamID], [DatasourceID], [ParamName], [DisplayName], [Internal]) VALUES (7, 4, 'QueryUserID', 'AllItemsProjectIDs', 1)
INSERT INTO [dbo].[RG_DatasourceParam] ([DatasourceParamID], [DatasourceID], [ParamName], [DisplayName], [Internal]) VALUES (8, 5, 'AllItemsProjectIDs', 'AllItemsProjectIDs', 1)
INSERT INTO [dbo].[RG_DatasourceParam] ([DatasourceParamID], [DatasourceID], [ParamName], [DisplayName], [Internal]) VALUES (9, 5, 'OwnItemsProjectIDs', 'OwnItemsProjectIDs', 1)
INSERT INTO [dbo].[RG_DatasourceParam] ([DatasourceParamID], [DatasourceID], [ParamName], [DisplayName], [Internal]) VALUES (10, 5, 'QueryUserID', 'AllItemsProjectIDs', 1)
INSERT INTO [dbo].[RG_DatasourceParam] ([DatasourceParamID], [DatasourceID], [ParamName], [DisplayName], [Internal]) VALUES (11, 6, 'AllItemsProjectIDs', 'AllItemsProjectIDs', 1)
INSERT INTO [dbo].[RG_DatasourceParam] ([DatasourceParamID], [DatasourceID], [ParamName], [DisplayName], [Internal]) VALUES (12, 6, 'OwnItemsProjectIDs', 'OwnItemsProjectIDs', 1)
INSERT INTO [dbo].[RG_DatasourceParam] ([DatasourceParamID], [DatasourceID], [ParamName], [DisplayName], [Internal]) VALUES (13, 6, 'QueryUserID', 'AllItemsProjectIDs', 1)

SET IDENTITY_INSERT [dbo].[RG_DatasourceParam] OFF


/* Insert scripts for table: [dbo].[RG_Datasource] */
PRINT 'Inserting rows into table: [dbo].[RG_Datasource]'

SET IDENTITY_INSERT [dbo].[RG_Datasource] ON

INSERT INTO [dbo].[RG_Datasource] ([DatasourceID], [Name], [QueryText], [InternalID]) VALUES (1, 'Projects', N'SELECT pj.*, stat.StatusName, prio.Name as PriorityName, 
cust.CompanyName as Customer
FROM TT_Projects pj  
INNER JOIN DD_Statuses as stat  
ON stat.Number = pj.Status   
INNER JOIN DD_Priorities prio  
ON prio.Number = pj.Priority  
LEFT OUTER JOIN TT_CustomerDetails cust
ON cust.CustomerID = pj.CustomerID
WHERE stat.StatusType=''Project''
AND pj.ProjectID IN ?', 'projects')
INSERT INTO [dbo].[RG_Datasource] ([DatasourceID], [Name], [QueryText], [InternalID]) VALUES (2, 'Tasks', N'SELECT ts.*, proj.Name as ProjectName, stat.StatusName, cat.Name as CategoryName, prior.Name as PriorityName,
CASE WHEN ts.TaskType = 1 THEN ''{task}'' WHEN ts.TaskType = 2 THEN ''{bug}'' ELSE ''{request}'' END as TaskTypeName, cust.CompanyName as Customer
								FROM TT_Tasks ts
								INNER JOIN TT_Projects proj
								ON proj.ProjectID = ts.ProjectID
								INNER JOIN DD_Statuses stat
								ON stat.Number = ts.Status
								INNER JOIN TT_Categories cat
								ON cat.CategoryID = ts.CategoryID
								INNER JOIN DD_Priorities prior
								ON prior.Number = ts.Priority 
							  LEFT OUTER JOIN TT_CustomerDetails cust
                ON cust.CustomerID = proj.CustomerID
								WHERE stat.StatusType = CASE WHEN ts.TaskType = 1 THEN ''Task'' WHEN ts.TaskType = 2 THEN ''Bug'' ELSE ''Request'' END
								AND proj.ProjectID IN ?
								UNION ALL

SELECT ts.*, proj.Name as ProjectName, stat.StatusName, cat.Name as CategoryName, prior.Name as PriorityName,
CASE WHEN ts.TaskType = 1 THEN ''{task}'' WHEN ts.TaskType = 2 THEN ''{bug}'' ELSE ''{request}'' END as TaskType, cust.CompanyName as Customer
								FROM TT_Tasks ts
								INNER JOIN TT_Projects proj
								ON proj.ProjectID = ts.ProjectID
								INNER JOIN DD_Statuses stat
								ON stat.Number = ts.Status
								INNER JOIN TT_Categories cat
								ON cat.CategoryID = ts.CategoryID
								INNER JOIN DD_Priorities prior
								ON prior.Number = ts.Priority 
							  LEFT OUTER JOIN TT_CustomerDetails cust
                ON cust.CustomerID = proj.CustomerID
								WHERE stat.StatusType = CASE WHEN ts.TaskType = 1 THEN ''Task'' WHEN ts.TaskType = 2 THEN ''Bug'' ELSE ''Request'' END
								AND proj.ProjectID IN ?
								AND EXISTS (SELECT * FROM TT_TaskAssignee ta WHERE 
								ta.TaskID = ts.TaskID
								AND ta.UserID = ?
								)', 'tasks')
INSERT INTO [dbo].[RG_Datasource] ([DatasourceID], [Name], [QueryText], [InternalID]) VALUES (4, 'Bugs', N'SELECT ts.*, proj.Name as ProjectName, bgtp.Name as BugTypeName, stat.StatusName, prior.Name as PriorityName, cust.CompanyName as Customer
								FROM TT_Tasks ts
								INNER JOIN TT_Projects proj
								ON proj.ProjectID = ts.ProjectID
								INNER JOIN DD_Statuses stat
								ON stat.Number = ts.Status AND stat.StatusType = ''Bug''
								LEFT OUTER JOIN DD_BugTypes bgtp
								ON bgtp.Number = ts.BugType
								INNER JOIN DD_Priorities prior
								ON prior.Number = ts.Priority 
							  LEFT OUTER JOIN TT_CustomerDetails cust
                ON cust.CustomerID = proj.CustomerID
								WHERE ts.TaskType = 2 
								AND proj.ProjectID IN ?
								UNION ALL

SELECT ts.*, proj.Name as ProjectName, bgtp.Name as BugTypeName, stat.StatusName, prior.Name as PriorityName, cust.CompanyName as Customer
								FROM TT_Tasks ts
								INNER JOIN TT_Projects proj
								ON proj.ProjectID = ts.ProjectID
								INNER JOIN DD_Statuses stat
								ON stat.Number = ts.Status AND stat.StatusType = ''Bug''
								LEFT OUTER JOIN DD_BugTypes bgtp
								ON bgtp.Number = ts.BugType
								INNER JOIN DD_Priorities prior
								ON prior.Number = ts.Priority 
							  LEFT OUTER JOIN TT_CustomerDetails cust
                ON cust.CustomerID = proj.CustomerID
								WHERE ts.TaskType = 2
								AND proj.ProjectID IN ?
								AND EXISTS (SELECT * FROM TT_TaskAssignee ta WHERE 
								ta.TaskID = ts.TaskID
								AND ta.UserID = ?
								)', 'bugs')
INSERT INTO [dbo].[RG_Datasource] ([DatasourceID], [Name], [QueryText], [InternalID]) VALUES (5, 'Requests', N'SELECT ts.*, proj.Name as ProjectName, stat.StatusName, prior.Name as PriorityName
								FROM TT_Tasks ts
								INNER JOIN TT_Projects proj
								ON proj.ProjectID = ts.ProjectID
								INNER JOIN DD_Statuses stat
								ON stat.Number = ts.Status AND stat.StatusType = ''Request''
								INNER JOIN DD_Priorities prior
								ON prior.Number = ts.Priority 
								WHERE ts.TaskType = 3 
								AND proj.ProjectID IN ?
								UNION ALL

SELECT ts.*, proj.Name as ProjectName, stat.StatusName, prior.Name as PriorityName
								FROM TT_Tasks ts
								INNER JOIN TT_Projects proj
								ON proj.ProjectID = ts.ProjectID
								INNER JOIN DD_Statuses stat
								ON stat.Number = ts.Status AND stat.StatusType = ''Request''
								INNER JOIN DD_Priorities prior
								ON prior.Number = ts.Priority 
								WHERE ts.TaskType = 3
								AND proj.ProjectID IN ?
								AND EXISTS (SELECT * FROM TT_TaskAssignee ta WHERE 
								ta.TaskID = ts.TaskID
								AND ta.UserID = ?
								)', 'requests')
INSERT INTO [dbo].[RG_Datasource] ([DatasourceID], [Name], [QueryText], [InternalID]) VALUES (6, 'Time entries', N'SELECT lg.*, proj.Name as ProjectName, us.DisplayName UserDisplayName, 
ts.Title TaskTitle, cat.Name CategoryName, cust.CompanyName as Customer
FROM TT_EntryLog lg
INNER JOIN TT_Projects proj
ON proj.ProjectID = lg.ProjectID
INNER JOIN TT_Users us
ON us.UserID = lg.UserID
INNER JOIN TT_Tasks ts
ON ts.TaskID = lg.TaskID
INNER JOIN TT_Categories cat
ON cat.CategoryID = lg.CategoryID
LEFT OUTER JOIN TT_CustomerDetails cust
ON cust.CustomerID = proj.CustomerID
WHERE proj.ProjectID IN ?
UNION ALL
SELECT lg.*, proj.Name as ProjectName, us.DisplayName UserDisplayName, 
ts.Title TaskTitle, cat.Name CategoryName, cust.CompanyName as Customer
FROM TT_EntryLog lg
INNER JOIN TT_Projects proj
ON proj.ProjectID = lg.ProjectID
INNER JOIN TT_Users us
ON us.UserID = lg.UserID
INNER JOIN TT_Tasks ts
ON ts.TaskID = lg.TaskID
INNER JOIN TT_Categories cat
ON cat.CategoryID = lg.CategoryID
LEFT OUTER JOIN TT_CustomerDetails cust
ON cust.CustomerID = proj.CustomerID
WHERE proj.ProjectID IN ? AND lg.UserID = ?', 'timeentries')

SET IDENTITY_INSERT [dbo].[RG_Datasource] OFF


/* No records are in [dbo].[RG_GroupFieldAgg] */

/* No records are in [dbo].[RG_GroupField] */

/* No records are in [dbo].[RG_Group] */

/* No records are in [dbo].[RG_TemplateField] */

/* No records are in [dbo].[RG_Template] */

/* No records are in [dbo].[TT_Attach] */

/* Insert scripts for table: [dbo].[TT_Categories] */
PRINT 'Inserting rows into table: [dbo].[TT_Categories]'

SET IDENTITY_INSERT [dbo].[TT_Categories] ON

INSERT INTO [dbo].[TT_Categories] ([CategoryID], [ProjectID], [Name], [Abbreviation], [EstDuration]) VALUES (671, 96, N'Development', N'dev', 200.0)
INSERT INTO [dbo].[TT_Categories] ([CategoryID], [ProjectID], [Name], [Abbreviation], [EstDuration]) VALUES (672, 96, N'QA', N'qa', 200.0)
INSERT INTO [dbo].[TT_Categories] ([CategoryID], [ProjectID], [Name], [Abbreviation], [EstDuration]) VALUES (673, 96, N'Troubleshooting', N'trbs', 200.0)
INSERT INTO [dbo].[TT_Categories] ([CategoryID], [ProjectID], [Name], [Abbreviation], [EstDuration]) VALUES (674, 97, N'Development', N'dev', 200.0)
INSERT INTO [dbo].[TT_Categories] ([CategoryID], [ProjectID], [Name], [Abbreviation], [EstDuration]) VALUES (675, 97, N'QA', N'qa', 200.0)
INSERT INTO [dbo].[TT_Categories] ([CategoryID], [ProjectID], [Name], [Abbreviation], [EstDuration]) VALUES (676, 97, N'Troubleshooting', N'trbs', 200.0)
INSERT INTO [dbo].[TT_Categories] ([CategoryID], [ProjectID], [Name], [Abbreviation], [EstDuration]) VALUES (677, 98, N'Development', N'dev', 200.0)
INSERT INTO [dbo].[TT_Categories] ([CategoryID], [ProjectID], [Name], [Abbreviation], [EstDuration]) VALUES (678, 98, N'QA', N'qa', 200.0)
INSERT INTO [dbo].[TT_Categories] ([CategoryID], [ProjectID], [Name], [Abbreviation], [EstDuration]) VALUES (679, 98, N'Troubleshooting', N'trbs', 200.0)
INSERT INTO [dbo].[TT_Categories] ([CategoryID], [ProjectID], [Name], [Abbreviation], [EstDuration]) VALUES (680, 99, N'Development', N'dev', 200.0)
INSERT INTO [dbo].[TT_Categories] ([CategoryID], [ProjectID], [Name], [Abbreviation], [EstDuration]) VALUES (681, 99, N'QA', N'qa', 200.0)
INSERT INTO [dbo].[TT_Categories] ([CategoryID], [ProjectID], [Name], [Abbreviation], [EstDuration]) VALUES (682, 99, N'Troubleshooting', N'trbs', 200.0)
INSERT INTO [dbo].[TT_Categories] ([CategoryID], [ProjectID], [Name], [Abbreviation], [EstDuration]) VALUES (683, 100, N'Development', N'dev', 200.0)
INSERT INTO [dbo].[TT_Categories] ([CategoryID], [ProjectID], [Name], [Abbreviation], [EstDuration]) VALUES (684, 100, N'QA', N'qa', 200.0)
INSERT INTO [dbo].[TT_Categories] ([CategoryID], [ProjectID], [Name], [Abbreviation], [EstDuration]) VALUES (685, 100, N'Troubleshooting', N'trbs', 200.0)
INSERT INTO [dbo].[TT_Categories] ([CategoryID], [ProjectID], [Name], [Abbreviation], [EstDuration]) VALUES (686, 101, N'Development', N'dev', 200.0)
INSERT INTO [dbo].[TT_Categories] ([CategoryID], [ProjectID], [Name], [Abbreviation], [EstDuration]) VALUES (687, 101, N'QA', N'qa', 200.0)
INSERT INTO [dbo].[TT_Categories] ([CategoryID], [ProjectID], [Name], [Abbreviation], [EstDuration]) VALUES (688, 101, N'Troubleshooting', N'trbs', 200.0)
INSERT INTO [dbo].[TT_Categories] ([CategoryID], [ProjectID], [Name], [Abbreviation], [EstDuration]) VALUES (689, 102, N'Development', N'dev', 200.0)
INSERT INTO [dbo].[TT_Categories] ([CategoryID], [ProjectID], [Name], [Abbreviation], [EstDuration]) VALUES (690, 102, N'QA', N'qa', 200.0)
INSERT INTO [dbo].[TT_Categories] ([CategoryID], [ProjectID], [Name], [Abbreviation], [EstDuration]) VALUES (691, 102, N'Troubleshooting', N'trbs', 200.0)

SET IDENTITY_INSERT [dbo].[TT_Categories] OFF


/* No records are in [dbo].[TT_CustomerDetails] */

/* Insert scripts for table: [dbo].[TT_EntryLog] */
PRINT 'Inserting rows into table: [dbo].[TT_EntryLog]'

SET IDENTITY_INSERT [dbo].[TT_EntryLog] ON

INSERT INTO [dbo].[TT_EntryLog] ([EntryLogID], [Description], [Duration], [EntryDate], [ProjectID], [UserID], [CategoryID], [TaskID], [Billable]) VALUES (169, N'Fixing bugs', 5.0, '20060112 00:00:00', 100, 126, 683, 319, 1)
INSERT INTO [dbo].[TT_EntryLog] ([EntryLogID], [Description], [Duration], [EntryDate], [ProjectID], [UserID], [CategoryID], [TaskID], [Billable]) VALUES (170, N'Testing', 8.0, '20060112 00:00:00', 101, 126, 686, 331, 1)
INSERT INTO [dbo].[TT_EntryLog] ([EntryLogID], [Description], [Duration], [EntryDate], [ProjectID], [UserID], [CategoryID], [TaskID], [Billable]) VALUES (171, N'Sample Text', 6.0, '20060112 00:00:00', 97, 129, 676, 321, 1)
INSERT INTO [dbo].[TT_EntryLog] ([EntryLogID], [Description], [Duration], [EntryDate], [ProjectID], [UserID], [CategoryID], [TaskID], [Billable]) VALUES (172, N'Sample text', 2.0, '20060112 00:00:00', 99, 129, 681, 324, 1)
INSERT INTO [dbo].[TT_EntryLog] ([EntryLogID], [Description], [Duration], [EntryDate], [ProjectID], [UserID], [CategoryID], [TaskID], [Billable]) VALUES (173, N'test', 7.0, '20060112 00:00:00', 100, 130, 685, 330, 1)
INSERT INTO [dbo].[TT_EntryLog] ([EntryLogID], [Description], [Duration], [EntryDate], [ProjectID], [UserID], [CategoryID], [TaskID], [Billable]) VALUES (174, N'text', 8.0, '20060112 00:00:00', 100, 130, 685, 330, 1)
INSERT INTO [dbo].[TT_EntryLog] ([EntryLogID], [Description], [Duration], [EntryDate], [ProjectID], [UserID], [CategoryID], [TaskID], [Billable]) VALUES (175, N'text', 8.0, '20060112 00:00:00', 100, 130, 685, 329, 1)

SET IDENTITY_INSERT [dbo].[TT_EntryLog] OFF


/* No records are in [dbo].[TT_Expenses] */

/* No records are in [dbo].[TT_Files] */

/* No records are in [dbo].[TT_MessageBoard] */

/* Insert scripts for table: [dbo].[TT_Options] */
PRINT 'Inserting rows into table: [dbo].[TT_Options]'

INSERT INTO [dbo].[TT_Options] ([EmailAccount], [EmailPassword], [EmailServer], [FromName], [FromAddress]) VALUES (N'', N'', N'', N'Easy Projects .NET Notification System', N'epnotifier@yourdomain.com')

/* No records are in [dbo].[TT_Payments] */

/* Insert scripts for table: [dbo].[TT_ProjectMembers] */
PRINT 'Inserting rows into table: [dbo].[TT_ProjectMembers]'

SET IDENTITY_INSERT [dbo].[TT_ProjectMembers] ON

INSERT INTO [dbo].[TT_ProjectMembers] ([ProjectID], [UserID], [RoleID], [Security], [MemberID]) VALUES (96, 128, 5, N'<security><right name="ViewAllProjects" value="off" /><right name="ViewAllTasks" value="off" /><right name="ViewAllBugs" value="off" /><right name="ViewAllRequests" value="off" /><right name="ViewAllTimeEntries" value="off" /><right name="ViewOwnProjects" value="on" /><right name="ViewOwnTasks" value="on" /><right name="ViewOwnBugs" value="on" /><right name="ViewOwnRequests" value="off" /><right name="ViewOwnTimeEntries" value="on" /><right name="EditAllProjects" value="off" /><right name="EditAllTasks" value="off" /><right name="EditAllBugs" value="off" /><right name="EditAllRequests" value="off" /><right name="EditOwnProjects" value="off" /><right name="EditOwnTasks" value="on" /><right name="EditOwnBugs" value="on" /><right name="EditOwnRequests" value="off" /><right name="DeleteAllProjects" value="off" /><right name="DeleteAllTasks" value="off" /><right name="DeleteAllBugs" value="off" /><right name="DeleteAllRequests" value="off" /><right name="DeleteOwnProjects" value="off" /><right name="DeleteOwnTasks" value="off" /><right name="DeleteOwnBugs" value="off" /><right name="DeleteOwnRequests" value="off" /><right name="AddProjects" value="off" /><right name="AddTasks" value="on" /><right name="AddBugs" value="on" /><right name="AddRequests" value="off" /><right name="AddTimeEntries" value="on" /><right name="ShowCustomerReport" value="off" /><right name="ShowSummaryReport" value="off" /><right name="ShowBugReport" value="off" /><right name="ShowRequestReport" value="off" /><right name="ShowResourceReport" value="off" /><right name="ShowProjectReport" value="off" /><right name="Assign" value="off" /><right name="ManageUsers" value="off" /></security>', 127)
INSERT INTO [dbo].[TT_ProjectMembers] ([ProjectID], [UserID], [RoleID], [Security], [MemberID]) VALUES (96, 130, 5, N'<security><right name="ViewAllProjects" value="off" /><right name="ViewAllTasks" value="off" /><right name="ViewAllBugs" value="off" /><right name="ViewAllRequests" value="off" /><right name="ViewAllTimeEntries" value="off" /><right name="ViewOwnProjects" value="on" /><right name="ViewOwnTasks" value="on" /><right name="ViewOwnBugs" value="on" /><right name="ViewOwnRequests" value="off" /><right name="ViewOwnTimeEntries" value="on" /><right name="EditAllProjects" value="off" /><right name="EditAllTasks" value="off" /><right name="EditAllBugs" value="off" /><right name="EditAllRequests" value="off" /><right name="EditOwnProjects" value="off" /><right name="EditOwnTasks" value="on" /><right name="EditOwnBugs" value="on" /><right name="EditOwnRequests" value="off" /><right name="DeleteAllProjects" value="off" /><right name="DeleteAllTasks" value="off" /><right name="DeleteAllBugs" value="off" /><right name="DeleteAllRequests" value="off" /><right name="DeleteOwnProjects" value="off" /><right name="DeleteOwnTasks" value="off" /><right name="DeleteOwnBugs" value="off" /><right name="DeleteOwnRequests" value="off" /><right name="AddProjects" value="off" /><right name="AddTasks" value="on" /><right name="AddBugs" value="on" /><right name="AddRequests" value="off" /><right name="AddTimeEntries" value="on" /><right name="ShowCustomerReport" value="off" /><right name="ShowSummaryReport" value="off" /><right name="ShowBugReport" value="off" /><right name="ShowRequestReport" value="off" /><right name="ShowResourceReport" value="off" /><right name="ShowProjectReport" value="off" /><right name="Assign" value="off" /><right name="ManageUsers" value="off" /></security>', 128)
INSERT INTO [dbo].[TT_ProjectMembers] ([ProjectID], [UserID], [RoleID], [Security], [MemberID]) VALUES (96, 131, 2, N'<security><right name="ViewAllProjects" value="off" /><right name="ViewAllTasks" value="on" /><right name="ViewAllBugs" value="on" /><right name="ViewAllRequests" value="on" /><right name="ViewAllTimeEntries" value="on" /><right name="ViewOwnProjects" value="on" /><right name="ViewOwnTasks" value="on" /><right name="ViewOwnBugs" value="on" /><right name="ViewOwnRequests" value="on" /><right name="ViewOwnTimeEntries" value="on" /><right name="EditAllProjects" value="off" /><right name="EditAllTasks" value="on" /><right name="EditAllBugs" value="on" /><right name="EditAllRequests" value="on" /><right name="EditOwnProjects" value="on" /><right name="EditOwnTasks" value="on" /><right name="EditOwnBugs" value="on" /><right name="EditOwnRequests" value="on" /><right name="DeleteAllProjects" value="off" /><right name="DeleteAllTasks" value="on" /><right name="DeleteAllBugs" value="on" /><right name="DeleteAllRequests" value="on" /><right name="DeleteOwnProjects" value="on" /><right name="DeleteOwnTasks" value="on" /><right name="DeleteOwnBugs" value="on" /><right name="DeleteOwnRequests" value="on" /><right name="AddProjects" value="on" /><right name="AddTasks" value="on" /><right name="AddBugs" value="on" /><right name="AddRequests" value="on" /><right name="AddTimeEntries" value="on" /><right name="ShowCustomerReport" value="off" /><right name="ShowSummaryReport" value="on" /><right name="ShowBugReport" value="on" /><right name="ShowRequestReport" value="on" /><right name="ShowResourceReport" value="on" /><right name="ShowProjectReport" value="on" /><right name="Assign" value="on" /><right name="ManageUsers" value="off" /></security>', 129)
INSERT INTO [dbo].[TT_ProjectMembers] ([ProjectID], [UserID], [RoleID], [Security], [MemberID]) VALUES (96, 129, 5, N'<security><right name="ViewAllProjects" value="off" /><right name="ViewAllTasks" value="off" /><right name="ViewAllBugs" value="off" /><right name="ViewAllRequests" value="off" /><right name="ViewAllTimeEntries" value="off" /><right name="ViewOwnProjects" value="on" /><right name="ViewOwnTasks" value="on" /><right name="ViewOwnBugs" value="on" /><right name="ViewOwnRequests" value="off" /><right name="ViewOwnTimeEntries" value="on" /><right name="EditAllProjects" value="off" /><right name="EditAllTasks" value="off" /><right name="EditAllBugs" value="off" /><right name="EditAllRequests" value="off" /><right name="EditOwnProjects" value="off" /><right name="EditOwnTasks" value="on" /><right name="EditOwnBugs" value="on" /><right name="EditOwnRequests" value="off" /><right name="DeleteAllProjects" value="off" /><right name="DeleteAllTasks" value="off" /><right name="DeleteAllBugs" value="off" /><right name="DeleteAllRequests" value="off" /><right name="DeleteOwnProjects" value="off" /><right name="DeleteOwnTasks" value="off" /><right name="DeleteOwnBugs" value="off" /><right name="DeleteOwnRequests" value="off" /><right name="AddProjects" value="off" /><right name="AddTasks" value="on" /><right name="AddBugs" value="on" /><right name="AddRequests" value="off" /><right name="AddTimeEntries" value="on" /><right name="ShowCustomerReport" value="off" /><right name="ShowSummaryReport" value="off" /><right name="ShowBugReport" value="off" /><right name="ShowRequestReport" value="off" /><right name="ShowResourceReport" value="off" /><right name="ShowProjectReport" value="off" /><right name="Assign" value="off" /><right name="ManageUsers" value="off" /></security>', 130)
INSERT INTO [dbo].[TT_ProjectMembers] ([ProjectID], [UserID], [RoleID], [Security], [MemberID]) VALUES (96, 127, 6, N'<security><right name="ViewAllProjects" value="off" /><right name="ViewAllTasks" value="off" /><right name="ViewAllBugs" value="off" /><right name="ViewAllRequests" value="off" /><right name="ViewAllTimeEntries" value="off" /><right name="ViewOwnProjects" value="on" /><right name="ViewOwnTasks" value="on" /><right name="ViewOwnBugs" value="on" /><right name="ViewOwnRequests" value="off" /><right name="ViewOwnTimeEntries" value="on" /><right name="EditAllProjects" value="off" /><right name="EditAllTasks" value="off" /><right name="EditAllBugs" value="off" /><right name="EditAllRequests" value="off" /><right name="EditOwnProjects" value="on" /><right name="EditOwnTasks" value="on" /><right name="EditOwnBugs" value="on" /><right name="EditOwnRequests" value="off" /><right name="DeleteAllProjects" value="off" /><right name="DeleteAllTasks" value="off" /><right name="DeleteAllBugs" value="off" /><right name="DeleteAllRequests" value="off" /><right name="DeleteOwnProjects" value="off" /><right name="DeleteOwnTasks" value="off" /><right name="DeleteOwnBugs" value="off" /><right name="DeleteOwnRequests" value="off" /><right name="AddProjects" value="off" /><right name="AddTasks" value="on" /><right name="AddBugs" value="on" /><right name="AddRequests" value="off" /><right name="AddTimeEntries" value="on" /><right name="ShowCustomerReport" value="off" /><right name="ShowSummaryReport" value="off" /><right name="ShowBugReport" value="off" /><right name="ShowRequestReport" value="off" /><right name="ShowResourceReport" value="off" /><right name="ShowProjectReport" value="off" /><right name="Assign" value="off" /><right name="ManageUsers" value="off" /></security>', 131)
INSERT INTO [dbo].[TT_ProjectMembers] ([ProjectID], [UserID], [RoleID], [Security], [MemberID]) VALUES (97, 134, 4, N'<security><right name="ViewAllProjects" value="off" /><right name="ViewAllTasks" value="off" /><right name="ViewAllBugs" value="off" /><right name="ViewAllRequests" value="off" /><right name="ViewAllTimeEntries" value="off" /><right name="ViewOwnProjects" value="on" /><right name="ViewOwnTasks" value="off" /><right name="ViewOwnBugs" value="on" /><right name="ViewOwnRequests" value="on" /><right name="ViewOwnTimeEntries" value="off" /><right name="EditAllProjects" value="off" /><right name="EditAllTasks" value="off" /><right name="EditAllBugs" value="off" /><right name="EditAllRequests" value="off" /><right name="EditOwnProjects" value="off" /><right name="EditOwnTasks" value="off" /><right name="EditOwnBugs" value="on" /><right name="EditOwnRequests" value="on" /><right name="DeleteAllProjects" value="off" /><right name="DeleteAllTasks" value="off" /><right name="DeleteAllBugs" value="off" /><right name="DeleteAllRequests" value="off" /><right name="DeleteOwnProjects" value="off" /><right name="DeleteOwnTasks" value="off" /><right name="DeleteOwnBugs" value="off" /><right name="DeleteOwnRequests" value="off" /><right name="AddProjects" value="off" /><right name="AddTasks" value="off" /><right name="AddBugs" value="on" /><right name="AddRequests" value="on" /><right name="AddTimeEntries" value="off" /><right name="ShowCustomerReport" value="on" /><right name="ShowSummaryReport" value="off" /><right name="ShowBugReport" value="off" /><right name="ShowRequestReport" value="off" /><right name="ShowResourceReport" value="off" /><right name="ShowProjectReport" value="on" /><right name="Assign" value="off" /><right name="ManageUsers" value="off" /></security>', 132)
INSERT INTO [dbo].[TT_ProjectMembers] ([ProjectID], [UserID], [RoleID], [Security], [MemberID]) VALUES (97, 132, 4, N'<security><right name="ViewAllProjects" value="off" /><right name="ViewAllTasks" value="off" /><right name="ViewAllBugs" value="off" /><right name="ViewAllRequests" value="off" /><right name="ViewAllTimeEntries" value="off" /><right name="ViewOwnProjects" value="on" /><right name="ViewOwnTasks" value="off" /><right name="ViewOwnBugs" value="on" /><right name="ViewOwnRequests" value="on" /><right name="ViewOwnTimeEntries" value="off" /><right name="EditAllProjects" value="off" /><right name="EditAllTasks" value="off" /><right name="EditAllBugs" value="off" /><right name="EditAllRequests" value="off" /><right name="EditOwnProjects" value="off" /><right name="EditOwnTasks" value="off" /><right name="EditOwnBugs" value="on" /><right name="EditOwnRequests" value="on" /><right name="DeleteAllProjects" value="off" /><right name="DeleteAllTasks" value="off" /><right name="DeleteAllBugs" value="off" /><right name="DeleteAllRequests" value="off" /><right name="DeleteOwnProjects" value="off" /><right name="DeleteOwnTasks" value="off" /><right name="DeleteOwnBugs" value="off" /><right name="DeleteOwnRequests" value="off" /><right name="AddProjects" value="off" /><right name="AddTasks" value="off" /><right name="AddBugs" value="on" /><right name="AddRequests" value="on" /><right name="AddTimeEntries" value="off" /><right name="ShowCustomerReport" value="on" /><right name="ShowSummaryReport" value="off" /><right name="ShowBugReport" value="off" /><right name="ShowRequestReport" value="off" /><right name="ShowResourceReport" value="off" /><right name="ShowProjectReport" value="on" /><right name="Assign" value="off" /><right name="ManageUsers" value="off" /></security>', 133)
INSERT INTO [dbo].[TT_ProjectMembers] ([ProjectID], [UserID], [RoleID], [Security], [MemberID]) VALUES (97, 131, 2, N'<security><right name="ViewAllProjects" value="off" /><right name="ViewAllTasks" value="on" /><right name="ViewAllBugs" value="on" /><right name="ViewAllRequests" value="on" /><right name="ViewAllTimeEntries" value="on" /><right name="ViewOwnProjects" value="on" /><right name="ViewOwnTasks" value="on" /><right name="ViewOwnBugs" value="on" /><right name="ViewOwnRequests" value="on" /><right name="ViewOwnTimeEntries" value="on" /><right name="EditAllProjects" value="off" /><right name="EditAllTasks" value="on" /><right name="EditAllBugs" value="on" /><right name="EditAllRequests" value="on" /><right name="EditOwnProjects" value="on" /><right name="EditOwnTasks" value="on" /><right name="EditOwnBugs" value="on" /><right name="EditOwnRequests" value="on" /><right name="DeleteAllProjects" value="off" /><right name="DeleteAllTasks" value="on" /><right name="DeleteAllBugs" value="on" /><right name="DeleteAllRequests" value="on" /><right name="DeleteOwnProjects" value="on" /><right name="DeleteOwnTasks" value="on" /><right name="DeleteOwnBugs" value="on" /><right name="DeleteOwnRequests" value="on" /><right name="AddProjects" value="on" /><right name="AddTasks" value="on" /><right name="AddBugs" value="on" /><right name="AddRequests" value="on" /><right name="AddTimeEntries" value="on" /><right name="ShowCustomerReport" value="off" /><right name="ShowSummaryReport" value="on" /><right name="ShowBugReport" value="on" /><right name="ShowRequestReport" value="on" /><right name="ShowResourceReport" value="on" /><right name="ShowProjectReport" value="on" /><right name="Assign" value="on" /><right name="ManageUsers" value="off" /></security>', 134)
INSERT INTO [dbo].[TT_ProjectMembers] ([ProjectID], [UserID], [RoleID], [Security], [MemberID]) VALUES (97, 135, 4, N'<security><right name="ViewAllProjects" value="off" /><right name="ViewAllTasks" value="off" /><right name="ViewAllBugs" value="off" /><right name="ViewAllRequests" value="off" /><right name="ViewAllTimeEntries" value="off" /><right name="ViewOwnProjects" value="on" /><right name="ViewOwnTasks" value="off" /><right name="ViewOwnBugs" value="on" /><right name="ViewOwnRequests" value="on" /><right name="ViewOwnTimeEntries" value="off" /><right name="EditAllProjects" value="off" /><right name="EditAllTasks" value="off" /><right name="EditAllBugs" value="off" /><right name="EditAllRequests" value="off" /><right name="EditOwnProjects" value="off" /><right name="EditOwnTasks" value="off" /><right name="EditOwnBugs" value="on" /><right name="EditOwnRequests" value="on" /><right name="DeleteAllProjects" value="off" /><right name="DeleteAllTasks" value="off" /><right name="DeleteAllBugs" value="off" /><right name="DeleteAllRequests" value="off" /><right name="DeleteOwnProjects" value="off" /><right name="DeleteOwnTasks" value="off" /><right name="DeleteOwnBugs" value="off" /><right name="DeleteOwnRequests" value="off" /><right name="AddProjects" value="off" /><right name="AddTasks" value="off" /><right name="AddBugs" value="on" /><right name="AddRequests" value="on" /><right name="AddTimeEntries" value="off" /><right name="ShowCustomerReport" value="on" /><right name="ShowSummaryReport" value="off" /><right name="ShowBugReport" value="off" /><right name="ShowRequestReport" value="off" /><right name="ShowResourceReport" value="off" /><right name="ShowProjectReport" value="on" /><right name="Assign" value="off" /><right name="ManageUsers" value="off" /></security>', 135)
INSERT INTO [dbo].[TT_ProjectMembers] ([ProjectID], [UserID], [RoleID], [Security], [MemberID]) VALUES (97, 126, 6, N'<security><right name="ViewAllProjects" value="off" /><right name="ViewAllTasks" value="off" /><right name="ViewAllBugs" value="off" /><right name="ViewAllRequests" value="off" /><right name="ViewAllTimeEntries" value="off" /><right name="ViewOwnProjects" value="on" /><right name="ViewOwnTasks" value="on" /><right name="ViewOwnBugs" value="on" /><right name="ViewOwnRequests" value="off" /><right name="ViewOwnTimeEntries" value="on" /><right name="EditAllProjects" value="off" /><right name="EditAllTasks" value="off" /><right name="EditAllBugs" value="off" /><right name="EditAllRequests" value="off" /><right name="EditOwnProjects" value="on" /><right name="EditOwnTasks" value="on" /><right name="EditOwnBugs" value="on" /><right name="EditOwnRequests" value="off" /><right name="DeleteAllProjects" value="off" /><right name="DeleteAllTasks" value="off" /><right name="DeleteAllBugs" value="off" /><right name="DeleteAllRequests" value="off" /><right name="DeleteOwnProjects" value="off" /><right name="DeleteOwnTasks" value="off" /><right name="DeleteOwnBugs" value="off" /><right name="DeleteOwnRequests" value="off" /><right name="AddProjects" value="off" /><right name="AddTasks" value="on" /><right name="AddBugs" value="on" /><right name="AddRequests" value="off" /><right name="AddTimeEntries" value="on" /><right name="ShowCustomerReport" value="off" /><right name="ShowSummaryReport" value="off" /><right name="ShowBugReport" value="off" /><right name="ShowRequestReport" value="off" /><right name="ShowResourceReport" value="off" /><right name="ShowProjectReport" value="off" /><right name="Assign" value="off" /><right name="ManageUsers" value="off" /></security>', 136)
INSERT INTO [dbo].[TT_ProjectMembers] ([ProjectID], [UserID], [RoleID], [Security], [MemberID]) VALUES (97, 133, 4, N'<security><right name="ViewAllProjects" value="off" /><right name="ViewAllTasks" value="off" /><right name="ViewAllBugs" value="off" /><right name="ViewAllRequests" value="off" /><right name="ViewAllTimeEntries" value="off" /><right name="ViewOwnProjects" value="on" /><right name="ViewOwnTasks" value="off" /><right name="ViewOwnBugs" value="on" /><right name="ViewOwnRequests" value="on" /><right name="ViewOwnTimeEntries" value="off" /><right name="EditAllProjects" value="off" /><right name="EditAllTasks" value="off" /><right name="EditAllBugs" value="off" /><right name="EditAllRequests" value="off" /><right name="EditOwnProjects" value="off" /><right name="EditOwnTasks" value="off" /><right name="EditOwnBugs" value="on" /><right name="EditOwnRequests" value="on" /><right name="DeleteAllProjects" value="off" /><right name="DeleteAllTasks" value="off" /><right name="DeleteAllBugs" value="off" /><right name="DeleteAllRequests" value="off" /><right name="DeleteOwnProjects" value="off" /><right name="DeleteOwnTasks" value="off" /><right name="DeleteOwnBugs" value="off" /><right name="DeleteOwnRequests" value="off" /><right name="AddProjects" value="off" /><right name="AddTasks" value="off" /><right name="AddBugs" value="on" /><right name="AddRequests" value="on" /><right name="AddTimeEntries" value="off" /><right name="ShowCustomerReport" value="on" /><right name="ShowSummaryReport" value="off" /><right name="ShowBugReport" value="off" /><right name="ShowRequestReport" value="off" /><right name="ShowResourceReport" value="off" /><right name="ShowProjectReport" value="on" /><right name="Assign" value="off" /><right name="ManageUsers" value="off" /></security>', 137)
INSERT INTO [dbo].[TT_ProjectMembers] ([ProjectID], [UserID], [RoleID], [Security], [MemberID]) VALUES (97, 129, 5, N'<security><right name="ViewAllProjects" value="off" /><right name="ViewAllTasks" value="off" /><right name="ViewAllBugs" value="off" /><right name="ViewAllRequests" value="off" /><right name="ViewAllTimeEntries" value="off" /><right name="ViewOwnProjects" value="on" /><right name="ViewOwnTasks" value="on" /><right name="ViewOwnBugs" value="on" /><right name="ViewOwnRequests" value="off" /><right name="ViewOwnTimeEntries" value="on" /><right name="EditAllProjects" value="off" /><right name="EditAllTasks" value="off" /><right name="EditAllBugs" value="off" /><right name="EditAllRequests" value="off" /><right name="EditOwnProjects" value="off" /><right name="EditOwnTasks" value="on" /><right name="EditOwnBugs" value="on" /><right name="EditOwnRequests" value="off" /><right name="DeleteAllProjects" value="off" /><right name="DeleteAllTasks" value="off" /><right name="DeleteAllBugs" value="off" /><right name="DeleteAllRequests" value="off" /><right name="DeleteOwnProjects" value="off" /><right name="DeleteOwnTasks" value="off" /><right name="DeleteOwnBugs" value="off" /><right name="DeleteOwnRequests" value="off" /><right name="AddProjects" value="off" /><right name="AddTasks" value="on" /><right name="AddBugs" value="on" /><right name="AddRequests" value="off" /><right name="AddTimeEntries" value="on" /><right name="ShowCustomerReport" value="off" /><right name="ShowSummaryReport" value="off" /><right name="ShowBugReport" value="off" /><right name="ShowRequestReport" value="off" /><right name="ShowResourceReport" value="off" /><right name="ShowProjectReport" value="off" /><right name="Assign" value="off" /><right name="ManageUsers" value="off" /></security>', 138)
INSERT INTO [dbo].[TT_ProjectMembers] ([ProjectID], [UserID], [RoleID], [Security], [MemberID]) VALUES (98, 134, 4, N'<security><right name="ViewAllProjects" value="off" /><right name="ViewAllTasks" value="off" /><right name="ViewAllBugs" value="off" /><right name="ViewAllRequests" value="off" /><right name="ViewAllTimeEntries" value="off" /><right name="ViewOwnProjects" value="on" /><right name="ViewOwnTasks" value="off" /><right name="ViewOwnBugs" value="on" /><right name="ViewOwnRequests" value="on" /><right name="ViewOwnTimeEntries" value="off" /><right name="EditAllProjects" value="off" /><right name="EditAllTasks" value="off" /><right name="EditAllBugs" value="off" /><right name="EditAllRequests" value="off" /><right name="EditOwnProjects" value="off" /><right name="EditOwnTasks" value="off" /><right name="EditOwnBugs" value="on" /><right name="EditOwnRequests" value="on" /><right name="DeleteAllProjects" value="off" /><right name="DeleteAllTasks" value="off" /><right name="DeleteAllBugs" value="off" /><right name="DeleteAllRequests" value="off" /><right name="DeleteOwnProjects" value="off" /><right name="DeleteOwnTasks" value="off" /><right name="DeleteOwnBugs" value="off" /><right name="DeleteOwnRequests" value="off" /><right name="AddProjects" value="off" /><right name="AddTasks" value="off" /><right name="AddBugs" value="on" /><right name="AddRequests" value="on" /><right name="AddTimeEntries" value="off" /><right name="ShowCustomerReport" value="on" /><right name="ShowSummaryReport" value="off" /><right name="ShowBugReport" value="off" /><right name="ShowRequestReport" value="off" /><right name="ShowResourceReport" value="off" /><right name="ShowProjectReport" value="on" /><right name="Assign" value="off" /><right name="ManageUsers" value="off" /></security>', 139)
INSERT INTO [dbo].[TT_ProjectMembers] ([ProjectID], [UserID], [RoleID], [Security], [MemberID]) VALUES (98, 131, 2, N'<security><right name="ViewAllProjects" value="off" /><right name="ViewAllTasks" value="on" /><right name="ViewAllBugs" value="on" /><right name="ViewAllRequests" value="on" /><right name="ViewAllTimeEntries" value="on" /><right name="ViewOwnProjects" value="on" /><right name="ViewOwnTasks" value="on" /><right name="ViewOwnBugs" value="on" /><right name="ViewOwnRequests" value="on" /><right name="ViewOwnTimeEntries" value="on" /><right name="EditAllProjects" value="off" /><right name="EditAllTasks" value="on" /><right name="EditAllBugs" value="on" /><right name="EditAllRequests" value="on" /><right name="EditOwnProjects" value="on" /><right name="EditOwnTasks" value="on" /><right name="EditOwnBugs" value="on" /><right name="EditOwnRequests" value="on" /><right name="DeleteAllProjects" value="off" /><right name="DeleteAllTasks" value="on" /><right name="DeleteAllBugs" value="on" /><right name="DeleteAllRequests" value="on" /><right name="DeleteOwnProjects" value="on" /><right name="DeleteOwnTasks" value="on" /><right name="DeleteOwnBugs" value="on" /><right name="DeleteOwnRequests" value="on" /><right name="AddProjects" value="on" /><right name="AddTasks" value="on" /><right name="AddBugs" value="on" /><right name="AddRequests" value="on" /><right name="AddTimeEntries" value="on" /><right name="ShowCustomerReport" value="off" /><right name="ShowSummaryReport" value="on" /><right name="ShowBugReport" value="on" /><right name="ShowRequestReport" value="on" /><right name="ShowResourceReport" value="on" /><right name="ShowProjectReport" value="on" /><right name="Assign" value="on" /><right name="ManageUsers" value="off" /></security>', 140)
INSERT INTO [dbo].[TT_ProjectMembers] ([ProjectID], [UserID], [RoleID], [Security], [MemberID]) VALUES (98, 125, 5, N'<security><right name="ViewAllProjects" value="off" /><right name="ViewAllTasks" value="off" /><right name="ViewAllBugs" value="off" /><right name="ViewAllRequests" value="off" /><right name="ViewAllTimeEntries" value="off" /><right name="ViewOwnProjects" value="on" /><right name="ViewOwnTasks" value="on" /><right name="ViewOwnBugs" value="on" /><right name="ViewOwnRequests" value="off" /><right name="ViewOwnTimeEntries" value="on" /><right name="EditAllProjects" value="off" /><right name="EditAllTasks" value="off" /><right name="EditAllBugs" value="off" /><right name="EditAllRequests" value="off" /><right name="EditOwnProjects" value="off" /><right name="EditOwnTasks" value="on" /><right name="EditOwnBugs" value="on" /><right name="EditOwnRequests" value="off" /><right name="DeleteAllProjects" value="off" /><right name="DeleteAllTasks" value="off" /><right name="DeleteAllBugs" value="off" /><right name="DeleteAllRequests" value="off" /><right name="DeleteOwnProjects" value="off" /><right name="DeleteOwnTasks" value="off" /><right name="DeleteOwnBugs" value="off" /><right name="DeleteOwnRequests" value="off" /><right name="AddProjects" value="off" /><right name="AddTasks" value="on" /><right name="AddBugs" value="on" /><right name="AddRequests" value="off" /><right name="AddTimeEntries" value="on" /><right name="ShowCustomerReport" value="off" /><right name="ShowSummaryReport" value="off" /><right name="ShowBugReport" value="off" /><right name="ShowRequestReport" value="off" /><right name="ShowResourceReport" value="off" /><right name="ShowProjectReport" value="off" /><right name="Assign" value="off" /><right name="ManageUsers" value="off" /></security>', 141)
INSERT INTO [dbo].[TT_ProjectMembers] ([ProjectID], [UserID], [RoleID], [Security], [MemberID]) VALUES (98, 129, 5, N'<security><right name="ViewAllProjects" value="off" /><right name="ViewAllTasks" value="off" /><right name="ViewAllBugs" value="off" /><right name="ViewAllRequests" value="off" /><right name="ViewAllTimeEntries" value="off" /><right name="ViewOwnProjects" value="on" /><right name="ViewOwnTasks" value="on" /><right name="ViewOwnBugs" value="on" /><right name="ViewOwnRequests" value="off" /><right name="ViewOwnTimeEntries" value="on" /><right name="EditAllProjects" value="off" /><right name="EditAllTasks" value="off" /><right name="EditAllBugs" value="off" /><right name="EditAllRequests" value="off" /><right name="EditOwnProjects" value="off" /><right name="EditOwnTasks" value="on" /><right name="EditOwnBugs" value="on" /><right name="EditOwnRequests" value="off" /><right name="DeleteAllProjects" value="off" /><right name="DeleteAllTasks" value="off" /><right name="DeleteAllBugs" value="off" /><right name="DeleteAllRequests" value="off" /><right name="DeleteOwnProjects" value="off" /><right name="DeleteOwnTasks" value="off" /><right name="DeleteOwnBugs" value="off" /><right name="DeleteOwnRequests" value="off" /><right name="AddProjects" value="off" /><right name="AddTasks" value="on" /><right name="AddBugs" value="on" /><right name="AddRequests" value="off" /><right name="AddTimeEntries" value="on" /><right name="ShowCustomerReport" value="off" /><right name="ShowSummaryReport" value="off" /><right name="ShowBugReport" value="off" /><right name="ShowRequestReport" value="off" /><right name="ShowResourceReport" value="off" /><right name="ShowProjectReport" value="off" /><right name="Assign" value="off" /><right name="ManageUsers" value="off" /></security>', 142)
INSERT INTO [dbo].[TT_ProjectMembers] ([ProjectID], [UserID], [RoleID], [Security], [MemberID]) VALUES (99, 132, 4, N'<security><right name="ViewAllProjects" value="off" /><right name="ViewAllTasks" value="off" /><right name="ViewAllBugs" value="off" /><right name="ViewAllRequests" value="off" /><right name="ViewAllTimeEntries" value="off" /><right name="ViewOwnProjects" value="on" /><right name="ViewOwnTasks" value="off" /><right name="ViewOwnBugs" value="on" /><right name="ViewOwnRequests" value="on" /><right name="ViewOwnTimeEntries" value="off" /><right name="EditAllProjects" value="off" /><right name="EditAllTasks" value="off" /><right name="EditAllBugs" value="off" /><right name="EditAllRequests" value="off" /><right name="EditOwnProjects" value="off" /><right name="EditOwnTasks" value="off" /><right name="EditOwnBugs" value="on" /><right name="EditOwnRequests" value="on" /><right name="DeleteAllProjects" value="off" /><right name="DeleteAllTasks" value="off" /><right name="DeleteAllBugs" value="off" /><right name="DeleteAllRequests" value="off" /><right name="DeleteOwnProjects" value="off" /><right name="DeleteOwnTasks" value="off" /><right name="DeleteOwnBugs" value="off" /><right name="DeleteOwnRequests" value="off" /><right name="AddProjects" value="off" /><right name="AddTasks" value="off" /><right name="AddBugs" value="on" /><right name="AddRequests" value="on" /><right name="AddTimeEntries" value="off" /><right name="ShowCustomerReport" value="on" /><right name="ShowSummaryReport" value="off" /><right name="ShowBugReport" value="off" /><right name="ShowRequestReport" value="off" /><right name="ShowResourceReport" value="off" /><right name="ShowProjectReport" value="on" /><right name="Assign" value="off" /><right name="ManageUsers" value="off" /></security>', 143)
INSERT INTO [dbo].[TT_ProjectMembers] ([ProjectID], [UserID], [RoleID], [Security], [MemberID]) VALUES (99, 130, 5, N'<security><right name="ViewAllProjects" value="off" /><right name="ViewAllTasks" value="off" /><right name="ViewAllBugs" value="off" /><right name="ViewAllRequests" value="off" /><right name="ViewAllTimeEntries" value="off" /><right name="ViewOwnProjects" value="on" /><right name="ViewOwnTasks" value="on" /><right name="ViewOwnBugs" value="on" /><right name="ViewOwnRequests" value="off" /><right name="ViewOwnTimeEntries" value="on" /><right name="EditAllProjects" value="off" /><right name="EditAllTasks" value="off" /><right name="EditAllBugs" value="off" /><right name="EditAllRequests" value="off" /><right name="EditOwnProjects" value="off" /><right name="EditOwnTasks" value="on" /><right name="EditOwnBugs" value="on" /><right name="EditOwnRequests" value="off" /><right name="DeleteAllProjects" value="off" /><right name="DeleteAllTasks" value="off" /><right name="DeleteAllBugs" value="off" /><right name="DeleteAllRequests" value="off" /><right name="DeleteOwnProjects" value="off" /><right name="DeleteOwnTasks" value="off" /><right name="DeleteOwnBugs" value="off" /><right name="DeleteOwnRequests" value="off" /><right name="AddProjects" value="off" /><right name="AddTasks" value="on" /><right name="AddBugs" value="on" /><right name="AddRequests" value="off" /><right name="AddTimeEntries" value="on" /><right name="ShowCustomerReport" value="off" /><right name="ShowSummaryReport" value="off" /><right name="ShowBugReport" value="off" /><right name="ShowRequestReport" value="off" /><right name="ShowResourceReport" value="off" /><right name="ShowProjectReport" value="off" /><right name="Assign" value="off" /><right name="ManageUsers" value="off" /></security>', 144)
INSERT INTO [dbo].[TT_ProjectMembers] ([ProjectID], [UserID], [RoleID], [Security], [MemberID]) VALUES (99, 131, 2, N'<security><right name="ViewAllProjects" value="off" /><right name="ViewAllTasks" value="on" /><right name="ViewAllBugs" value="on" /><right name="ViewAllRequests" value="on" /><right name="ViewAllTimeEntries" value="on" /><right name="ViewOwnProjects" value="on" /><right name="ViewOwnTasks" value="on" /><right name="ViewOwnBugs" value="on" /><right name="ViewOwnRequests" value="on" /><right name="ViewOwnTimeEntries" value="on" /><right name="EditAllProjects" value="off" /><right name="EditAllTasks" value="on" /><right name="EditAllBugs" value="on" /><right name="EditAllRequests" value="on" /><right name="EditOwnProjects" value="on" /><right name="EditOwnTasks" value="on" /><right name="EditOwnBugs" value="on" /><right name="EditOwnRequests" value="on" /><right name="DeleteAllProjects" value="off" /><right name="DeleteAllTasks" value="on" /><right name="DeleteAllBugs" value="on" /><right name="DeleteAllRequests" value="on" /><right name="DeleteOwnProjects" value="on" /><right name="DeleteOwnTasks" value="on" /><right name="DeleteOwnBugs" value="on" /><right name="DeleteOwnRequests" value="on" /><right name="AddProjects" value="on" /><right name="AddTasks" value="on" /><right name="AddBugs" value="on" /><right name="AddRequests" value="on" /><right name="AddTimeEntries" value="on" /><right name="ShowCustomerReport" value="off" /><right name="ShowSummaryReport" value="on" /><right name="ShowBugReport" value="on" /><right name="ShowRequestReport" value="on" /><right name="ShowResourceReport" value="on" /><right name="ShowProjectReport" value="on" /><right name="Assign" value="on" /><right name="ManageUsers" value="off" /></security>', 145)
INSERT INTO [dbo].[TT_ProjectMembers] ([ProjectID], [UserID], [RoleID], [Security], [MemberID]) VALUES (99, 129, 5, N'<security><right name="ViewAllProjects" value="off" /><right name="ViewAllTasks" value="off" /><right name="ViewAllBugs" value="off" /><right name="ViewAllRequests" value="off" /><right name="ViewAllTimeEntries" value="off" /><right name="ViewOwnProjects" value="on" /><right name="ViewOwnTasks" value="on" /><right name="ViewOwnBugs" value="on" /><right name="ViewOwnRequests" value="off" /><right name="ViewOwnTimeEntries" value="on" /><right name="EditAllProjects" value="off" /><right name="EditAllTasks" value="off" /><right name="EditAllBugs" value="off" /><right name="EditAllRequests" value="off" /><right name="EditOwnProjects" value="off" /><right name="EditOwnTasks" value="on" /><right name="EditOwnBugs" value="on" /><right name="EditOwnRequests" value="off" /><right name="DeleteAllProjects" value="off" /><right name="DeleteAllTasks" value="off" /><right name="DeleteAllBugs" value="off" /><right name="DeleteAllRequests" value="off" /><right name="DeleteOwnProjects" value="off" /><right name="DeleteOwnTasks" value="off" /><right name="DeleteOwnBugs" value="off" /><right name="DeleteOwnRequests" value="off" /><right name="AddProjects" value="off" /><right name="AddTasks" value="on" /><right name="AddBugs" value="on" /><right name="AddRequests" value="off" /><right name="AddTimeEntries" value="on" /><right name="ShowCustomerReport" value="off" /><right name="ShowSummaryReport" value="off" /><right name="ShowBugReport" value="off" /><right name="ShowRequestReport" value="off" /><right name="ShowResourceReport" value="off" /><right name="ShowProjectReport" value="off" /><right name="Assign" value="off" /><right name="ManageUsers" value="off" /></security>', 146)
INSERT INTO [dbo].[TT_ProjectMembers] ([ProjectID], [UserID], [RoleID], [Security], [MemberID]) VALUES (100, 132, 4, N'<security><right name="ViewAllProjects" value="off" /><right name="ViewAllTasks" value="off" /><right name="ViewAllBugs" value="off" /><right name="ViewAllRequests" value="off" /><right name="ViewAllTimeEntries" value="off" /><right name="ViewOwnProjects" value="on" /><right name="ViewOwnTasks" value="off" /><right name="ViewOwnBugs" value="on" /><right name="ViewOwnRequests" value="on" /><right name="ViewOwnTimeEntries" value="off" /><right name="EditAllProjects" value="off" /><right name="EditAllTasks" value="off" /><right name="EditAllBugs" value="off" /><right name="EditAllRequests" value="off" /><right name="EditOwnProjects" value="off" /><right name="EditOwnTasks" value="off" /><right name="EditOwnBugs" value="on" /><right name="EditOwnRequests" value="on" /><right name="DeleteAllProjects" value="off" /><right name="DeleteAllTasks" value="off" /><right name="DeleteAllBugs" value="off" /><right name="DeleteAllRequests" value="off" /><right name="DeleteOwnProjects" value="off" /><right name="DeleteOwnTasks" value="off" /><right name="DeleteOwnBugs" value="off" /><right name="DeleteOwnRequests" value="off" /><right name="AddProjects" value="off" /><right name="AddTasks" value="off" /><right name="AddBugs" value="on" /><right name="AddRequests" value="on" /><right name="AddTimeEntries" value="off" /><right name="ShowCustomerReport" value="on" /><right name="ShowSummaryReport" value="off" /><right name="ShowBugReport" value="off" /><right name="ShowRequestReport" value="off" /><right name="ShowResourceReport" value="off" /><right name="ShowProjectReport" value="on" /><right name="Assign" value="off" /><right name="ManageUsers" value="off" /></security>', 147)
INSERT INTO [dbo].[TT_ProjectMembers] ([ProjectID], [UserID], [RoleID], [Security], [MemberID]) VALUES (100, 130, 5, N'<security><right name="ViewAllProjects" value="off" /><right name="ViewAllTasks" value="off" /><right name="ViewAllBugs" value="off" /><right name="ViewAllRequests" value="off" /><right name="ViewAllTimeEntries" value="off" /><right name="ViewOwnProjects" value="on" /><right name="ViewOwnTasks" value="on" /><right name="ViewOwnBugs" value="on" /><right name="ViewOwnRequests" value="off" /><right name="ViewOwnTimeEntries" value="on" /><right name="EditAllProjects" value="off" /><right name="EditAllTasks" value="off" /><right name="EditAllBugs" value="off" /><right name="EditAllRequests" value="off" /><right name="EditOwnProjects" value="off" /><right name="EditOwnTasks" value="on" /><right name="EditOwnBugs" value="on" /><right name="EditOwnRequests" value="off" /><right name="DeleteAllProjects" value="off" /><right name="DeleteAllTasks" value="off" /><right name="DeleteAllBugs" value="off" /><right name="DeleteAllRequests" value="off" /><right name="DeleteOwnProjects" value="off" /><right name="DeleteOwnTasks" value="off" /><right name="DeleteOwnBugs" value="off" /><right name="DeleteOwnRequests" value="off" /><right name="AddProjects" value="off" /><right name="AddTasks" value="on" /><right name="AddBugs" value="on" /><right name="AddRequests" value="off" /><right name="AddTimeEntries" value="on" /><right name="ShowCustomerReport" value="off" /><right name="ShowSummaryReport" value="off" /><right name="ShowBugReport" value="off" /><right name="ShowRequestReport" value="off" /><right name="ShowResourceReport" value="off" /><right name="ShowProjectReport" value="off" /><right name="Assign" value="off" /><right name="ManageUsers" value="off" /></security>', 148)
INSERT INTO [dbo].[TT_ProjectMembers] ([ProjectID], [UserID], [RoleID], [Security], [MemberID]) VALUES (100, 131, 2, N'<security><right name="ViewAllProjects" value="off" /><right name="ViewAllTasks" value="on" /><right name="ViewAllBugs" value="on" /><right name="ViewAllRequests" value="on" /><right name="ViewAllTimeEntries" value="on" /><right name="ViewOwnProjects" value="on" /><right name="ViewOwnTasks" value="on" /><right name="ViewOwnBugs" value="on" /><right name="ViewOwnRequests" value="on" /><right name="ViewOwnTimeEntries" value="on" /><right name="EditAllProjects" value="off" /><right name="EditAllTasks" value="on" /><right name="EditAllBugs" value="on" /><right name="EditAllRequests" value="on" /><right name="EditOwnProjects" value="on" /><right name="EditOwnTasks" value="on" /><right name="EditOwnBugs" value="on" /><right name="EditOwnRequests" value="on" /><right name="DeleteAllProjects" value="off" /><right name="DeleteAllTasks" value="on" /><right name="DeleteAllBugs" value="on" /><right name="DeleteAllRequests" value="on" /><right name="DeleteOwnProjects" value="on" /><right name="DeleteOwnTasks" value="on" /><right name="DeleteOwnBugs" value="on" /><right name="DeleteOwnRequests" value="on" /><right name="AddProjects" value="on" /><right name="AddTasks" value="on" /><right name="AddBugs" value="on" /><right name="AddRequests" value="on" /><right name="AddTimeEntries" value="on" /><right name="ShowCustomerReport" value="off" /><right name="ShowSummaryReport" value="on" /><right name="ShowBugReport" value="on" /><right name="ShowRequestReport" value="on" /><right name="ShowResourceReport" value="on" /><right name="ShowProjectReport" value="on" /><right name="Assign" value="on" /><right name="ManageUsers" value="off" /></security>', 149)
INSERT INTO [dbo].[TT_ProjectMembers] ([ProjectID], [UserID], [RoleID], [Security], [MemberID]) VALUES (100, 126, 6, N'<security><right name="ViewAllProjects" value="off" /><right name="ViewAllTasks" value="off" /><right name="ViewAllBugs" value="off" /><right name="ViewAllRequests" value="off" /><right name="ViewAllTimeEntries" value="off" /><right name="ViewOwnProjects" value="on" /><right name="ViewOwnTasks" value="on" /><right name="ViewOwnBugs" value="on" /><right name="ViewOwnRequests" value="off" /><right name="ViewOwnTimeEntries" value="on" /><right name="EditAllProjects" value="off" /><right name="EditAllTasks" value="off" /><right name="EditAllBugs" value="off" /><right name="EditAllRequests" value="off" /><right name="EditOwnProjects" value="on" /><right name="EditOwnTasks" value="on" /><right name="EditOwnBugs" value="on" /><right name="EditOwnRequests" value="off" /><right name="DeleteAllProjects" value="off" /><right name="DeleteAllTasks" value="off" /><right name="DeleteAllBugs" value="off" /><right name="DeleteAllRequests" value="off" /><right name="DeleteOwnProjects" value="off" /><right name="DeleteOwnTasks" value="off" /><right name="DeleteOwnBugs" value="off" /><right name="DeleteOwnRequests" value="off" /><right name="AddProjects" value="off" /><right name="AddTasks" value="on" /><right name="AddBugs" value="on" /><right name="AddRequests" value="off" /><right name="AddTimeEntries" value="on" /><right name="ShowCustomerReport" value="off" /><right name="ShowSummaryReport" value="off" /><right name="ShowBugReport" value="off" /><right name="ShowRequestReport" value="off" /><right name="ShowResourceReport" value="off" /><right name="ShowProjectReport" value="off" /><right name="Assign" value="off" /><right name="ManageUsers" value="off" /></security>', 150)
INSERT INTO [dbo].[TT_ProjectMembers] ([ProjectID], [UserID], [RoleID], [Security], [MemberID]) VALUES (101, 134, 4, N'<security><right name="ViewAllProjects" value="off" /><right name="ViewAllTasks" value="off" /><right name="ViewAllBugs" value="off" /><right name="ViewAllRequests" value="off" /><right name="ViewAllTimeEntries" value="off" /><right name="ViewOwnProjects" value="on" /><right name="ViewOwnTasks" value="off" /><right name="ViewOwnBugs" value="on" /><right name="ViewOwnRequests" value="on" /><right name="ViewOwnTimeEntries" value="off" /><right name="EditAllProjects" value="off" /><right name="EditAllTasks" value="off" /><right name="EditAllBugs" value="off" /><right name="EditAllRequests" value="off" /><right name="EditOwnProjects" value="off" /><right name="EditOwnTasks" value="off" /><right name="EditOwnBugs" value="on" /><right name="EditOwnRequests" value="on" /><right name="DeleteAllProjects" value="off" /><right name="DeleteAllTasks" value="off" /><right name="DeleteAllBugs" value="off" /><right name="DeleteAllRequests" value="off" /><right name="DeleteOwnProjects" value="off" /><right name="DeleteOwnTasks" value="off" /><right name="DeleteOwnBugs" value="off" /><right name="DeleteOwnRequests" value="off" /><right name="AddProjects" value="off" /><right name="AddTasks" value="off" /><right name="AddBugs" value="on" /><right name="AddRequests" value="on" /><right name="AddTimeEntries" value="off" /><right name="ShowCustomerReport" value="on" /><right name="ShowSummaryReport" value="off" /><right name="ShowBugReport" value="off" /><right name="ShowRequestReport" value="off" /><right name="ShowResourceReport" value="off" /><right name="ShowProjectReport" value="on" /><right name="Assign" value="off" /><right name="ManageUsers" value="off" /></security>', 151)
INSERT INTO [dbo].[TT_ProjectMembers] ([ProjectID], [UserID], [RoleID], [Security], [MemberID]) VALUES (101, 132, 4, N'<security><right name="ViewAllProjects" value="off" /><right name="ViewAllTasks" value="off" /><right name="ViewAllBugs" value="off" /><right name="ViewAllRequests" value="off" /><right name="ViewAllTimeEntries" value="off" /><right name="ViewOwnProjects" value="on" /><right name="ViewOwnTasks" value="off" /><right name="ViewOwnBugs" value="on" /><right name="ViewOwnRequests" value="on" /><right name="ViewOwnTimeEntries" value="off" /><right name="EditAllProjects" value="off" /><right name="EditAllTasks" value="off" /><right name="EditAllBugs" value="off" /><right name="EditAllRequests" value="off" /><right name="EditOwnProjects" value="off" /><right name="EditOwnTasks" value="off" /><right name="EditOwnBugs" value="on" /><right name="EditOwnRequests" value="on" /><right name="DeleteAllProjects" value="off" /><right name="DeleteAllTasks" value="off" /><right name="DeleteAllBugs" value="off" /><right name="DeleteAllRequests" value="off" /><right name="DeleteOwnProjects" value="off" /><right name="DeleteOwnTasks" value="off" /><right name="DeleteOwnBugs" value="off" /><right name="DeleteOwnRequests" value="off" /><right name="AddProjects" value="off" /><right name="AddTasks" value="off" /><right name="AddBugs" value="on" /><right name="AddRequests" value="on" /><right name="AddTimeEntries" value="off" /><right name="ShowCustomerReport" value="on" /><right name="ShowSummaryReport" value="off" /><right name="ShowBugReport" value="off" /><right name="ShowRequestReport" value="off" /><right name="ShowResourceReport" value="off" /><right name="ShowProjectReport" value="on" /><right name="Assign" value="off" /><right name="ManageUsers" value="off" /></security>', 152)
INSERT INTO [dbo].[TT_ProjectMembers] ([ProjectID], [UserID], [RoleID], [Security], [MemberID]) VALUES (101, 131, 2, N'<security><right name="ViewAllProjects" value="off" /><right name="ViewAllTasks" value="on" /><right name="ViewAllBugs" value="on" /><right name="ViewAllRequests" value="on" /><right name="ViewAllTimeEntries" value="on" /><right name="ViewOwnProjects" value="on" /><right name="ViewOwnTasks" value="on" /><right name="ViewOwnBugs" value="on" /><right name="ViewOwnRequests" value="on" /><right name="ViewOwnTimeEntries" value="on" /><right name="EditAllProjects" value="off" /><right name="EditAllTasks" value="on" /><right name="EditAllBugs" value="on" /><right name="EditAllRequests" value="on" /><right name="EditOwnProjects" value="on" /><right name="EditOwnTasks" value="on" /><right name="EditOwnBugs" value="on" /><right name="EditOwnRequests" value="on" /><right name="DeleteAllProjects" value="off" /><right name="DeleteAllTasks" value="on" /><right name="DeleteAllBugs" value="on" /><right name="DeleteAllRequests" value="on" /><right name="DeleteOwnProjects" value="on" /><right name="DeleteOwnTasks" value="on" /><right name="DeleteOwnBugs" value="on" /><right name="DeleteOwnRequests" value="on" /><right name="AddProjects" value="on" /><right name="AddTasks" value="on" /><right name="AddBugs" value="on" /><right name="AddRequests" value="on" /><right name="AddTimeEntries" value="on" /><right name="ShowCustomerReport" value="off" /><right name="ShowSummaryReport" value="on" /><right name="ShowBugReport" value="on" /><right name="ShowRequestReport" value="on" /><right name="ShowResourceReport" value="on" /><right name="ShowProjectReport" value="on" /><right name="Assign" value="on" /><right name="ManageUsers" value="off" /></security>', 153)
INSERT INTO [dbo].[TT_ProjectMembers] ([ProjectID], [UserID], [RoleID], [Security], [MemberID]) VALUES (101, 126, 6, N'<security><right name="ViewAllProjects" value="off" /><right name="ViewAllTasks" value="off" /><right name="ViewAllBugs" value="off" /><right name="ViewAllRequests" value="off" /><right name="ViewAllTimeEntries" value="off" /><right name="ViewOwnProjects" value="on" /><right name="ViewOwnTasks" value="on" /><right name="ViewOwnBugs" value="on" /><right name="ViewOwnRequests" value="off" /><right name="ViewOwnTimeEntries" value="on" /><right name="EditAllProjects" value="off" /><right name="EditAllTasks" value="off" /><right name="EditAllBugs" value="off" /><right name="EditAllRequests" value="off" /><right name="EditOwnProjects" value="on" /><right name="EditOwnTasks" value="on" /><right name="EditOwnBugs" value="on" /><right name="EditOwnRequests" value="off" /><right name="DeleteAllProjects" value="off" /><right name="DeleteAllTasks" value="off" /><right name="DeleteAllBugs" value="off" /><right name="DeleteAllRequests" value="off" /><right name="DeleteOwnProjects" value="off" /><right name="DeleteOwnTasks" value="off" /><right name="DeleteOwnBugs" value="off" /><right name="DeleteOwnRequests" value="off" /><right name="AddProjects" value="off" /><right name="AddTasks" value="on" /><right name="AddBugs" value="on" /><right name="AddRequests" value="off" /><right name="AddTimeEntries" value="on" /><right name="ShowCustomerReport" value="off" /><right name="ShowSummaryReport" value="off" /><right name="ShowBugReport" value="off" /><right name="ShowRequestReport" value="off" /><right name="ShowResourceReport" value="off" /><right name="ShowProjectReport" value="off" /><right name="Assign" value="off" /><right name="ManageUsers" value="off" /></security>', 154)
INSERT INTO [dbo].[TT_ProjectMembers] ([ProjectID], [UserID], [RoleID], [Security], [MemberID]) VALUES (101, 133, 4, N'<security><right name="ViewAllProjects" value="off" /><right name="ViewAllTasks" value="off" /><right name="ViewAllBugs" value="off" /><right name="ViewAllRequests" value="off" /><right name="ViewAllTimeEntries" value="off" /><right name="ViewOwnProjects" value="on" /><right name="ViewOwnTasks" value="off" /><right name="ViewOwnBugs" value="on" /><right name="ViewOwnRequests" value="on" /><right name="ViewOwnTimeEntries" value="off" /><right name="EditAllProjects" value="off" /><right name="EditAllTasks" value="off" /><right name="EditAllBugs" value="off" /><right name="EditAllRequests" value="off" /><right name="EditOwnProjects" value="off" /><right name="EditOwnTasks" value="off" /><right name="EditOwnBugs" value="on" /><right name="EditOwnRequests" value="on" /><right name="DeleteAllProjects" value="off" /><right name="DeleteAllTasks" value="off" /><right name="DeleteAllBugs" value="off" /><right name="DeleteAllRequests" value="off" /><right name="DeleteOwnProjects" value="off" /><right name="DeleteOwnTasks" value="off" /><right name="DeleteOwnBugs" value="off" /><right name="DeleteOwnRequests" value="off" /><right name="AddProjects" value="off" /><right name="AddTasks" value="off" /><right name="AddBugs" value="on" /><right name="AddRequests" value="on" /><right name="AddTimeEntries" value="off" /><right name="ShowCustomerReport" value="on" /><right name="ShowSummaryReport" value="off" /><right name="ShowBugReport" value="off" /><right name="ShowRequestReport" value="off" /><right name="ShowResourceReport" value="off" /><right name="ShowProjectReport" value="on" /><right name="Assign" value="off" /><right name="ManageUsers" value="off" /></security>', 155)
INSERT INTO [dbo].[TT_ProjectMembers] ([ProjectID], [UserID], [RoleID], [Security], [MemberID]) VALUES (102, 132, 4, N'<security><right name="ViewAllProjects" value="off" /><right name="ViewAllTasks" value="off" /><right name="ViewAllBugs" value="off" /><right name="ViewAllRequests" value="off" /><right name="ViewAllTimeEntries" value="off" /><right name="ViewOwnProjects" value="on" /><right name="ViewOwnTasks" value="off" /><right name="ViewOwnBugs" value="on" /><right name="ViewOwnRequests" value="on" /><right name="ViewOwnTimeEntries" value="off" /><right name="EditAllProjects" value="off" /><right name="EditAllTasks" value="off" /><right name="EditAllBugs" value="off" /><right name="EditAllRequests" value="off" /><right name="EditOwnProjects" value="off" /><right name="EditOwnTasks" value="off" /><right name="EditOwnBugs" value="on" /><right name="EditOwnRequests" value="on" /><right name="DeleteAllProjects" value="off" /><right name="DeleteAllTasks" value="off" /><right name="DeleteAllBugs" value="off" /><right name="DeleteAllRequests" value="off" /><right name="DeleteOwnProjects" value="off" /><right name="DeleteOwnTasks" value="off" /><right name="DeleteOwnBugs" value="off" /><right name="DeleteOwnRequests" value="off" /><right name="AddProjects" value="off" /><right name="AddTasks" value="off" /><right name="AddBugs" value="on" /><right name="AddRequests" value="on" /><right name="AddTimeEntries" value="off" /><right name="ShowCustomerReport" value="on" /><right name="ShowSummaryReport" value="off" /><right name="ShowBugReport" value="off" /><right name="ShowRequestReport" value="off" /><right name="ShowResourceReport" value="off" /><right name="ShowProjectReport" value="on" /><right name="Assign" value="off" /><right name="ManageUsers" value="off" /></security>', 156)
INSERT INTO [dbo].[TT_ProjectMembers] ([ProjectID], [UserID], [RoleID], [Security], [MemberID]) VALUES (102, 130, 5, N'<security><right name="ViewAllProjects" value="off" /><right name="ViewAllTasks" value="off" /><right name="ViewAllBugs" value="off" /><right name="ViewAllRequests" value="off" /><right name="ViewAllTimeEntries" value="off" /><right name="ViewOwnProjects" value="on" /><right name="ViewOwnTasks" value="on" /><right name="ViewOwnBugs" value="on" /><right name="ViewOwnRequests" value="off" /><right name="ViewOwnTimeEntries" value="on" /><right name="EditAllProjects" value="off" /><right name="EditAllTasks" value="off" /><right name="EditAllBugs" value="off" /><right name="EditAllRequests" value="off" /><right name="EditOwnProjects" value="off" /><right name="EditOwnTasks" value="on" /><right name="EditOwnBugs" value="on" /><right name="EditOwnRequests" value="off" /><right name="DeleteAllProjects" value="off" /><right name="DeleteAllTasks" value="off" /><right name="DeleteAllBugs" value="off" /><right name="DeleteAllRequests" value="off" /><right name="DeleteOwnProjects" value="off" /><right name="DeleteOwnTasks" value="off" /><right name="DeleteOwnBugs" value="off" /><right name="DeleteOwnRequests" value="off" /><right name="AddProjects" value="off" /><right name="AddTasks" value="on" /><right name="AddBugs" value="on" /><right name="AddRequests" value="off" /><right name="AddTimeEntries" value="on" /><right name="ShowCustomerReport" value="off" /><right name="ShowSummaryReport" value="off" /><right name="ShowBugReport" value="off" /><right name="ShowRequestReport" value="off" /><right name="ShowResourceReport" value="off" /><right name="ShowProjectReport" value="off" /><right name="Assign" value="off" /><right name="ManageUsers" value="off" /></security>', 157)
INSERT INTO [dbo].[TT_ProjectMembers] ([ProjectID], [UserID], [RoleID], [Security], [MemberID]) VALUES (102, 131, 2, N'<security><right name="ViewAllProjects" value="off" /><right name="ViewAllTasks" value="on" /><right name="ViewAllBugs" value="on" /><right name="ViewAllRequests" value="on" /><right name="ViewAllTimeEntries" value="on" /><right name="ViewOwnProjects" value="on" /><right name="ViewOwnTasks" value="on" /><right name="ViewOwnBugs" value="on" /><right name="ViewOwnRequests" value="on" /><right name="ViewOwnTimeEntries" value="on" /><right name="EditAllProjects" value="off" /><right name="EditAllTasks" value="on" /><right name="EditAllBugs" value="on" /><right name="EditAllRequests" value="on" /><right name="EditOwnProjects" value="on" /><right name="EditOwnTasks" value="on" /><right name="EditOwnBugs" value="on" /><right name="EditOwnRequests" value="on" /><right name="DeleteAllProjects" value="off" /><right name="DeleteAllTasks" value="on" /><right name="DeleteAllBugs" value="on" /><right name="DeleteAllRequests" value="on" /><right name="DeleteOwnProjects" value="on" /><right name="DeleteOwnTasks" value="on" /><right name="DeleteOwnBugs" value="on" /><right name="DeleteOwnRequests" value="on" /><right name="AddProjects" value="on" /><right name="AddTasks" value="on" /><right name="AddBugs" value="on" /><right name="AddRequests" value="on" /><right name="AddTimeEntries" value="on" /><right name="ShowCustomerReport" value="off" /><right name="ShowSummaryReport" value="on" /><right name="ShowBugReport" value="on" /><right name="ShowRequestReport" value="on" /><right name="ShowResourceReport" value="on" /><right name="ShowProjectReport" value="on" /><right name="Assign" value="on" /><right name="ManageUsers" value="off" /></security>', 158)
INSERT INTO [dbo].[TT_ProjectMembers] ([ProjectID], [UserID], [RoleID], [Security], [MemberID]) VALUES (102, 126, 6, N'<security><right name="ViewAllProjects" value="off" /><right name="ViewAllTasks" value="off" /><right name="ViewAllBugs" value="off" /><right name="ViewAllRequests" value="off" /><right name="ViewAllTimeEntries" value="off" /><right name="ViewOwnProjects" value="on" /><right name="ViewOwnTasks" value="on" /><right name="ViewOwnBugs" value="on" /><right name="ViewOwnRequests" value="off" /><right name="ViewOwnTimeEntries" value="on" /><right name="EditAllProjects" value="off" /><right name="EditAllTasks" value="off" /><right name="EditAllBugs" value="off" /><right name="EditAllRequests" value="off" /><right name="EditOwnProjects" value="on" /><right name="EditOwnTasks" value="on" /><right name="EditOwnBugs" value="on" /><right name="EditOwnRequests" value="off" /><right name="DeleteAllProjects" value="off" /><right name="DeleteAllTasks" value="off" /><right name="DeleteAllBugs" value="off" /><right name="DeleteAllRequests" value="off" /><right name="DeleteOwnProjects" value="off" /><right name="DeleteOwnTasks" value="off" /><right name="DeleteOwnBugs" value="off" /><right name="DeleteOwnRequests" value="off" /><right name="AddProjects" value="off" /><right name="AddTasks" value="on" /><right name="AddBugs" value="on" /><right name="AddRequests" value="off" /><right name="AddTimeEntries" value="on" /><right name="ShowCustomerReport" value="off" /><right name="ShowSummaryReport" value="off" /><right name="ShowBugReport" value="off" /><right name="ShowRequestReport" value="off" /><right name="ShowResourceReport" value="off" /><right name="ShowProjectReport" value="off" /><right name="Assign" value="off" /><right name="ManageUsers" value="off" /></security>', 159)

SET IDENTITY_INSERT [dbo].[TT_ProjectMembers] OFF


/* Insert scripts for table: [dbo].[TT_Projects] */
PRINT 'Inserting rows into table: [dbo].[TT_Projects]'

SET IDENTITY_INSERT [dbo].[TT_Projects] ON

INSERT INTO [dbo].[TT_Projects] ([ProjectID], [Name], [Description], [EstCompletionDate], [EstDuration], [CreationDate], [Status], [BillingType], [Amount], [IncludeTax], [TaxAmount], [AutoAssignConfig], [Priority], [PercentCompleted], [BugCategoryID], [ReqCategoryID], [CustomerID]) VALUES (96, N'Adobe Photoshop Training', N'Training organization for Adobe Photoshop program', '20051001', 400.0, '20050316 16:57:34.063', 1, 1, 0.0, 0, 0.0, N'<autoassign><bugs userID="0" /><requests userID="0" /></autoassign>', 1, 0, 673, 671, NULL)
INSERT INTO [dbo].[TT_Projects] ([ProjectID], [Name], [Description], [EstCompletionDate], [EstDuration], [CreationDate], [Status], [BillingType], [Amount], [IncludeTax], [TaxAmount], [AutoAssignConfig], [Priority], [PercentCompleted], [BugCategoryID], [ReqCategoryID], [CustomerID]) VALUES (97, N'Hardware Upgrade', N'Hardware upgrade for all workstations in Financial Department', '20051231', 200.0, '20050316 16:58:41.290', 1, 1, 0.0, 0, 0.0, N'<autoassign><bugs userID="0" /><requests userID="0" /></autoassign>', 1, 0, 676, 674, NULL)
INSERT INTO [dbo].[TT_Projects] ([ProjectID], [Name], [Description], [EstCompletionDate], [EstDuration], [CreationDate], [Status], [BillingType], [Amount], [IncludeTax], [TaxAmount], [AutoAssignConfig], [Priority], [PercentCompleted], [BugCategoryID], [ReqCategoryID], [CustomerID]) VALUES (98, N'Midland Brick', N'm7i', '20060202', 40.0, '20050316 16:59:34.547', 1, 1, 0.0, 0, 0.0, N'<autoassign><bugs userID="0" /><requests userID="0" /></autoassign>', 1, 0, 679, 677, NULL)
INSERT INTO [dbo].[TT_Projects] ([ProjectID], [Name], [Description], [EstCompletionDate], [EstDuration], [CreationDate], [Status], [BillingType], [Amount], [IncludeTax], [TaxAmount], [AutoAssignConfig], [Priority], [PercentCompleted], [BugCategoryID], [ReqCategoryID], [CustomerID]) VALUES (99, N'Promotional Campaign', N'Promotional Campaign', '20050616', 240.0, '20050316 17:00:24.860', 1, 1, 0.0, 0, 0.0, N'<autoassign><bugs userID="0" /><requests userID="0" /></autoassign>', 1, 0, 682, 680, NULL)
INSERT INTO [dbo].[TT_Projects] ([ProjectID], [Name], [Description], [EstCompletionDate], [EstDuration], [CreationDate], [Status], [BillingType], [Amount], [IncludeTax], [TaxAmount], [AutoAssignConfig], [Priority], [PercentCompleted], [BugCategoryID], [ReqCategoryID], [CustomerID]) VALUES (100, N'www.NewOrderEntry.com', N'Web Order System system', '20051201', 800.0, '20050316 17:01:13.510', 1, 1, 0.0, 0, 0.0, N'<autoassign><bugs userID="0" /><requests userID="0" /></autoassign>', 1, 0, 685, 683, NULL)
INSERT INTO [dbo].[TT_Projects] ([ProjectID], [Name], [Description], [EstCompletionDate], [EstDuration], [CreationDate], [Status], [BillingType], [Amount], [IncludeTax], [TaxAmount], [AutoAssignConfig], [Priority], [PercentCompleted], [BugCategoryID], [ReqCategoryID], [CustomerID]) VALUES (101, N'XMLNews', N'"XML News" magazin: web site development.', '20051130', 12.0, '20050316 17:02:01.330', 1, 1, 0.0, 0, 0.0, N'<autoassign><bugs userID="0" /><requests userID="0" /></autoassign>', 1, 0, 688, 686, NULL)
INSERT INTO [dbo].[TT_Projects] ([ProjectID], [Name], [Description], [EstCompletionDate], [EstDuration], [CreationDate], [Status], [BillingType], [Amount], [IncludeTax], [TaxAmount], [AutoAssignConfig], [Priority], [PercentCompleted], [BugCategoryID], [ReqCategoryID], [CustomerID]) VALUES (102, N'Zoo Transfer', N'Transfer of animals to a new zoo location.', '20051201', 24.0, '20050316 17:02:56.770', 1, 1, 0.0, 0, 0.0, N'<autoassign><bugs userID="0" /><requests userID="0" /></autoassign>', 1, 0, 691, 689, NULL)

SET IDENTITY_INSERT [dbo].[TT_Projects] OFF


/* Insert scripts for table: [dbo].[TT_Roles] */
PRINT 'Inserting rows into table: [dbo].[TT_Roles]'

SET IDENTITY_INSERT [dbo].[TT_Roles] ON

INSERT INTO [dbo].[TT_Roles] ([RoleID], [Name], [Security], [Description], [HourlyRate]) VALUES (1, N'Administrator', N'<security><right name="ViewAllProjects" value="on" /><right name="ViewAllTasks" value="on" /><right name="ViewAllBugs" value="on" /><right name="ViewAllRequests" value="on" /><right name="ViewAllTimeEntries" value="on" /><right name="ViewOwnProjects" value="on" /><right name="ViewOwnTasks" value="on" /><right name="ViewOwnBugs" value="on" /><right name="ViewOwnRequests" value="on" /><right name="ViewOwnTimeEntries" value="on" /><right name="EditAllProjects" value="on" /><right name="EditAllTasks" value="on" /><right name="EditAllBugs" value="on" /><right name="EditAllRequests" value="on" /><right name="EditOwnProjects" value="on" /><right name="EditOwnTasks" value="on" /><right name="EditOwnBugs" value="on" /><right name="EditOwnRequests" value="on" /><right name="DeleteAllProjects" value="on" /><right name="DeleteAllTasks" value="on" /><right name="DeleteAllBugs" value="on" /><right name="DeleteAllRequests" value="on" /><right name="DeleteOwnProjects" value="on" /><right name="DeleteOwnTasks" value="on" /><right name="DeleteOwnBugs" value="on" /><right name="DeleteOwnRequests" value="on" /><right name="AddProjects" value="on" /><right name="AddTasks" value="on" /><right name="AddBugs" value="on" /><right name="AddRequests" value="on" /><right name="AddTimeEntries" value="on" /><right name="ShowCustomerReport" value="on" /><right name="ShowSummaryReport" value="on" /><right name="ShowBugReport" value="off" /><right name="ShowRequestReport" value="off" /><right name="ShowResourceReport" value="on" /><right name="ShowProjectReport" value="on" /><right name="Assign" value="on" /><right name="ManageUsers" value="on" /></security>', N'built-in role ', 6.0)
INSERT INTO [dbo].[TT_Roles] ([RoleID], [Name], [Security], [Description], [HourlyRate]) VALUES (2, N'Project Manager', N'<security><right name="ViewAllProjects" value="off" /><right name="ViewAllTasks" value="on" /><right name="ViewAllBugs" value="on" /><right name="ViewAllRequests" value="on" /><right name="ViewAllTimeEntries" value="on" /><right name="ViewOwnProjects" value="on" /><right name="ViewOwnTasks" value="on" /><right name="ViewOwnBugs" value="on" /><right name="ViewOwnRequests" value="on" /><right name="ViewOwnTimeEntries" value="on" /><right name="EditAllProjects" value="off" /><right name="EditAllTasks" value="on" /><right name="EditAllBugs" value="on" /><right name="EditAllRequests" value="on" /><right name="EditOwnProjects" value="on" /><right name="EditOwnTasks" value="on" /><right name="EditOwnBugs" value="on" /><right name="EditOwnRequests" value="on" /><right name="DeleteAllProjects" value="off" /><right name="DeleteAllTasks" value="on" /><right name="DeleteAllBugs" value="on" /><right name="DeleteAllRequests" value="on" /><right name="DeleteOwnProjects" value="on" /><right name="DeleteOwnTasks" value="on" /><right name="DeleteOwnBugs" value="on" /><right name="DeleteOwnRequests" value="on" /><right name="AddProjects" value="on" /><right name="AddTasks" value="on" /><right name="AddBugs" value="on" /><right name="AddRequests" value="on" /><right name="AddTimeEntries" value="on" /><right name="ShowCustomerReport" value="off" /><right name="ShowSummaryReport" value="on" /><right name="ShowBugReport" value="on" /><right name="ShowRequestReport" value="on" /><right name="ShowResourceReport" value="on" /><right name="ShowProjectReport" value="on" /><right name="Assign" value="on" /><right name="ManageUsers" value="off" /></security>', N'built-in role', 11.0)
INSERT INTO [dbo].[TT_Roles] ([RoleID], [Name], [Security], [Description], [HourlyRate]) VALUES (4, N'Customer - Full Access', N'<security><right name="ViewAllProjects" value="off" /><right name="ViewAllTasks" value="off" /><right name="ViewAllBugs" value="off" /><right name="ViewAllRequests" value="off" /><right name="ViewAllTimeEntries" value="off" /><right name="ViewOwnProjects" value="on" /><right name="ViewOwnTasks" value="off" /><right name="ViewOwnBugs" value="on" /><right name="ViewOwnRequests" value="on" /><right name="ViewOwnTimeEntries" value="off" /><right name="EditAllProjects" value="off" /><right name="EditAllTasks" value="off" /><right name="EditAllBugs" value="off" /><right name="EditAllRequests" value="off" /><right name="EditOwnProjects" value="off" /><right name="EditOwnTasks" value="off" /><right name="EditOwnBugs" value="on" /><right name="EditOwnRequests" value="on" /><right name="DeleteAllProjects" value="off" /><right name="DeleteAllTasks" value="off" /><right name="DeleteAllBugs" value="off" /><right name="DeleteAllRequests" value="off" /><right name="DeleteOwnProjects" value="off" /><right name="DeleteOwnTasks" value="off" /><right name="DeleteOwnBugs" value="off" /><right name="DeleteOwnRequests" value="off" /><right name="AddProjects" value="off" /><right name="AddTasks" value="off" /><right name="AddBugs" value="on" /><right name="AddRequests" value="on" /><right name="AddTimeEntries" value="off" /><right name="ShowCustomerReport" value="on" /><right name="ShowSummaryReport" value="off" /><right name="ShowBugReport" value="off" /><right name="ShowRequestReport" value="off" /><right name="ShowResourceReport" value="off" /><right name="ShowProjectReport" value="on" /><right name="Assign" value="off" /><right name="ManageUsers" value="off" /></security>', N'built-in role', 12.0)
INSERT INTO [dbo].[TT_Roles] ([RoleID], [Name], [Security], [Description], [HourlyRate]) VALUES (5, N'Developer', N'<security><right name="ViewAllProjects" value="off" /><right name="ViewAllTasks" value="off" /><right name="ViewAllBugs" value="off" /><right name="ViewAllRequests" value="off" /><right name="ViewAllTimeEntries" value="off" /><right name="ViewOwnProjects" value="on" /><right name="ViewOwnTasks" value="on" /><right name="ViewOwnBugs" value="on" /><right name="ViewOwnRequests" value="off" /><right name="ViewOwnTimeEntries" value="on" /><right name="EditAllProjects" value="off" /><right name="EditAllTasks" value="off" /><right name="EditAllBugs" value="off" /><right name="EditAllRequests" value="off" /><right name="EditOwnProjects" value="off" /><right name="EditOwnTasks" value="on" /><right name="EditOwnBugs" value="on" /><right name="EditOwnRequests" value="off" /><right name="DeleteAllProjects" value="off" /><right name="DeleteAllTasks" value="off" /><right name="DeleteAllBugs" value="off" /><right name="DeleteAllRequests" value="off" /><right name="DeleteOwnProjects" value="off" /><right name="DeleteOwnTasks" value="off" /><right name="DeleteOwnBugs" value="off" /><right name="DeleteOwnRequests" value="off" /><right name="AddProjects" value="off" /><right name="AddTasks" value="on" /><right name="AddBugs" value="on" /><right name="AddRequests" value="off" /><right name="AddTimeEntries" value="on" /><right name="ShowCustomerReport" value="off" /><right name="ShowSummaryReport" value="off" /><right name="ShowBugReport" value="off" /><right name="ShowRequestReport" value="off" /><right name="ShowResourceReport" value="off" /><right name="ShowProjectReport" value="off" /><right name="Assign" value="off" /><right name="ManageUsers" value="off" /></security>', N'built-in role', 13.0)
INSERT INTO [dbo].[TT_Roles] ([RoleID], [Name], [Security], [Description], [HourlyRate]) VALUES (6, N'QA', N'<security><right name="ViewAllProjects" value="off" /><right name="ViewAllTasks" value="off" /><right name="ViewAllBugs" value="off" /><right name="ViewAllRequests" value="off" /><right name="ViewAllTimeEntries" value="off" /><right name="ViewOwnProjects" value="on" /><right name="ViewOwnTasks" value="on" /><right name="ViewOwnBugs" value="on" /><right name="ViewOwnRequests" value="off" /><right name="ViewOwnTimeEntries" value="on" /><right name="EditAllProjects" value="off" /><right name="EditAllTasks" value="off" /><right name="EditAllBugs" value="off" /><right name="EditAllRequests" value="off" /><right name="EditOwnProjects" value="on" /><right name="EditOwnTasks" value="on" /><right name="EditOwnBugs" value="on" /><right name="EditOwnRequests" value="off" /><right name="DeleteAllProjects" value="off" /><right name="DeleteAllTasks" value="off" /><right name="DeleteAllBugs" value="off" /><right name="DeleteAllRequests" value="off" /><right name="DeleteOwnProjects" value="off" /><right name="DeleteOwnTasks" value="off" /><right name="DeleteOwnBugs" value="off" /><right name="DeleteOwnRequests" value="off" /><right name="AddProjects" value="off" /><right name="AddTasks" value="on" /><right name="AddBugs" value="on" /><right name="AddRequests" value="off" /><right name="AddTimeEntries" value="on" /><right name="ShowCustomerReport" value="off" /><right name="ShowSummaryReport" value="off" /><right name="ShowBugReport" value="off" /><right name="ShowRequestReport" value="off" /><right name="ShowResourceReport" value="off" /><right name="ShowProjectReport" value="off" /><right name="Assign" value="off" /><right name="ManageUsers" value="off" /></security>', N'built-in role', 14.0)
INSERT INTO [dbo].[TT_Roles] ([RoleID], [Name], [Security], [Description], [HourlyRate]) VALUES (32, N'Supervisor', N'<security><right name="ViewAllProjects" value="off" /><right name="ViewAllTasks" value="off" /><right name="ViewAllBugs" value="off" /><right name="ViewAllRequests" value="off" /><right name="ViewAllTimeEntries" value="off" /><right name="ViewOwnProjects" value="on" /><right name="ViewOwnTasks" value="on" /><right name="ViewOwnBugs" value="on" /><right name="ViewOwnRequests" value="off" /><right name="ViewOwnTimeEntries" value="on" /><right name="EditAllProjects" value="off" /><right name="EditAllTasks" value="off" /><right name="EditAllBugs" value="off" /><right name="EditAllRequests" value="off" /><right name="EditOwnProjects" value="on" /><right name="EditOwnTasks" value="on" /><right name="EditOwnBugs" value="on" /><right name="EditOwnRequests" value="off" /><right name="DeleteAllProjects" value="off" /><right name="DeleteAllTasks" value="off" /><right name="DeleteAllBugs" value="off" /><right name="DeleteAllRequests" value="off" /><right name="DeleteOwnProjects" value="off" /><right name="DeleteOwnTasks" value="off" /><right name="DeleteOwnBugs" value="off" /><right name="DeleteOwnRequests" value="off" /><right name="AddProjects" value="off" /><right name="AddTasks" value="on" /><right name="AddBugs" value="on" /><right name="AddRequests" value="off" /><right name="AddTimeEntries" value="on" /><right name="ShowCustomerReport" value="off" /><right name="ShowSummaryReport" value="off" /><right name="ShowBugReport" value="off" /><right name="ShowRequestReport" value="off" /><right name="ShowResourceReport" value="off" /><right name="ShowProjectReport" value="off" /><right name="Assign" value="off" /><right name="ManageUsers" value="off" /></security>', N'built-in role', 1.0)
INSERT INTO [dbo].[TT_Roles] ([RoleID], [Name], [Security], [Description], [HourlyRate]) VALUES (33, N'Customer - Limited Access', N'<security><right name="ViewAllProjects" value="off" /><right name="ViewAllTasks" value="off" /><right name="ViewAllBugs" value="off" /><right name="ViewAllRequests" value="off" /><right name="ViewAllTimeEntries" value="off" /><right name="ViewOwnProjects" value="on" /><right name="ViewOwnTasks" value="off" /><right name="ViewOwnBugs" value="off" /><right name="ViewOwnRequests" value="off" /><right name="ViewOwnTimeEntries" value="off" /><right name="EditAllProjects" value="off" /><right name="EditAllTasks" value="off" /><right name="EditAllBugs" value="off" /><right name="EditAllRequests" value="off" /><right name="EditOwnProjects" value="off" /><right name="EditOwnTasks" value="off" /><right name="EditOwnBugs" value="off" /><right name="EditOwnRequests" value="off" /><right name="DeleteAllProjects" value="off" /><right name="DeleteAllTasks" value="off" /><right name="DeleteAllBugs" value="off" /><right name="DeleteAllRequests" value="off" /><right name="DeleteOwnProjects" value="off" /><right name="DeleteOwnTasks" value="off" /><right name="DeleteOwnBugs" value="off" /><right name="DeleteOwnRequests" value="off" /><right name="AddProjects" value="off" /><right name="AddTasks" value="off" /><right name="AddBugs" value="off" /><right name="AddRequests" value="off" /><right name="AddTimeEntries" value="off" /><right name="ShowCustomerReport" value="off" /><right name="ShowSummaryReport" value="off" /><right name="ShowBugReport" value="off" /><right name="ShowRequestReport" value="off" /><right name="ShowResourceReport" value="off" /><right name="ShowProjectReport" value="off" /><right name="Assign" value="off" /><right name="ManageUsers" value="off" /></security>', N'built-in role', 12.0)

SET IDENTITY_INSERT [dbo].[TT_Roles] OFF


/* Insert scripts for table: [dbo].[TT_TaskAssignee] */
PRINT 'Inserting rows into table: [dbo].[TT_TaskAssignee]'

SET IDENTITY_INSERT [dbo].[TT_TaskAssignee] ON

INSERT INTO [dbo].[TT_TaskAssignee] ([TaskAssigneeID], [TaskID], [UserID]) VALUES (1, 318, 130)
INSERT INTO [dbo].[TT_TaskAssignee] ([TaskAssigneeID], [TaskID], [UserID]) VALUES (2, 319, 126)
INSERT INTO [dbo].[TT_TaskAssignee] ([TaskAssigneeID], [TaskID], [UserID]) VALUES (3, 320, 131)
INSERT INTO [dbo].[TT_TaskAssignee] ([TaskAssigneeID], [TaskID], [UserID]) VALUES (4, 321, 129)
INSERT INTO [dbo].[TT_TaskAssignee] ([TaskAssigneeID], [TaskID], [UserID]) VALUES (5, 322, 131)
INSERT INTO [dbo].[TT_TaskAssignee] ([TaskAssigneeID], [TaskID], [UserID]) VALUES (6, 323, 127)
INSERT INTO [dbo].[TT_TaskAssignee] ([TaskAssigneeID], [TaskID], [UserID]) VALUES (7, 324, 129)
INSERT INTO [dbo].[TT_TaskAssignee] ([TaskAssigneeID], [TaskID], [UserID]) VALUES (8, 325, 130)
INSERT INTO [dbo].[TT_TaskAssignee] ([TaskAssigneeID], [TaskID], [UserID]) VALUES (9, 326, 130)
INSERT INTO [dbo].[TT_TaskAssignee] ([TaskAssigneeID], [TaskID], [UserID]) VALUES (10, 327, 131)
INSERT INTO [dbo].[TT_TaskAssignee] ([TaskAssigneeID], [TaskID], [UserID]) VALUES (11, 328, 131)
INSERT INTO [dbo].[TT_TaskAssignee] ([TaskAssigneeID], [TaskID], [UserID]) VALUES (12, 329, 130)
INSERT INTO [dbo].[TT_TaskAssignee] ([TaskAssigneeID], [TaskID], [UserID]) VALUES (13, 330, 130)
INSERT INTO [dbo].[TT_TaskAssignee] ([TaskAssigneeID], [TaskID], [UserID]) VALUES (14, 331, 126)
INSERT INTO [dbo].[TT_TaskAssignee] ([TaskAssigneeID], [TaskID], [UserID]) VALUES (15, 332, 130)

SET IDENTITY_INSERT [dbo].[TT_TaskAssignee] OFF


/* Insert scripts for table: [dbo].[TT_Tasks] */
PRINT 'Inserting rows into table: [dbo].[TT_Tasks]'

SET IDENTITY_INSERT [dbo].[TT_Tasks] ON

INSERT INTO [dbo].[TT_Tasks] ([TaskID], [Description], [ParentID], [ProjectID], [Status], [EstCompletionDate], [EstDuration], [CategoryID], [Title], [Billable], [BillType], [Amount], [StartDate], [PercentCompleted], [Priority], [TaskType], [BugType], [CustomData]) VALUES (318, N'Order trailer for lion transfer
------
This task was generated from the customer''s request submitted at 16.03.2005 17:08:24', 0, 102, 1, '20051001', 56.0, 689, N'Order trailer for lion transfer', 0, 0, 0.0, '20050615 13:08:20.167', 0, 1, 3, NULL, NULL)
INSERT INTO [dbo].[TT_Tasks] ([TaskID], [Description], [ParentID], [ProjectID], [Status], [EstCompletionDate], [EstDuration], [CategoryID], [Title], [Billable], [BillType], [Amount], [StartDate], [PercentCompleted], [Priority], [TaskType], [BugType], [CustomData]) VALUES (319, N'Prepare screenshots of UI samples to confirm with users
------
This task was generated from the customer''s request submitted at 16.03.2005 17:10:03', 0, 100, 1, '20051001', 6.0, 683, N'User Interface screenshots preparation', 0, 0, 0.0, '20050615 13:08:20.167', 0, 1, 3, NULL, NULL)
INSERT INTO [dbo].[TT_Tasks] ([TaskID], [Description], [ParentID], [ProjectID], [Status], [EstCompletionDate], [EstDuration], [CategoryID], [Title], [Billable], [BillType], [Amount], [StartDate], [PercentCompleted], [Priority], [TaskType], [BugType], [CustomData]) VALUES (320, N'Analys current OrderEntry systems and prepare review report
------
This task was generated from the customer''s request submitted at 16.03.2005 17:10:23', 0, 100, 1, '20051001', 8.0, 684, N'Current system analysis', 0, 0, 0.0, '20050615 13:08:20.167', 0, 1, 3, NULL, NULL)
INSERT INTO [dbo].[TT_Tasks] ([TaskID], [Description], [ParentID], [ProjectID], [Status], [EstCompletionDate], [EstDuration], [CategoryID], [Title], [Billable], [BillType], [Amount], [StartDate], [PercentCompleted], [Priority], [TaskType], [BugType], [CustomData]) VALUES (321, N'Buy licenses for operating system: Microsoft Windows 2000
------
This task was generated from the customer''s request submitted at 16.03.2005 17:11:17', 0, 97, 1, '20051001', 7.0, 676, N'Buy licenses for operating system', 0, 0, 0.0, '20050615 13:08:20.167', 0, 1, 3, NULL, NULL)
INSERT INTO [dbo].[TT_Tasks] ([TaskID], [Description], [ParentID], [ProjectID], [Status], [EstCompletionDate], [EstDuration], [CategoryID], [Title], [Billable], [BillType], [Amount], [StartDate], [PercentCompleted], [Priority], [TaskType], [BugType], [CustomData]) VALUES (322, N'Add a new section ''Editor news'' with magazin overview info.
------
This task was generated from the customer''s request submitted at 16.03.2005 17:12:59', 0, 101, 1, '20051001', 8.0, 686, N'Add new section ''Editor news''', 0, 0, 0.0, '20050615 13:08:20.167', 0, 1, 3, NULL, NULL)
INSERT INTO [dbo].[TT_Tasks] ([TaskID], [Description], [ParentID], [ProjectID], [Status], [EstCompletionDate], [EstDuration], [CategoryID], [Title], [Billable], [BillType], [Amount], [StartDate], [PercentCompleted], [Priority], [TaskType], [BugType], [CustomData]) VALUES (323, N'Request description goes here
------
This task was generated from the customer''s request submitted at 16.03.2005 17:13:38', 0, 96, 1, '20050201', 4.0, 671, N'Sample Request', 0, 0, 0.0, '20050615 13:08:20.167', 0, 1, 3, NULL, NULL)
INSERT INTO [dbo].[TT_Tasks] ([TaskID], [Description], [ParentID], [ProjectID], [Status], [EstCompletionDate], [EstDuration], [CategoryID], [Title], [Billable], [BillType], [Amount], [StartDate], [PercentCompleted], [Priority], [TaskType], [BugType], [CustomData]) VALUES (324, N'Prepare promotional materials
------
This task was generated from the customer''s request submitted at 16.03.2005 17:14:27', 0, 99, 1, '20050201', 7.0, 681, N'Prepare promotional materials', 0, 0, 0.0, '20050615 13:08:20.167', 0, 1, 3, NULL, NULL)
INSERT INTO [dbo].[TT_Tasks] ([TaskID], [Description], [ParentID], [ProjectID], [Status], [EstCompletionDate], [EstDuration], [CategoryID], [Title], [Billable], [BillType], [Amount], [StartDate], [PercentCompleted], [Priority], [TaskType], [BugType], [CustomData]) VALUES (325, N'Error message ''No data'' appears when trying to preview report
------
This task was generated from the bug submitted at 16.03.2005 17:15:10', 0, 100, 1, '20051001', 8.0, 685, N'Error during ''Order'' report generation', 0, 0, 0.0, '20050615 13:08:20.167', 0, 1, 2, NULL, NULL)
INSERT INTO [dbo].[TT_Tasks] ([TaskID], [Description], [ParentID], [ProjectID], [Status], [EstCompletionDate], [EstDuration], [CategoryID], [Title], [Billable], [BillType], [Amount], [StartDate], [PercentCompleted], [Priority], [TaskType], [BugType], [CustomData]) VALUES (326, N'Wrong ''Total Amount'' calculation for invoice: it always doubled.
------
This task was generated from the bug submitted at 16.03.2005 17:16:18', 0, 100, 1, '20051001', 7.0, 685, N'Wrong ''Total Amount'' calculation for invoice', 0, 0, 0.0, '20050615 13:08:20.167', 0, 1, 2, NULL, NULL)
INSERT INTO [dbo].[TT_Tasks] ([TaskID], [Description], [ParentID], [ProjectID], [Status], [EstCompletionDate], [EstDuration], [CategoryID], [Title], [Billable], [BillType], [Amount], [StartDate], [PercentCompleted], [Priority], [TaskType], [BugType], [CustomData]) VALUES (327, N'Make News Header font bigger.
------
This task was generated from the bug submitted at 16.03.2005 17:16:53', 0, 101, 1, '20050201', 7.0, 688, N'Unfriendly User Interface', 0, 0, 0.0, '20050615 13:08:20.167', 0, 1, 2, NULL, NULL)
INSERT INTO [dbo].[TT_Tasks] ([TaskID], [Description], [ParentID], [ProjectID], [Status], [EstCompletionDate], [EstDuration], [CategoryID], [Title], [Billable], [BillType], [Amount], [StartDate], [PercentCompleted], [Priority], [TaskType], [BugType], [CustomData]) VALUES (328, N'Replace mouse and keyboards on all user workstations', 0, 97, 5, '20050201', 8.0, 674, N'Replace mouse and keyboard', 1, 1, 0.0, '20050615 13:08:20.167', 0, 1, 1, NULL, NULL)
INSERT INTO [dbo].[TT_Tasks] ([TaskID], [Description], [ParentID], [ProjectID], [Status], [EstCompletionDate], [EstDuration], [CategoryID], [Title], [Billable], [BillType], [Amount], [StartDate], [PercentCompleted], [Priority], [TaskType], [BugType], [CustomData]) VALUES (329, N'Analys functionality of current OrderEntry systems', 320, 100, 5, '20051001', 8.0, 685, N'Functionality Analysis', 1, 1, 0.0, '20050615 13:08:20.167', 0, 1, 1, NULL, NULL)
INSERT INTO [dbo].[TT_Tasks] ([TaskID], [Description], [ParentID], [ProjectID], [Status], [EstCompletionDate], [EstDuration], [CategoryID], [Title], [Billable], [BillType], [Amount], [StartDate], [PercentCompleted], [Priority], [TaskType], [BugType], [CustomData]) VALUES (330, N'Analys User Interface of current Order Entry system', 320, 100, 5, '20050308', 8.0, 685, N'User Interface Analysis', 1, 1, 0.0, '20050615 13:08:20.167', 0, 1, 1, NULL, NULL)
INSERT INTO [dbo].[TT_Tasks] ([TaskID], [Description], [ParentID], [ProjectID], [Status], [EstCompletionDate], [EstDuration], [CategoryID], [Title], [Billable], [BillType], [Amount], [StartDate], [PercentCompleted], [Priority], [TaskType], [BugType], [CustomData]) VALUES (331, N'Prepare news display module. Ask John Green for detials.', 0, 101, 5, '20051130', 8.0, 686, N'News display module', 1, 1, 0.0, '20050615 13:08:20.167', 0, 1, 1, NULL, NULL)
INSERT INTO [dbo].[TT_Tasks] ([TaskID], [Description], [ParentID], [ProjectID], [Status], [EstCompletionDate], [EstDuration], [CategoryID], [Title], [Billable], [BillType], [Amount], [StartDate], [PercentCompleted], [Priority], [TaskType], [BugType], [CustomData]) VALUES (332, N'Prepare 3 cages for snakes', 0, 102, 5, '20050201', 8.0, 689, N'Prepare cages for snakes', 1, 1, 0.0, '20050615 13:08:20.167', 0, 1, 1, NULL, NULL)

SET IDENTITY_INSERT [dbo].[TT_Tasks] OFF


/* Insert scripts for table: [dbo].[TT_UserOps] */
PRINT 'Inserting rows into table: [dbo].[TT_UserOps]'

SET IDENTITY_INSERT [dbo].[TT_UserOps] ON

INSERT INTO [dbo].[TT_UserOps] ([OptionID], [UserID], [Tooltips], [ShowCompletePjs], [ShowCompletedTasks], [ShowWflHistory]) VALUES (13, 1, 1, 1, 1, 1)
INSERT INTO [dbo].[TT_UserOps] ([OptionID], [UserID], [Tooltips], [ShowCompletePjs], [ShowCompletedTasks], [ShowWflHistory]) VALUES (144, 125, 1, 1, 0, 1)
INSERT INTO [dbo].[TT_UserOps] ([OptionID], [UserID], [Tooltips], [ShowCompletePjs], [ShowCompletedTasks], [ShowWflHistory]) VALUES (145, 126, 1, 1, 0, 1)
INSERT INTO [dbo].[TT_UserOps] ([OptionID], [UserID], [Tooltips], [ShowCompletePjs], [ShowCompletedTasks], [ShowWflHistory]) VALUES (146, 127, 1, 1, 0, 1)
INSERT INTO [dbo].[TT_UserOps] ([OptionID], [UserID], [Tooltips], [ShowCompletePjs], [ShowCompletedTasks], [ShowWflHistory]) VALUES (147, 128, 1, 1, 0, 1)
INSERT INTO [dbo].[TT_UserOps] ([OptionID], [UserID], [Tooltips], [ShowCompletePjs], [ShowCompletedTasks], [ShowWflHistory]) VALUES (148, 129, 1, 1, 0, 1)
INSERT INTO [dbo].[TT_UserOps] ([OptionID], [UserID], [Tooltips], [ShowCompletePjs], [ShowCompletedTasks], [ShowWflHistory]) VALUES (149, 130, 1, 1, 0, 1)
INSERT INTO [dbo].[TT_UserOps] ([OptionID], [UserID], [Tooltips], [ShowCompletePjs], [ShowCompletedTasks], [ShowWflHistory]) VALUES (150, 131, 1, 1, 0, 1)
INSERT INTO [dbo].[TT_UserOps] ([OptionID], [UserID], [Tooltips], [ShowCompletePjs], [ShowCompletedTasks], [ShowWflHistory]) VALUES (151, 132, 1, 1, 0, 1)
INSERT INTO [dbo].[TT_UserOps] ([OptionID], [UserID], [Tooltips], [ShowCompletePjs], [ShowCompletedTasks], [ShowWflHistory]) VALUES (152, 133, 1, 1, 0, 1)
INSERT INTO [dbo].[TT_UserOps] ([OptionID], [UserID], [Tooltips], [ShowCompletePjs], [ShowCompletedTasks], [ShowWflHistory]) VALUES (153, 134, 1, 1, 0, 1)
INSERT INTO [dbo].[TT_UserOps] ([OptionID], [UserID], [Tooltips], [ShowCompletePjs], [ShowCompletedTasks], [ShowWflHistory]) VALUES (154, 135, 1, 1, 0, 1)
INSERT INTO [dbo].[TT_UserOps] ([OptionID], [UserID], [Tooltips], [ShowCompletePjs], [ShowCompletedTasks], [ShowWflHistory]) VALUES (155, 136, 1, 1, 0, 1)

SET IDENTITY_INSERT [dbo].[TT_UserOps] OFF


/* Insert scripts for table: [dbo].[TT_Users] */
PRINT 'Inserting rows into table: [dbo].[TT_Users]'

SET IDENTITY_INSERT [dbo].[TT_Users] ON

INSERT INTO [dbo].[TT_Users] ([DisplayName], [Password], [UserID], [UserName], [RoleID], [Email], [Enabled], [Security], [HourlyRate], [CustomerID]) VALUES (N'Administrator', N'06-D4-96-32-C9-DC-9B-CB-62-AE-AE-F9-96-12-BA-6B', 1, N'Administrator', 1, N'admin@example.com', 1, N'<security><right name="ViewAllProjects" value="on" /><right name="ViewAllTasks" value="on" /><right name="ViewAllBugs" value="on" /><right name="ViewAllRequests" value="on" /><right name="ViewAllTimeEntries" value="on" /><right name="ViewOwnProjects" value="on" /><right name="ViewOwnTasks" value="on" /><right name="ViewOwnBugs" value="on" /><right name="ViewOwnRequests" value="on" /><right name="ViewOwnTimeEntries" value="on" /><right name="EditAllProjects" value="on" /><right name="EditAllTasks" value="on" /><right name="EditAllBugs" value="on" /><right name="EditAllRequests" value="on" /><right name="EditOwnProjects" value="on" /><right name="EditOwnTasks" value="on" /><right name="EditOwnBugs" value="on" /><right name="EditOwnRequests" value="on" /><right name="DeleteAllProjects" value="on" /><right name="DeleteAllTasks" value="on" /><right name="DeleteAllBugs" value="on" /><right name="DeleteAllRequests" value="on" /><right name="DeleteOwnProjects" value="on" /><right name="DeleteOwnTasks" value="on" /><right name="DeleteOwnBugs" value="on" /><right name="DeleteOwnRequests" value="on" /><right name="AddProjects" value="on" /><right name="AddTasks" value="on" /><right name="AddBugs" value="on" /><right name="AddRequests" value="on" /><right name="AddTimeEntries" value="on" /><right name="ShowCustomerReport" value="on" /><right name="ShowSummaryReport" value="on" /><right name="ShowBugReport" value="on" /><right name="ShowRequestReport" value="on" /><right name="ShowResourceReport" value="on" /><right name="ShowProjectReport" value="on" /><right name="Assign" value="on" /><right name="ManageUsers" value="on" /></security>', 0.0, NULL)
INSERT INTO [dbo].[TT_Users] ([DisplayName], [Password], [UserID], [UserName], [RoleID], [Email], [Enabled], [Security], [HourlyRate], [CustomerID]) VALUES (N'John Hill', N'06-D4-96-32-C9-DC-9B-CB-62-AE-AE-F9-96-12-BA-6B', 125, N'John Hill', 5, N'user@example.com', 1, N'<security><right name="ViewAllProjects" value="off" /><right name="ViewAllTasks" value="off" /><right name="ViewAllBugs" value="off" /><right name="ViewAllRequests" value="off" /><right name="ViewAllTimeEntries" value="off" /><right name="ViewOwnProjects" value="on" /><right name="ViewOwnTasks" value="on" /><right name="ViewOwnBugs" value="on" /><right name="ViewOwnRequests" value="off" /><right name="ViewOwnTimeEntries" value="on" /><right name="EditAllProjects" value="off" /><right name="EditAllTasks" value="off" /><right name="EditAllBugs" value="off" /><right name="EditAllRequests" value="off" /><right name="EditOwnProjects" value="off" /><right name="EditOwnTasks" value="on" /><right name="EditOwnBugs" value="on" /><right name="EditOwnRequests" value="off" /><right name="DeleteAllProjects" value="off" /><right name="DeleteAllTasks" value="off" /><right name="DeleteAllBugs" value="off" /><right name="DeleteAllRequests" value="off" /><right name="DeleteOwnProjects" value="off" /><right name="DeleteOwnTasks" value="off" /><right name="DeleteOwnBugs" value="off" /><right name="DeleteOwnRequests" value="off" /><right name="AddProjects" value="off" /><right name="AddTasks" value="on" /><right name="AddBugs" value="on" /><right name="AddRequests" value="off" /><right name="AddTimeEntries" value="on" /><right name="ShowCustomerReport" value="off" /><right name="ShowSummaryReport" value="off" /><right name="ShowBugReport" value="off" /><right name="ShowRequestReport" value="off" /><right name="ShowResourceReport" value="off" /><right name="ShowProjectReport" value="off" /><right name="Assign" value="off" /><right name="ManageUsers" value="off" /></security>', 0.0, NULL)
INSERT INTO [dbo].[TT_Users] ([DisplayName], [Password], [UserID], [UserName], [RoleID], [Email], [Enabled], [Security], [HourlyRate], [CustomerID]) VALUES (N'Linda White', N'06-D4-96-32-C9-DC-9B-CB-62-AE-AE-F9-96-12-BA-6B', 126, N'Linda White', 6, N'user@example.com', 1, N'<security><right name="ViewAllProjects" value="off" /><right name="ViewAllTasks" value="off" /><right name="ViewAllBugs" value="off" /><right name="ViewAllRequests" value="off" /><right name="ViewAllTimeEntries" value="off" /><right name="ViewOwnProjects" value="on" /><right name="ViewOwnTasks" value="on" /><right name="ViewOwnBugs" value="on" /><right name="ViewOwnRequests" value="off" /><right name="ViewOwnTimeEntries" value="on" /><right name="EditAllProjects" value="off" /><right name="EditAllTasks" value="off" /><right name="EditAllBugs" value="off" /><right name="EditAllRequests" value="off" /><right name="EditOwnProjects" value="on" /><right name="EditOwnTasks" value="on" /><right name="EditOwnBugs" value="on" /><right name="EditOwnRequests" value="off" /><right name="DeleteAllProjects" value="off" /><right name="DeleteAllTasks" value="off" /><right name="DeleteAllBugs" value="off" /><right name="DeleteAllRequests" value="off" /><right name="DeleteOwnProjects" value="off" /><right name="DeleteOwnTasks" value="off" /><right name="DeleteOwnBugs" value="off" /><right name="DeleteOwnRequests" value="off" /><right name="AddProjects" value="off" /><right name="AddTasks" value="on" /><right name="AddBugs" value="on" /><right name="AddRequests" value="off" /><right name="AddTimeEntries" value="on" /><right name="ShowCustomerReport" value="off" /><right name="ShowSummaryReport" value="off" /><right name="ShowBugReport" value="off" /><right name="ShowRequestReport" value="off" /><right name="ShowResourceReport" value="off" /><right name="ShowProjectReport" value="off" /><right name="Assign" value="off" /><right name="ManageUsers" value="off" /></security>', 0.0, NULL)
INSERT INTO [dbo].[TT_Users] ([DisplayName], [Password], [UserID], [UserName], [RoleID], [Email], [Enabled], [Security], [HourlyRate], [CustomerID]) VALUES (N'Alex Escher', N'06-D4-96-32-C9-DC-9B-CB-62-AE-AE-F9-96-12-BA-6B', 128, N'Alex Escher', 5, N'user@example.com', 1, N'<security><right name="ViewAllProjects" value="off" /><right name="ViewAllTasks" value="off" /><right name="ViewAllBugs" value="off" /><right name="ViewAllRequests" value="off" /><right name="ViewAllTimeEntries" value="off" /><right name="ViewOwnProjects" value="on" /><right name="ViewOwnTasks" value="on" /><right name="ViewOwnBugs" value="on" /><right name="ViewOwnRequests" value="off" /><right name="ViewOwnTimeEntries" value="on" /><right name="EditAllProjects" value="off" /><right name="EditAllTasks" value="off" /><right name="EditAllBugs" value="off" /><right name="EditAllRequests" value="off" /><right name="EditOwnProjects" value="off" /><right name="EditOwnTasks" value="on" /><right name="EditOwnBugs" value="on" /><right name="EditOwnRequests" value="off" /><right name="DeleteAllProjects" value="off" /><right name="DeleteAllTasks" value="off" /><right name="DeleteAllBugs" value="off" /><right name="DeleteAllRequests" value="off" /><right name="DeleteOwnProjects" value="off" /><right name="DeleteOwnTasks" value="off" /><right name="DeleteOwnBugs" value="off" /><right name="DeleteOwnRequests" value="off" /><right name="AddProjects" value="off" /><right name="AddTasks" value="on" /><right name="AddBugs" value="on" /><right name="AddRequests" value="off" /><right name="AddTimeEntries" value="on" /><right name="ShowCustomerReport" value="off" /><right name="ShowSummaryReport" value="off" /><right name="ShowBugReport" value="off" /><right name="ShowRequestReport" value="off" /><right name="ShowResourceReport" value="off" /><right name="ShowProjectReport" value="off" /><right name="Assign" value="off" /><right name="ManageUsers" value="off" /></security>', 0.0, NULL)
INSERT INTO [dbo].[TT_Users] ([DisplayName], [Password], [UserID], [UserName], [RoleID], [Email], [Enabled], [Security], [HourlyRate], [CustomerID]) VALUES (N'Dennis Brown', N'06-D4-96-32-C9-DC-9B-CB-62-AE-AE-F9-96-12-BA-6B', 130, N'Dennis Brown', 5, N'user@example.com', 1, N'<security><right name="ViewAllProjects" value="off" /><right name="ViewAllTasks" value="off" /><right name="ViewAllBugs" value="off" /><right name="ViewAllRequests" value="off" /><right name="ViewAllTimeEntries" value="off" /><right name="ViewOwnProjects" value="on" /><right name="ViewOwnTasks" value="on" /><right name="ViewOwnBugs" value="on" /><right name="ViewOwnRequests" value="off" /><right name="ViewOwnTimeEntries" value="on" /><right name="EditAllProjects" value="off" /><right name="EditAllTasks" value="off" /><right name="EditAllBugs" value="off" /><right name="EditAllRequests" value="off" /><right name="EditOwnProjects" value="off" /><right name="EditOwnTasks" value="on" /><right name="EditOwnBugs" value="on" /><right name="EditOwnRequests" value="off" /><right name="DeleteAllProjects" value="off" /><right name="DeleteAllTasks" value="off" /><right name="DeleteAllBugs" value="off" /><right name="DeleteAllRequests" value="off" /><right name="DeleteOwnProjects" value="off" /><right name="DeleteOwnTasks" value="off" /><right name="DeleteOwnBugs" value="off" /><right name="DeleteOwnRequests" value="off" /><right name="AddProjects" value="off" /><right name="AddTasks" value="on" /><right name="AddBugs" value="on" /><right name="AddRequests" value="off" /><right name="AddTimeEntries" value="on" /><right name="ShowCustomerReport" value="off" /><right name="ShowSummaryReport" value="off" /><right name="ShowBugReport" value="off" /><right name="ShowRequestReport" value="off" /><right name="ShowResourceReport" value="off" /><right name="ShowProjectReport" value="off" /><right name="Assign" value="off" /><right name="ManageUsers" value="off" /></security>', 0.0, NULL)
INSERT INTO [dbo].[TT_Users] ([DisplayName], [Password], [UserID], [UserName], [RoleID], [Email], [Enabled], [Security], [HourlyRate], [CustomerID]) VALUES (N'John Green', N'06-D4-96-32-C9-DC-9B-CB-62-AE-AE-F9-96-12-BA-6B', 131, N'pm', 2, N'user@example.com', 1, N'<security><right name="ViewAllProjects" value="off" /><right name="ViewAllTasks" value="on" /><right name="ViewAllBugs" value="on" /><right name="ViewAllRequests" value="on" /><right name="ViewAllTimeEntries" value="on" /><right name="ViewOwnProjects" value="on" /><right name="ViewOwnTasks" value="on" /><right name="ViewOwnBugs" value="on" /><right name="ViewOwnRequests" value="on" /><right name="ViewOwnTimeEntries" value="on" /><right name="EditAllProjects" value="off" /><right name="EditAllTasks" value="on" /><right name="EditAllBugs" value="on" /><right name="EditAllRequests" value="on" /><right name="EditOwnProjects" value="on" /><right name="EditOwnTasks" value="on" /><right name="EditOwnBugs" value="on" /><right name="EditOwnRequests" value="on" /><right name="DeleteAllProjects" value="off" /><right name="DeleteAllTasks" value="on" /><right name="DeleteAllBugs" value="on" /><right name="DeleteAllRequests" value="on" /><right name="DeleteOwnProjects" value="on" /><right name="DeleteOwnTasks" value="on" /><right name="DeleteOwnBugs" value="on" /><right name="DeleteOwnRequests" value="on" /><right name="AddProjects" value="on" /><right name="AddTasks" value="on" /><right name="AddBugs" value="on" /><right name="AddRequests" value="on" /><right name="AddTimeEntries" value="on" /><right name="ShowCustomerReport" value="off" /><right name="ShowSummaryReport" value="on" /><right name="ShowBugReport" value="on" /><right name="ShowRequestReport" value="on" /><right name="ShowResourceReport" value="on" /><right name="ShowProjectReport" value="on" /><right name="Assign" value="on" /><right name="ManageUsers" value="off" /></security>', 0.0, NULL)
INSERT INTO [dbo].[TT_Users] ([DisplayName], [Password], [UserID], [UserName], [RoleID], [Email], [Enabled], [Security], [HourlyRate], [CustomerID]) VALUES (N'Serge Balio', N'06-D4-96-32-C9-DC-9B-CB-62-AE-AE-F9-96-12-BA-6B', 127, N'Serge Balio', 6, N'user@example.com', 1, N'<security><right name="ViewAllProjects" value="off" /><right name="ViewAllTasks" value="off" /><right name="ViewAllBugs" value="off" /><right name="ViewAllRequests" value="off" /><right name="ViewAllTimeEntries" value="off" /><right name="ViewOwnProjects" value="on" /><right name="ViewOwnTasks" value="on" /><right name="ViewOwnBugs" value="on" /><right name="ViewOwnRequests" value="off" /><right name="ViewOwnTimeEntries" value="on" /><right name="EditAllProjects" value="off" /><right name="EditAllTasks" value="off" /><right name="EditAllBugs" value="off" /><right name="EditAllRequests" value="off" /><right name="EditOwnProjects" value="on" /><right name="EditOwnTasks" value="on" /><right name="EditOwnBugs" value="on" /><right name="EditOwnRequests" value="off" /><right name="DeleteAllProjects" value="off" /><right name="DeleteAllTasks" value="off" /><right name="DeleteAllBugs" value="off" /><right name="DeleteAllRequests" value="off" /><right name="DeleteOwnProjects" value="off" /><right name="DeleteOwnTasks" value="off" /><right name="DeleteOwnBugs" value="off" /><right name="DeleteOwnRequests" value="off" /><right name="AddProjects" value="off" /><right name="AddTasks" value="on" /><right name="AddBugs" value="on" /><right name="AddRequests" value="off" /><right name="AddTimeEntries" value="on" /><right name="ShowCustomerReport" value="off" /><right name="ShowSummaryReport" value="off" /><right name="ShowBugReport" value="off" /><right name="ShowRequestReport" value="off" /><right name="ShowResourceReport" value="off" /><right name="ShowProjectReport" value="off" /><right name="Assign" value="off" /><right name="ManageUsers" value="off" /></security>', 0.0, NULL)
INSERT INTO [dbo].[TT_Users] ([DisplayName], [Password], [UserID], [UserName], [RoleID], [Email], [Enabled], [Security], [HourlyRate], [CustomerID]) VALUES (N'Robert Cranford', N'06-D4-96-32-C9-DC-9B-CB-62-AE-AE-F9-96-12-BA-6B', 129, N'Robert Cranford', 5, N'user@example.com', 1, N'<security><right name="ViewAllProjects" value="off" /><right name="ViewAllTasks" value="off" /><right name="ViewAllBugs" value="off" /><right name="ViewAllRequests" value="off" /><right name="ViewAllTimeEntries" value="off" /><right name="ViewOwnProjects" value="on" /><right name="ViewOwnTasks" value="on" /><right name="ViewOwnBugs" value="on" /><right name="ViewOwnRequests" value="off" /><right name="ViewOwnTimeEntries" value="on" /><right name="EditAllProjects" value="off" /><right name="EditAllTasks" value="off" /><right name="EditAllBugs" value="off" /><right name="EditAllRequests" value="off" /><right name="EditOwnProjects" value="off" /><right name="EditOwnTasks" value="on" /><right name="EditOwnBugs" value="on" /><right name="EditOwnRequests" value="off" /><right name="DeleteAllProjects" value="off" /><right name="DeleteAllTasks" value="off" /><right name="DeleteAllBugs" value="off" /><right name="DeleteAllRequests" value="off" /><right name="DeleteOwnProjects" value="off" /><right name="DeleteOwnTasks" value="off" /><right name="DeleteOwnBugs" value="off" /><right name="DeleteOwnRequests" value="off" /><right name="AddProjects" value="off" /><right name="AddTasks" value="on" /><right name="AddBugs" value="on" /><right name="AddRequests" value="off" /><right name="AddTimeEntries" value="on" /><right name="ShowCustomerReport" value="off" /><right name="ShowSummaryReport" value="off" /><right name="ShowBugReport" value="off" /><right name="ShowRequestReport" value="off" /><right name="ShowResourceReport" value="off" /><right name="ShowProjectReport" value="off" /><right name="Assign" value="off" /><right name="ManageUsers" value="off" /></security>', 0.0, NULL)
INSERT INTO [dbo].[TT_Users] ([DisplayName], [Password], [UserID], [UserName], [RoleID], [Email], [Enabled], [Security], [HourlyRate], [CustomerID]) VALUES (N'Anthony Polem', N'06-D4-96-32-C9-DC-9B-CB-62-AE-AE-F9-96-12-BA-6B', 132, N'Anthony Polem', 4, N'user@example.com', 1, N'<security><right name="ViewAllProjects" value="off" /><right name="ViewAllTasks" value="off" /><right name="ViewAllBugs" value="off" /><right name="ViewAllRequests" value="off" /><right name="ViewAllTimeEntries" value="off" /><right name="ViewOwnProjects" value="on" /><right name="ViewOwnTasks" value="off" /><right name="ViewOwnBugs" value="on" /><right name="ViewOwnRequests" value="on" /><right name="ViewOwnTimeEntries" value="off" /><right name="EditAllProjects" value="off" /><right name="EditAllTasks" value="off" /><right name="EditAllBugs" value="off" /><right name="EditAllRequests" value="off" /><right name="EditOwnProjects" value="off" /><right name="EditOwnTasks" value="off" /><right name="EditOwnBugs" value="on" /><right name="EditOwnRequests" value="on" /><right name="DeleteAllProjects" value="off" /><right name="DeleteAllTasks" value="off" /><right name="DeleteAllBugs" value="off" /><right name="DeleteAllRequests" value="off" /><right name="DeleteOwnProjects" value="off" /><right name="DeleteOwnTasks" value="off" /><right name="DeleteOwnBugs" value="off" /><right name="DeleteOwnRequests" value="off" /><right name="AddProjects" value="off" /><right name="AddTasks" value="off" /><right name="AddBugs" value="on" /><right name="AddRequests" value="on" /><right name="AddTimeEntries" value="off" /><right name="ShowCustomerReport" value="on" /><right name="ShowSummaryReport" value="off" /><right name="ShowBugReport" value="off" /><right name="ShowRequestReport" value="off" /><right name="ShowResourceReport" value="off" /><right name="ShowProjectReport" value="on" /><right name="Assign" value="off" /><right name="ManageUsers" value="off" /></security>', 0.0, NULL)
INSERT INTO [dbo].[TT_Users] ([DisplayName], [Password], [UserID], [UserName], [RoleID], [Email], [Enabled], [Security], [HourlyRate], [CustomerID]) VALUES (N'Mike Druts', N'06-D4-96-32-C9-DC-9B-CB-62-AE-AE-F9-96-12-BA-6B', 133, N'Mike Druts', 4, N'user@example.com', 1, N'<security><right name="ViewAllProjects" value="off" /><right name="ViewAllTasks" value="off" /><right name="ViewAllBugs" value="off" /><right name="ViewAllRequests" value="off" /><right name="ViewAllTimeEntries" value="off" /><right name="ViewOwnProjects" value="on" /><right name="ViewOwnTasks" value="off" /><right name="ViewOwnBugs" value="on" /><right name="ViewOwnRequests" value="on" /><right name="ViewOwnTimeEntries" value="off" /><right name="EditAllProjects" value="off" /><right name="EditAllTasks" value="off" /><right name="EditAllBugs" value="off" /><right name="EditAllRequests" value="off" /><right name="EditOwnProjects" value="off" /><right name="EditOwnTasks" value="off" /><right name="EditOwnBugs" value="on" /><right name="EditOwnRequests" value="on" /><right name="DeleteAllProjects" value="off" /><right name="DeleteAllTasks" value="off" /><right name="DeleteAllBugs" value="off" /><right name="DeleteAllRequests" value="off" /><right name="DeleteOwnProjects" value="off" /><right name="DeleteOwnTasks" value="off" /><right name="DeleteOwnBugs" value="off" /><right name="DeleteOwnRequests" value="off" /><right name="AddProjects" value="off" /><right name="AddTasks" value="off" /><right name="AddBugs" value="on" /><right name="AddRequests" value="on" /><right name="AddTimeEntries" value="off" /><right name="ShowCustomerReport" value="on" /><right name="ShowSummaryReport" value="off" /><right name="ShowBugReport" value="off" /><right name="ShowRequestReport" value="off" /><right name="ShowResourceReport" value="off" /><right name="ShowProjectReport" value="on" /><right name="Assign" value="off" /><right name="ManageUsers" value="off" /></security>', 0.0, NULL)
INSERT INTO [dbo].[TT_Users] ([DisplayName], [Password], [UserID], [UserName], [RoleID], [Email], [Enabled], [Security], [HourlyRate], [CustomerID]) VALUES (N'Angelina Fox', N'06-D4-96-32-C9-DC-9B-CB-62-AE-AE-F9-96-12-BA-6B', 134, N'Angelina Fox', 4, N'user@example.com', 1, N'<security><right name="ViewAllProjects" value="off" /><right name="ViewAllTasks" value="off" /><right name="ViewAllBugs" value="off" /><right name="ViewAllRequests" value="off" /><right name="ViewAllTimeEntries" value="off" /><right name="ViewOwnProjects" value="on" /><right name="ViewOwnTasks" value="off" /><right name="ViewOwnBugs" value="on" /><right name="ViewOwnRequests" value="on" /><right name="ViewOwnTimeEntries" value="off" /><right name="EditAllProjects" value="off" /><right name="EditAllTasks" value="off" /><right name="EditAllBugs" value="off" /><right name="EditAllRequests" value="off" /><right name="EditOwnProjects" value="off" /><right name="EditOwnTasks" value="off" /><right name="EditOwnBugs" value="on" /><right name="EditOwnRequests" value="on" /><right name="DeleteAllProjects" value="off" /><right name="DeleteAllTasks" value="off" /><right name="DeleteAllBugs" value="off" /><right name="DeleteAllRequests" value="off" /><right name="DeleteOwnProjects" value="off" /><right name="DeleteOwnTasks" value="off" /><right name="DeleteOwnBugs" value="off" /><right name="DeleteOwnRequests" value="off" /><right name="AddProjects" value="off" /><right name="AddTasks" value="off" /><right name="AddBugs" value="on" /><right name="AddRequests" value="on" /><right name="AddTimeEntries" value="off" /><right name="ShowCustomerReport" value="on" /><right name="ShowSummaryReport" value="off" /><right name="ShowBugReport" value="off" /><right name="ShowRequestReport" value="off" /><right name="ShowResourceReport" value="off" /><right name="ShowProjectReport" value="on" /><right name="Assign" value="off" /><right name="ManageUsers" value="off" /></security>', 0.0, NULL)
INSERT INTO [dbo].[TT_Users] ([DisplayName], [Password], [UserID], [UserName], [RoleID], [Email], [Enabled], [Security], [HourlyRate], [CustomerID]) VALUES (N'Larry Gorn', N'06-D4-96-32-C9-DC-9B-CB-62-AE-AE-F9-96-12-BA-6B', 135, N'Larry Gorn', 4, N'user@example.com', 1, N'<security><right name="ViewAllProjects" value="off" /><right name="ViewAllTasks" value="off" /><right name="ViewAllBugs" value="off" /><right name="ViewAllRequests" value="off" /><right name="ViewAllTimeEntries" value="off" /><right name="ViewOwnProjects" value="on" /><right name="ViewOwnTasks" value="off" /><right name="ViewOwnBugs" value="on" /><right name="ViewOwnRequests" value="on" /><right name="ViewOwnTimeEntries" value="off" /><right name="EditAllProjects" value="off" /><right name="EditAllTasks" value="off" /><right name="EditAllBugs" value="off" /><right name="EditAllRequests" value="off" /><right name="EditOwnProjects" value="off" /><right name="EditOwnTasks" value="off" /><right name="EditOwnBugs" value="on" /><right name="EditOwnRequests" value="on" /><right name="DeleteAllProjects" value="off" /><right name="DeleteAllTasks" value="off" /><right name="DeleteAllBugs" value="off" /><right name="DeleteAllRequests" value="off" /><right name="DeleteOwnProjects" value="off" /><right name="DeleteOwnTasks" value="off" /><right name="DeleteOwnBugs" value="off" /><right name="DeleteOwnRequests" value="off" /><right name="AddProjects" value="off" /><right name="AddTasks" value="off" /><right name="AddBugs" value="on" /><right name="AddRequests" value="on" /><right name="AddTimeEntries" value="off" /><right name="ShowCustomerReport" value="on" /><right name="ShowSummaryReport" value="off" /><right name="ShowBugReport" value="off" /><right name="ShowRequestReport" value="off" /><right name="ShowResourceReport" value="off" /><right name="ShowProjectReport" value="on" /><right name="Assign" value="off" /><right name="ManageUsers" value="off" /></security>', 0.0, NULL)
INSERT INTO [dbo].[TT_Users] ([DisplayName], [Password], [UserID], [UserName], [RoleID], [Email], [Enabled], [Security], [HourlyRate], [CustomerID]) VALUES (N'John McMillan', N'06-D4-96-32-C9-DC-9B-CB-62-AE-AE-F9-96-12-BA-6B', 136, N'John McMillan', 2, N'user@example.com', 1, N'<security><right name="ViewAllProjects" value="off" /><right name="ViewAllTasks" value="on" /><right name="ViewAllBugs" value="on" /><right name="ViewAllRequests" value="on" /><right name="ViewAllTimeEntries" value="on" /><right name="ViewOwnProjects" value="on" /><right name="ViewOwnTasks" value="on" /><right name="ViewOwnBugs" value="on" /><right name="ViewOwnRequests" value="on" /><right name="ViewOwnTimeEntries" value="on" /><right name="EditAllProjects" value="off" /><right name="EditAllTasks" value="on" /><right name="EditAllBugs" value="on" /><right name="EditAllRequests" value="on" /><right name="EditOwnProjects" value="on" /><right name="EditOwnTasks" value="on" /><right name="EditOwnBugs" value="on" /><right name="EditOwnRequests" value="on" /><right name="DeleteAllProjects" value="off" /><right name="DeleteAllTasks" value="on" /><right name="DeleteAllBugs" value="on" /><right name="DeleteAllRequests" value="on" /><right name="DeleteOwnProjects" value="on" /><right name="DeleteOwnTasks" value="on" /><right name="DeleteOwnBugs" value="on" /><right name="DeleteOwnRequests" value="on" /><right name="AddProjects" value="on" /><right name="AddTasks" value="on" /><right name="AddBugs" value="on" /><right name="AddRequests" value="on" /><right name="AddTimeEntries" value="on" /><right name="ShowCustomerReport" value="off" /><right name="ShowSummaryReport" value="on" /><right name="ShowBugReport" value="on" /><right name="ShowRequestReport" value="on" /><right name="ShowResourceReport" value="on" /><right name="ShowProjectReport" value="on" /><right name="Assign" value="on" /><right name="ManageUsers" value="off" /></security>', 0.0, NULL)

SET IDENTITY_INSERT [dbo].[TT_Users] OFF


/* Insert scripts for table: [dbo].[TT_Version] */
PRINT 'Inserting rows into table: [dbo].[TT_Version]'

INSERT INTO [dbo].[TT_Version] ([Major], [Minor], [Build], [MinorBuild]) VALUES (4, 0, 12, 1)

/* Insert scripts for table: [dbo].[TT_Workflow] */
PRINT 'Inserting rows into table: [dbo].[TT_Workflow]'

SET IDENTITY_INSERT [dbo].[TT_Workflow] ON

INSERT INTO [dbo].[TT_Workflow] ([WflID], [Action], [CustomAction], [ObjectID], [ObjectType], [UserID], [Description], [EntryDate], [OwnerID]) VALUES (467, 1, 0, 39, 4, 131, N'New request added', '20050316 17:08:01.953', 131)
INSERT INTO [dbo].[TT_Workflow] ([WflID], [Action], [CustomAction], [ObjectID], [ObjectType], [UserID], [Description], [EntryDate], [OwnerID]) VALUES (468, 1, 0, 40, 4, 132, N'New request added', '20050316 17:09:17.690', 132)
INSERT INTO [dbo].[TT_Workflow] ([WflID], [Action], [CustomAction], [ObjectID], [ObjectType], [UserID], [Description], [EntryDate], [OwnerID]) VALUES (469, 1, 0, 41, 4, 132, N'New request added', '20050316 17:09:38.020', 132)
INSERT INTO [dbo].[TT_Workflow] ([WflID], [Action], [CustomAction], [ObjectID], [ObjectType], [UserID], [Description], [EntryDate], [OwnerID]) VALUES (470, 1, 0, 42, 4, 131, N'New request added', '20050316 17:11:01.933', 131)
INSERT INTO [dbo].[TT_Workflow] ([WflID], [Action], [CustomAction], [ObjectID], [ObjectType], [UserID], [Description], [EntryDate], [OwnerID]) VALUES (471, 1, 0, 43, 4, 131, N'New request added', '20050316 17:12:41.743', 131)
INSERT INTO [dbo].[TT_Workflow] ([WflID], [Action], [CustomAction], [ObjectID], [ObjectType], [UserID], [Description], [EntryDate], [OwnerID]) VALUES (472, 1, 0, 44, 4, 131, N'New request added', '20050316 17:13:20.607', 131)
INSERT INTO [dbo].[TT_Workflow] ([WflID], [Action], [CustomAction], [ObjectID], [ObjectType], [UserID], [Description], [EntryDate], [OwnerID]) VALUES (473, 1, 0, 45, 4, 131, N'New request added', '20050316 17:14:18.187', 131)
INSERT INTO [dbo].[TT_Workflow] ([WflID], [Action], [CustomAction], [ObjectID], [ObjectType], [UserID], [Description], [EntryDate], [OwnerID]) VALUES (474, 1, 0, 214, 2, 131, N'New bug added', '20050316 17:15:10.113', 131)
INSERT INTO [dbo].[TT_Workflow] ([WflID], [Action], [CustomAction], [ObjectID], [ObjectType], [UserID], [Description], [EntryDate], [OwnerID]) VALUES (475, 1, 0, 215, 2, 131, N'New bug added', '20050316 17:16:18.597', 131)
INSERT INTO [dbo].[TT_Workflow] ([WflID], [Action], [CustomAction], [ObjectID], [ObjectType], [UserID], [Description], [EntryDate], [OwnerID]) VALUES (476, 1, 0, 216, 2, 131, N'New bug added', '20050316 17:16:53.307', 131)
INSERT INTO [dbo].[TT_Workflow] ([WflID], [Action], [CustomAction], [ObjectID], [ObjectType], [UserID], [Description], [EntryDate], [OwnerID]) VALUES (477, 1, 0, 328, 3, 131, N'New task added', '20050316 17:18:05.377', 131)
INSERT INTO [dbo].[TT_Workflow] ([WflID], [Action], [CustomAction], [ObjectID], [ObjectType], [UserID], [Description], [EntryDate], [OwnerID]) VALUES (478, 1, 0, 329, 3, 130, N'New task added', '20050316 17:19:58.490', 130)
INSERT INTO [dbo].[TT_Workflow] ([WflID], [Action], [CustomAction], [ObjectID], [ObjectType], [UserID], [Description], [EntryDate], [OwnerID]) VALUES (479, 1, 0, 330, 3, 130, N'New task added', '20050316 17:20:34.853', 130)
INSERT INTO [dbo].[TT_Workflow] ([WflID], [Action], [CustomAction], [ObjectID], [ObjectType], [UserID], [Description], [EntryDate], [OwnerID]) VALUES (480, 1, 0, 331, 3, 126, N'New task added', '20050316 17:21:30.273', 126)
INSERT INTO [dbo].[TT_Workflow] ([WflID], [Action], [CustomAction], [ObjectID], [ObjectType], [UserID], [Description], [EntryDate], [OwnerID]) VALUES (481, 1, 0, 332, 3, 130, N'New task added', '20050316 17:22:23.617', 130)
INSERT INTO [dbo].[TT_Workflow] ([WflID], [Action], [CustomAction], [ObjectID], [ObjectType], [UserID], [Description], [EntryDate], [OwnerID]) VALUES (482, 1, 0, 318, 3, 1, N'This task was added', '20060113 14:24:26.283', 1)
INSERT INTO [dbo].[TT_Workflow] ([WflID], [Action], [CustomAction], [ObjectID], [ObjectType], [UserID], [Description], [EntryDate], [OwnerID]) VALUES (483, 1, 0, 319, 3, 1, N'This task was added', '20060113 14:24:26.347', 1)
INSERT INTO [dbo].[TT_Workflow] ([WflID], [Action], [CustomAction], [ObjectID], [ObjectType], [UserID], [Description], [EntryDate], [OwnerID]) VALUES (484, 1, 0, 320, 3, 1, N'This task was added', '20060113 14:24:26.347', 1)
INSERT INTO [dbo].[TT_Workflow] ([WflID], [Action], [CustomAction], [ObjectID], [ObjectType], [UserID], [Description], [EntryDate], [OwnerID]) VALUES (485, 1, 0, 321, 3, 1, N'This task was added', '20060113 14:24:26.347', 1)
INSERT INTO [dbo].[TT_Workflow] ([WflID], [Action], [CustomAction], [ObjectID], [ObjectType], [UserID], [Description], [EntryDate], [OwnerID]) VALUES (486, 1, 0, 322, 3, 1, N'This task was added', '20060113 14:24:26.347', 1)
INSERT INTO [dbo].[TT_Workflow] ([WflID], [Action], [CustomAction], [ObjectID], [ObjectType], [UserID], [Description], [EntryDate], [OwnerID]) VALUES (487, 1, 0, 323, 3, 1, N'This task was added', '20060113 14:24:26.347', 1)
INSERT INTO [dbo].[TT_Workflow] ([WflID], [Action], [CustomAction], [ObjectID], [ObjectType], [UserID], [Description], [EntryDate], [OwnerID]) VALUES (488, 1, 0, 324, 3, 1, N'This task was added', '20060113 14:24:26.347', 1)
INSERT INTO [dbo].[TT_Workflow] ([WflID], [Action], [CustomAction], [ObjectID], [ObjectType], [UserID], [Description], [EntryDate], [OwnerID]) VALUES (489, 1, 0, 325, 3, 1, N'This task was added', '20060113 14:24:26.347', 1)
INSERT INTO [dbo].[TT_Workflow] ([WflID], [Action], [CustomAction], [ObjectID], [ObjectType], [UserID], [Description], [EntryDate], [OwnerID]) VALUES (490, 1, 0, 326, 3, 1, N'This task was added', '20060113 14:24:26.347', 1)
INSERT INTO [dbo].[TT_Workflow] ([WflID], [Action], [CustomAction], [ObjectID], [ObjectType], [UserID], [Description], [EntryDate], [OwnerID]) VALUES (491, 1, 0, 327, 3, 1, N'This task was added', '20060113 14:24:26.347', 1)

SET IDENTITY_INSERT [dbo].[TT_Workflow] OFF


Print 'Enabling all Constraints'
exec sp_MSforeachtable 'ALTER TABLE ? CHECK CONSTRAINT ALL'

Print 'Enabling all Triggers'
exec sp_MSforeachtable 'ALTER TABLE ? ENABLE TRIGGER ALL'


-- COMMITTING TRANSACTION DATA
PRINT 'Script successfully completed'
COMMIT TRANSACTION _DATA_
GO
